/*
 * Author: Hugo Pointcheval
 * Email: git@pcl.ovh
 * -----
 * File: MyLib.Managed.h
 * Created Date: 08/12/2023 18:15:26
 * Last Modified: 08/12/2023 18:15:26
 * -----
 * Copyright (c) 2023
 */

// Number of generated types: 1102
// Number of generated members: 2581

#pragma mark - BEGIN Header
#ifndef TypeDefinitions_h
#define TypeDefinitions_h

#import <stdlib.h>
#import <stdbool.h>
#import <stdint.h>

#pragma clang diagnostic push
#pragma clang diagnostic ignored "-Wnullability-completeness"
#pragma clang diagnostic ignored "-Wflag-enum"

#pragma mark - END Header

#pragma mark - BEGIN Common Types
typedef const char* CString;

typedef struct DNReadOnlySpanOfByte {
    const void* dataPointer;
    int32_t dataLength;
} DNReadOnlySpanOfByte;

#pragma mark - END Common Types

#pragma mark - BEGIN Unsupported Types
// Omitted due to settings

#pragma mark - END Unsupported Types

#pragma mark - BEGIN Type Definitions
typedef enum __attribute__((enum_extensibility(open))): int32_t {
	System_TypeCode_Empty = 0,
	System_TypeCode_Object = 1,
	System_TypeCode_DBNull = 2,
	System_TypeCode_Boolean = 3,
	System_TypeCode_Char = 4,
	System_TypeCode_SByte = 5,
	System_TypeCode_Byte = 6,
	System_TypeCode_Int16 = 7,
	System_TypeCode_UInt16 = 8,
	System_TypeCode_Int32 = 9,
	System_TypeCode_UInt32 = 10,
	System_TypeCode_Int64 = 11,
	System_TypeCode_UInt64 = 12,
	System_TypeCode_Single = 13,
	System_TypeCode_Double = 14,
	System_TypeCode_Decimal = 15,
	System_TypeCode_DateTime = 16,
	System_TypeCode_String = 18
} System_TypeCode_t;


typedef enum __attribute__((enum_extensibility(open))) __attribute__((flag_enum)): int32_t {
	System_Globalization_NumberStyles_None = 0,
	System_Globalization_NumberStyles_AllowLeadingWhite = 1,
	System_Globalization_NumberStyles_AllowTrailingWhite = 2,
	System_Globalization_NumberStyles_AllowLeadingSign = 4,
	System_Globalization_NumberStyles_Integer = 7,
	System_Globalization_NumberStyles_AllowTrailingSign = 8,
	System_Globalization_NumberStyles_AllowParentheses = 16,
	System_Globalization_NumberStyles_AllowDecimalPoint = 32,
	System_Globalization_NumberStyles_AllowThousands = 64,
	System_Globalization_NumberStyles_Number = 111,
	System_Globalization_NumberStyles_AllowExponent = 128,
	System_Globalization_NumberStyles_Float = 167,
	System_Globalization_NumberStyles_AllowCurrencySymbol = 256,
	System_Globalization_NumberStyles_Currency = 383,
	System_Globalization_NumberStyles_Any = 511,
	System_Globalization_NumberStyles_AllowHexSpecifier = 512,
	System_Globalization_NumberStyles_HexNumber = 515,
	System_Globalization_NumberStyles_AllowBinarySpecifier = 1024,
	System_Globalization_NumberStyles_BinaryNumber = 1027
} System_Globalization_NumberStyles_t;


typedef enum __attribute__((enum_extensibility(open))) __attribute__((flag_enum)): int32_t {
	System_Globalization_CultureTypes_NeutralCultures = 1,
	System_Globalization_CultureTypes_SpecificCultures = 2,
	System_Globalization_CultureTypes_InstalledWin32Cultures = 4,
	System_Globalization_CultureTypes_AllCultures = 7,
	System_Globalization_CultureTypes_UserCustomCulture = 8,
	System_Globalization_CultureTypes_ReplacementCultures = 16,
	System_Globalization_CultureTypes_WindowsOnlyCultures = 32,
	System_Globalization_CultureTypes_FrameworkCultures = 64
} System_Globalization_CultureTypes_t;


typedef enum __attribute__((enum_extensibility(open))): int32_t {
	System_Buffers_OperationStatus_Done = 0,
	System_Buffers_OperationStatus_DestinationTooSmall = 1,
	System_Buffers_OperationStatus_NeedMoreData = 2,
	System_Buffers_OperationStatus_InvalidData = 3
} System_Buffers_OperationStatus_t;


typedef enum __attribute__((enum_extensibility(open))): int32_t {
	System_MidpointRounding_ToEven = 0,
	System_MidpointRounding_AwayFromZero = 1,
	System_MidpointRounding_ToZero = 2,
	System_MidpointRounding_ToNegativeInfinity = 3,
	System_MidpointRounding_ToPositiveInfinity = 4
} System_MidpointRounding_t;


typedef enum __attribute__((enum_extensibility(open))): int32_t {
	System_Globalization_UnicodeCategory_UppercaseLetter = 0,
	System_Globalization_UnicodeCategory_LowercaseLetter = 1,
	System_Globalization_UnicodeCategory_TitlecaseLetter = 2,
	System_Globalization_UnicodeCategory_ModifierLetter = 3,
	System_Globalization_UnicodeCategory_OtherLetter = 4,
	System_Globalization_UnicodeCategory_NonSpacingMark = 5,
	System_Globalization_UnicodeCategory_SpacingCombiningMark = 6,
	System_Globalization_UnicodeCategory_EnclosingMark = 7,
	System_Globalization_UnicodeCategory_DecimalDigitNumber = 8,
	System_Globalization_UnicodeCategory_LetterNumber = 9,
	System_Globalization_UnicodeCategory_OtherNumber = 10,
	System_Globalization_UnicodeCategory_SpaceSeparator = 11,
	System_Globalization_UnicodeCategory_LineSeparator = 12,
	System_Globalization_UnicodeCategory_ParagraphSeparator = 13,
	System_Globalization_UnicodeCategory_Control = 14,
	System_Globalization_UnicodeCategory_Format = 15,
	System_Globalization_UnicodeCategory_Surrogate = 16,
	System_Globalization_UnicodeCategory_PrivateUse = 17,
	System_Globalization_UnicodeCategory_ConnectorPunctuation = 18,
	System_Globalization_UnicodeCategory_DashPunctuation = 19,
	System_Globalization_UnicodeCategory_OpenPunctuation = 20,
	System_Globalization_UnicodeCategory_ClosePunctuation = 21,
	System_Globalization_UnicodeCategory_InitialQuotePunctuation = 22,
	System_Globalization_UnicodeCategory_FinalQuotePunctuation = 23,
	System_Globalization_UnicodeCategory_OtherPunctuation = 24,
	System_Globalization_UnicodeCategory_MathSymbol = 25,
	System_Globalization_UnicodeCategory_CurrencySymbol = 26,
	System_Globalization_UnicodeCategory_ModifierSymbol = 27,
	System_Globalization_UnicodeCategory_OtherSymbol = 28,
	System_Globalization_UnicodeCategory_OtherNotAssigned = 29
} System_Globalization_UnicodeCategory_t;


typedef enum __attribute__((enum_extensibility(open))) __attribute__((flag_enum)): int32_t {
	System_Globalization_CompareOptions_None = 0,
	System_Globalization_CompareOptions_IgnoreCase = 1,
	System_Globalization_CompareOptions_IgnoreNonSpace = 2,
	System_Globalization_CompareOptions_IgnoreSymbols = 4,
	System_Globalization_CompareOptions_IgnoreKanaType = 8,
	System_Globalization_CompareOptions_IgnoreWidth = 16,
	System_Globalization_CompareOptions_OrdinalIgnoreCase = 268435456,
	System_Globalization_CompareOptions_StringSort = 536870912,
	System_Globalization_CompareOptions_Ordinal = 1073741824
} System_Globalization_CompareOptions_t;


typedef enum __attribute__((enum_extensibility(open))): int32_t {
	System_Globalization_DigitShapes_Context = 0,
	System_Globalization_DigitShapes_None = 1,
	System_Globalization_DigitShapes_NativeNational = 2
} System_Globalization_DigitShapes_t;


typedef enum __attribute__((enum_extensibility(open))) __attribute__((flag_enum)): int32_t {
	System_Globalization_TimeSpanStyles_None = 0,
	System_Globalization_TimeSpanStyles_AssumeNegative = 1
} System_Globalization_TimeSpanStyles_t;


typedef enum __attribute__((enum_extensibility(open))): int32_t {
	System_DateTimeKind_Unspecified = 0,
	System_DateTimeKind_Utc = 1,
	System_DateTimeKind_Local = 2
} System_DateTimeKind_t;


typedef enum __attribute__((enum_extensibility(open))): int32_t {
	System_DayOfWeek_Sunday = 0,
	System_DayOfWeek_Monday = 1,
	System_DayOfWeek_Tuesday = 2,
	System_DayOfWeek_Wednesday = 3,
	System_DayOfWeek_Thursday = 4,
	System_DayOfWeek_Friday = 5,
	System_DayOfWeek_Saturday = 6
} System_DayOfWeek_t;


typedef enum __attribute__((enum_extensibility(open))) __attribute__((flag_enum)): int32_t {
	System_Globalization_DateTimeStyles_None = 0,
	System_Globalization_DateTimeStyles_AllowLeadingWhite = 1,
	System_Globalization_DateTimeStyles_AllowTrailingWhite = 2,
	System_Globalization_DateTimeStyles_AllowInnerWhite = 4,
	System_Globalization_DateTimeStyles_AllowWhiteSpaces = 7,
	System_Globalization_DateTimeStyles_NoCurrentDateDefault = 8,
	System_Globalization_DateTimeStyles_AdjustToUniversal = 16,
	System_Globalization_DateTimeStyles_AssumeLocal = 32,
	System_Globalization_DateTimeStyles_AssumeUniversal = 64,
	System_Globalization_DateTimeStyles_RoundtripKind = 128
} System_Globalization_DateTimeStyles_t;


typedef enum __attribute__((enum_extensibility(open))): int32_t {
	System_Globalization_CalendarAlgorithmType_Unknown = 0,
	System_Globalization_CalendarAlgorithmType_SolarCalendar = 1,
	System_Globalization_CalendarAlgorithmType_LunarCalendar = 2,
	System_Globalization_CalendarAlgorithmType_LunisolarCalendar = 3
} System_Globalization_CalendarAlgorithmType_t;


typedef enum __attribute__((enum_extensibility(open))): int32_t {
	System_Globalization_CalendarWeekRule_FirstDay = 0,
	System_Globalization_CalendarWeekRule_FirstFullWeek = 1,
	System_Globalization_CalendarWeekRule_FirstFourDayWeek = 2
} System_Globalization_CalendarWeekRule_t;


typedef enum __attribute__((enum_extensibility(open))): int32_t {
	System_StringComparison_CurrentCulture = 0,
	System_StringComparison_CurrentCultureIgnoreCase = 1,
	System_StringComparison_InvariantCulture = 2,
	System_StringComparison_InvariantCultureIgnoreCase = 3,
	System_StringComparison_Ordinal = 4,
	System_StringComparison_OrdinalIgnoreCase = 5
} System_StringComparison_t;


typedef enum __attribute__((enum_extensibility(open))): int32_t {
	System_Text_NormalizationForm_FormC = 1,
	System_Text_NormalizationForm_FormD = 2,
	System_Text_NormalizationForm_FormKC = 5,
	System_Text_NormalizationForm_FormKD = 6
} System_Text_NormalizationForm_t;


typedef enum __attribute__((enum_extensibility(open))) __attribute__((flag_enum)): int32_t {
	System_StringSplitOptions_None = 0,
	System_StringSplitOptions_RemoveEmptyEntries = 1,
	System_StringSplitOptions_TrimEntries = 2
} System_StringSplitOptions_t;


typedef enum __attribute__((enum_extensibility(open))): int32_t {
	System_Threading_Tasks_TaskStatus_Created = 0,
	System_Threading_Tasks_TaskStatus_WaitingForActivation = 1,
	System_Threading_Tasks_TaskStatus_WaitingToRun = 2,
	System_Threading_Tasks_TaskStatus_Running = 3,
	System_Threading_Tasks_TaskStatus_WaitingForChildrenToComplete = 4,
	System_Threading_Tasks_TaskStatus_RanToCompletion = 5,
	System_Threading_Tasks_TaskStatus_Canceled = 6,
	System_Threading_Tasks_TaskStatus_Faulted = 7
} System_Threading_Tasks_TaskStatus_t;


typedef enum __attribute__((enum_extensibility(open))) __attribute__((flag_enum)): int32_t {
	System_Threading_Tasks_TaskCreationOptions_None = 0,
	System_Threading_Tasks_TaskCreationOptions_PreferFairness = 1,
	System_Threading_Tasks_TaskCreationOptions_LongRunning = 2,
	System_Threading_Tasks_TaskCreationOptions_AttachedToParent = 4,
	System_Threading_Tasks_TaskCreationOptions_DenyChildAttach = 8,
	System_Threading_Tasks_TaskCreationOptions_HideScheduler = 16,
	System_Threading_Tasks_TaskCreationOptions_RunContinuationsAsynchronously = 64
} System_Threading_Tasks_TaskCreationOptions_t;


typedef enum __attribute__((enum_extensibility(open))) __attribute__((flag_enum)): int32_t {
	System_Threading_Tasks_TaskContinuationOptions_None = 0,
	System_Threading_Tasks_TaskContinuationOptions_PreferFairness = 1,
	System_Threading_Tasks_TaskContinuationOptions_LongRunning = 2,
	System_Threading_Tasks_TaskContinuationOptions_AttachedToParent = 4,
	System_Threading_Tasks_TaskContinuationOptions_DenyChildAttach = 8,
	System_Threading_Tasks_TaskContinuationOptions_HideScheduler = 16,
	System_Threading_Tasks_TaskContinuationOptions_LazyCancellation = 32,
	System_Threading_Tasks_TaskContinuationOptions_RunContinuationsAsynchronously = 64,
	System_Threading_Tasks_TaskContinuationOptions_NotOnRanToCompletion = 65536,
	System_Threading_Tasks_TaskContinuationOptions_NotOnFaulted = 131072,
	System_Threading_Tasks_TaskContinuationOptions_OnlyOnCanceled = 196608,
	System_Threading_Tasks_TaskContinuationOptions_NotOnCanceled = 262144,
	System_Threading_Tasks_TaskContinuationOptions_OnlyOnFaulted = 327680,
	System_Threading_Tasks_TaskContinuationOptions_OnlyOnRanToCompletion = 393216,
	System_Threading_Tasks_TaskContinuationOptions_ExecuteSynchronously = 524288
} System_Threading_Tasks_TaskContinuationOptions_t;


typedef enum __attribute__((enum_extensibility(open))) __attribute__((flag_enum)): int32_t {
	System_Threading_Tasks_ConfigureAwaitOptions_None = 0,
	System_Threading_Tasks_ConfigureAwaitOptions_ContinueOnCapturedContext = 1,
	System_Threading_Tasks_ConfigureAwaitOptions_SuppressThrowing = 2,
	System_Threading_Tasks_ConfigureAwaitOptions_ForceYielding = 4
} System_Threading_Tasks_ConfigureAwaitOptions_t;


typedef enum __attribute__((enum_extensibility(open))): int32_t {
	System_IO_SeekOrigin_Begin = 0,
	System_IO_SeekOrigin_Current = 1,
	System_IO_SeekOrigin_End = 2
} System_IO_SeekOrigin_t;


typedef enum __attribute__((enum_extensibility(open))): int32_t {
	System_Runtime_InteropServices_GCHandleType_Weak = 0,
	System_Runtime_InteropServices_GCHandleType_WeakTrackResurrection = 1,
	System_Runtime_InteropServices_GCHandleType_Normal = 2,
	System_Runtime_InteropServices_GCHandleType_Pinned = 3
} System_Runtime_InteropServices_GCHandleType_t;


typedef void* System_Object_t;

typedef void* System_Type_t;


typedef void* System_ValueType_t;


typedef void* System_IComparable_t;

typedef void* System_IConvertible_t;

typedef void* System_Enum_t;

typedef void* System_ISpanFormattable_t;

typedef void* System_IFormattable_t;

typedef void* System_String_t;

typedef void* System_Collections_IEnumerable_t;

typedef void* System_Collections_IEnumerator_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_IDisposable_t;

// Type "T" was skipped. Reason: It has no full name.
typedef void* System_Collections_Generic_IEnumerator_A1_t;


typedef void* System_IComparable_A1_t;

// Type "T" was skipped. Reason: It has no full name.
typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

// Type "T" was skipped. Reason: It has no full name.
typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_IBinaryNumber_A1_t;

// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IBinaryNumber_A1_t;

typedef void* System_Numerics_IBitwiseOperators_A3_t;

// Type "TResult" was skipped. Reason: It has no full name.
// Type "TSelf" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IBitwiseOperators_A3_t;

typedef void* System_Numerics_INumber_A1_t;

// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_Numerics_INumber_A1_t;

typedef void* System_Numerics_IComparisonOperators_A3_t;

// Type "TResult" was skipped. Reason: It has no full name.
// Type "TSelf" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IComparisonOperators_A3_t;

typedef void* System_Numerics_IEqualityOperators_A3_t;

// Type "TResult" was skipped. Reason: It has no full name.
// Type "TSelf" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IEqualityOperators_A3_t;

typedef void* System_Numerics_IModulusOperators_A3_t;

// Type "TResult" was skipped. Reason: It has no full name.
// Type "TSelf" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IModulusOperators_A3_t;

typedef void* System_Numerics_IAdditionOperators_A3_t;

// Type "TResult" was skipped. Reason: It has no full name.
// Type "TSelf" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IAdditionOperators_A3_t;

typedef void* System_Numerics_IAdditiveIdentity_A2_t;

// Type "TResult" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IAdditiveIdentity_A2_t;

typedef void* System_Numerics_IDecrementOperators_A1_t;

// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IDecrementOperators_A1_t;

typedef void* System_Numerics_IDivisionOperators_A3_t;

// Type "TResult" was skipped. Reason: It has no full name.
// Type "TSelf" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IDivisionOperators_A3_t;

typedef void* System_Numerics_IIncrementOperators_A1_t;

// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IIncrementOperators_A1_t;

typedef void* System_Numerics_IMultiplicativeIdentity_A2_t;

// Type "TResult" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IMultiplicativeIdentity_A2_t;

typedef void* System_Numerics_IMultiplyOperators_A3_t;

// Type "TResult" was skipped. Reason: It has no full name.
// Type "TSelf" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IMultiplyOperators_A3_t;

typedef void* System_ISpanParsable_A1_t;

// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_IFormatProvider_t;


typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;

// Type "TSelf" was skipped. Reason: It has no full name.

typedef void* System_IParsable_A1_t;

typedef void* System_Numerics_ISubtractionOperators_A3_t;

// Type "TResult" was skipped. Reason: It has no full name.
// Type "TSelf" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
typedef void* System_Numerics_ISubtractionOperators_A3_t;

typedef void* System_Numerics_IUnaryPlusOperators_A2_t;

// Type "TResult" was skipped. Reason: It has no full name.
// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IUnaryPlusOperators_A2_t;

typedef void* System_Numerics_IUnaryNegationOperators_A2_t;

// Type "TResult" was skipped. Reason: It has no full name.
// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IUnaryNegationOperators_A2_t;

typedef void* System_Numerics_IShiftOperators_A3_t;

// Type "TResult" was skipped. Reason: It has no full name.
// Type "TSelf" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IShiftOperators_A3_t;

typedef void* System_Numerics_IMinMaxValue_A1_t;

// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IMinMaxValue_A1_t;

typedef void* System_Numerics_IUnsignedNumber_A1_t;

typedef void* System_Numerics_IUnsignedNumber_A1_t;

typedef void* System_IUtf8SpanFormattable_t;


typedef void* System_Globalization_CultureInfo_t;

typedef void* System_ICloneable_t;

typedef void* System_Globalization_CultureInfo_Array_t;

typedef void* System_Array_t;

typedef void* System_Collections_IList_t;

typedef void* System_Collections_ICollection_t;

typedef void* System_Collections_IStructuralComparable_t;

typedef void* System_Collections_IComparer_t;

typedef void* System_Collections_IStructuralEquatable_t;

typedef void* System_Collections_IEqualityComparer_t;


typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_IBinaryNumber_A1_t;

typedef void* System_Numerics_IBitwiseOperators_A3_t;

typedef void* System_Numerics_INumber_A1_t;

typedef void* System_Numerics_IComparisonOperators_A3_t;

typedef void* System_Numerics_IEqualityOperators_A3_t;

typedef void* System_Numerics_IModulusOperators_A3_t;

typedef void* System_Numerics_IAdditionOperators_A3_t;

typedef void* System_Numerics_IAdditiveIdentity_A2_t;

typedef void* System_Numerics_IDecrementOperators_A1_t;

typedef void* System_Numerics_IDivisionOperators_A3_t;

typedef void* System_Numerics_IIncrementOperators_A1_t;

typedef void* System_Numerics_IMultiplicativeIdentity_A2_t;

typedef void* System_Numerics_IMultiplyOperators_A3_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;


typedef void* System_Numerics_ISubtractionOperators_A3_t;

typedef void* System_Numerics_IUnaryPlusOperators_A2_t;

typedef void* System_Numerics_IUnaryNegationOperators_A2_t;

typedef void* System_Numerics_IShiftOperators_A3_t;

typedef void* System_Numerics_IMinMaxValue_A1_t;

typedef void* System_Numerics_ISignedNumber_A1_t;

// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_Numerics_ISignedNumber_A1_t;

typedef void* System_ReadOnlySpan_A1_t;


typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_IBinaryNumber_A1_t;

typedef void* System_Numerics_IBitwiseOperators_A3_t;

typedef void* System_Numerics_INumber_A1_t;

typedef void* System_Numerics_IComparisonOperators_A3_t;

typedef void* System_Numerics_IEqualityOperators_A3_t;

typedef void* System_Numerics_IModulusOperators_A3_t;

typedef void* System_Numerics_IAdditionOperators_A3_t;

typedef void* System_Numerics_IAdditiveIdentity_A2_t;

typedef void* System_Numerics_IDecrementOperators_A1_t;

typedef void* System_Numerics_IDivisionOperators_A3_t;

typedef void* System_Numerics_IIncrementOperators_A1_t;

typedef void* System_Numerics_IMultiplicativeIdentity_A2_t;

typedef void* System_Numerics_IMultiplyOperators_A3_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;


typedef void* System_Numerics_ISubtractionOperators_A3_t;

typedef void* System_Numerics_IUnaryPlusOperators_A2_t;

typedef void* System_Numerics_IUnaryNegationOperators_A2_t;

typedef void* System_Numerics_IShiftOperators_A3_t;

typedef void* System_Numerics_IMinMaxValue_A1_t;

typedef void* System_Numerics_IUnsignedNumber_A1_t;

// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
typedef void* System_Byte_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

// Type "T" was skipped. Reason: It has no full name.
typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

// Type "T" was skipped. Reason: It has no full name.
// Type "T[]" was skipped. Reason: It has no full name.

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

// Type "T" was skipped. Reason: It has no full name.
typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;

// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.


typedef void* System_Int32_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;

typedef void* System_Int64_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "TOutput[]" was skipped. Reason: It has no full name.
// Type "TOutput" was skipped. Reason: It has no full name.

// Type "TInput[]" was skipped. Reason: It has no full name.
// Type "TInput" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T" was skipped. Reason: It has no full name.
// Type "T[]" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T" was skipped. Reason: It has no full name.
// Type "T[]" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "TKey[]" was skipped. Reason: It has no full name.
// Type "TKey" was skipped. Reason: It has no full name.

// Type "TValue[]" was skipped. Reason: It has no full name.
// Type "TValue" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "TKey[]" was skipped. Reason: It has no full name.
// Type "TKey" was skipped. Reason: It has no full name.

// Type "TValue[]" was skipped. Reason: It has no full name.
// Type "TValue" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "TKey[]" was skipped. Reason: It has no full name.
// Type "TKey" was skipped. Reason: It has no full name.

// Type "TValue[]" was skipped. Reason: It has no full name.
// Type "TValue" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "TKey[]" was skipped. Reason: It has no full name.
// Type "TKey" was skipped. Reason: It has no full name.

// Type "TValue[]" was skipped. Reason: It has no full name.
// Type "TValue" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

// Type "T[]" was skipped. Reason: It has no full name.
// Type "T" was skipped. Reason: It has no full name.

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;


typedef void* System_Globalization_CompareInfo_t;

typedef void* System_Text_Rune_t;

typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;


typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_IBinaryNumber_A1_t;

typedef void* System_Numerics_IBitwiseOperators_A3_t;

typedef void* System_Numerics_INumber_A1_t;

typedef void* System_Numerics_IComparisonOperators_A3_t;

typedef void* System_Numerics_IEqualityOperators_A3_t;

typedef void* System_Numerics_IModulusOperators_A3_t;

typedef void* System_Numerics_IAdditionOperators_A3_t;

typedef void* System_Numerics_IAdditiveIdentity_A2_t;

typedef void* System_Numerics_IDecrementOperators_A1_t;

typedef void* System_Numerics_IDivisionOperators_A3_t;

typedef void* System_Numerics_IIncrementOperators_A1_t;

typedef void* System_Numerics_IMultiplicativeIdentity_A2_t;

typedef void* System_Numerics_IMultiplyOperators_A3_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;


typedef void* System_Numerics_ISubtractionOperators_A3_t;

typedef void* System_Numerics_IUnaryPlusOperators_A2_t;

typedef void* System_Numerics_IUnaryNegationOperators_A2_t;

typedef void* System_Numerics_IShiftOperators_A3_t;

typedef void* System_Numerics_IMinMaxValue_A1_t;

typedef void* System_Numerics_IUnsignedNumber_A1_t;

// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.


typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_IBinaryFloatingPointIeee754_A1_t;

typedef void* System_Numerics_IBinaryFloatingPointIeee754_A1_t;

typedef void* System_Numerics_IBinaryNumber_A1_t;

typedef void* System_Numerics_IBitwiseOperators_A3_t;

typedef void* System_Numerics_INumber_A1_t;

typedef void* System_Numerics_IComparisonOperators_A3_t;

typedef void* System_Numerics_IEqualityOperators_A3_t;

typedef void* System_Numerics_IModulusOperators_A3_t;

typedef void* System_Numerics_IAdditionOperators_A3_t;

typedef void* System_Numerics_IAdditiveIdentity_A2_t;

typedef void* System_Numerics_IDecrementOperators_A1_t;

typedef void* System_Numerics_IDivisionOperators_A3_t;

typedef void* System_Numerics_IIncrementOperators_A1_t;

typedef void* System_Numerics_IMultiplicativeIdentity_A2_t;

typedef void* System_Numerics_IMultiplyOperators_A3_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;


typedef void* System_Numerics_ISubtractionOperators_A3_t;

typedef void* System_Numerics_IUnaryPlusOperators_A2_t;

typedef void* System_Numerics_IUnaryNegationOperators_A2_t;

typedef void* System_Numerics_IFloatingPointIeee754_A1_t;

// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IFloatingPointIeee754_A1_t;

typedef void* System_Numerics_IExponentialFunctions_A1_t;

// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IExponentialFunctions_A1_t;

typedef void* System_Numerics_IFloatingPointConstants_A1_t;

// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IFloatingPointConstants_A1_t;

typedef void* System_Numerics_IFloatingPoint_A1_t;

// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IFloatingPoint_A1_t;

typedef void* System_Numerics_ISignedNumber_A1_t;

typedef void* System_Numerics_IHyperbolicFunctions_A1_t;

// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IHyperbolicFunctions_A1_t;

typedef void* System_Numerics_ILogarithmicFunctions_A1_t;

// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_Numerics_ILogarithmicFunctions_A1_t;

typedef void* System_Numerics_IPowerFunctions_A1_t;

// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IPowerFunctions_A1_t;

typedef void* System_Numerics_IRootFunctions_A1_t;

// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_Numerics_IRootFunctions_A1_t;

typedef void* System_Numerics_ITrigonometricFunctions_A1_t;

// Type "TSelf" was skipped. Reason: It has no full name.
typedef void* System_Numerics_ITrigonometricFunctions_A1_t;

typedef void* System_Numerics_IMinMaxValue_A1_t;

// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
typedef void* System_Globalization_SortKey_t;

typedef void* System_Globalization_SortVersion_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Guid_t;

typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;



typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_IBinaryNumber_A1_t;

typedef void* System_Numerics_IBitwiseOperators_A3_t;

typedef void* System_Numerics_INumber_A1_t;

typedef void* System_Numerics_IComparisonOperators_A3_t;

typedef void* System_Numerics_IEqualityOperators_A3_t;

typedef void* System_Numerics_IModulusOperators_A3_t;

typedef void* System_Numerics_IAdditionOperators_A3_t;

typedef void* System_Numerics_IAdditiveIdentity_A2_t;

typedef void* System_Numerics_IDecrementOperators_A1_t;

typedef void* System_Numerics_IDivisionOperators_A3_t;

typedef void* System_Numerics_IIncrementOperators_A1_t;

typedef void* System_Numerics_IMultiplicativeIdentity_A2_t;

typedef void* System_Numerics_IMultiplyOperators_A3_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;


typedef void* System_Numerics_ISubtractionOperators_A3_t;

typedef void* System_Numerics_IUnaryPlusOperators_A2_t;

typedef void* System_Numerics_IUnaryNegationOperators_A2_t;

typedef void* System_Numerics_IShiftOperators_A3_t;

typedef void* System_Numerics_IMinMaxValue_A1_t;

typedef void* System_Numerics_IUnsignedNumber_A1_t;

// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.

typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_IBinaryNumber_A1_t;

typedef void* System_Numerics_IBitwiseOperators_A3_t;

typedef void* System_Numerics_INumber_A1_t;

typedef void* System_Numerics_IComparisonOperators_A3_t;

typedef void* System_Numerics_IEqualityOperators_A3_t;

typedef void* System_Numerics_IModulusOperators_A3_t;

typedef void* System_Numerics_IAdditionOperators_A3_t;

typedef void* System_Numerics_IAdditiveIdentity_A2_t;

typedef void* System_Numerics_IDecrementOperators_A1_t;

typedef void* System_Numerics_IDivisionOperators_A3_t;

typedef void* System_Numerics_IIncrementOperators_A1_t;

typedef void* System_Numerics_IMultiplicativeIdentity_A2_t;

typedef void* System_Numerics_IMultiplyOperators_A3_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;


typedef void* System_Numerics_ISubtractionOperators_A3_t;

typedef void* System_Numerics_IUnaryPlusOperators_A2_t;

typedef void* System_Numerics_IUnaryNegationOperators_A2_t;

typedef void* System_Numerics_IShiftOperators_A3_t;

typedef void* System_Numerics_IMinMaxValue_A1_t;

typedef void* System_Numerics_ISignedNumber_A1_t;

// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
typedef void* System_Globalization_TextInfo_t;

typedef void* System_Globalization_NumberFormatInfo_t;

typedef void* System_String_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;


typedef void* System_Globalization_DateTimeFormatInfo_t;

typedef void* System_Globalization_Calendar_t;

typedef void* System_DateTime_t;

typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;


typedef void* System_TimeSpan_t;

typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;


typedef void* System_DateOnly_t;

typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;


typedef void* System_TimeOnly_t;

typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;


typedef void* System_Globalization_Calendar_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;


typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;

// Type "TState" was skipped. Reason: It has no full name.
typedef void* System_Char_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;

typedef void* System_CharEnumerator_t;

typedef void* System_Text_StringRuneEnumerator_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Object_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;


typedef void* System_Text_CompositeFormat_t;

// Type "TArg0" was skipped. Reason: It has no full name.
// Type "TArg0" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg0" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg2" was skipped. Reason: It has no full name.
typedef void* System_Text_Encoding_t;

typedef void* System_Text_EncodingProvider_t;

typedef void* System_Text_EncoderFallback_t;

typedef void* System_Text_EncoderFallbackBuffer_t;

typedef void* System_Text_DecoderFallback_t;

typedef void* System_Text_DecoderFallbackBuffer_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Text_EncodingInfo_t;

typedef void* System_Text_EncodingInfo_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;


typedef void* System_Text_Decoder_t;


typedef void* System_Text_Encoder_t;

typedef void* System_IO_Stream_t;

typedef void* System_IAsyncDisposable_t;

typedef void* System_Threading_Tasks_ValueTask_t;

typedef void* System_IEquatable_A1_t;

// Type "TResult" was skipped. Reason: It has no full name.
typedef void* System_Threading_CancellationToken_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Threading_WaitHandle_t;


typedef void* System_IEquatable_A1_t;

typedef void* System_IComparable_A1_t;

typedef void* System_Numerics_IBinaryNumber_A1_t;

typedef void* System_Numerics_IBitwiseOperators_A3_t;

typedef void* System_Numerics_INumber_A1_t;

typedef void* System_Numerics_IComparisonOperators_A3_t;

typedef void* System_Numerics_IEqualityOperators_A3_t;

typedef void* System_Numerics_IModulusOperators_A3_t;

typedef void* System_Numerics_IAdditionOperators_A3_t;

typedef void* System_Numerics_IAdditiveIdentity_A2_t;

typedef void* System_Numerics_IDecrementOperators_A1_t;

typedef void* System_Numerics_IDivisionOperators_A3_t;

typedef void* System_Numerics_IIncrementOperators_A1_t;

typedef void* System_Numerics_IMultiplicativeIdentity_A2_t;

typedef void* System_Numerics_IMultiplyOperators_A3_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;


typedef void* System_Numerics_ISubtractionOperators_A3_t;

typedef void* System_Numerics_IUnaryPlusOperators_A2_t;

typedef void* System_Numerics_IUnaryNegationOperators_A2_t;

typedef void* System_Numerics_IShiftOperators_A3_t;

typedef void* System_Numerics_IMinMaxValue_A1_t;

typedef void* System_Numerics_ISignedNumber_A1_t;

// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
typedef void* System_Threading_WaitHandle_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;


typedef void* System_Threading_CancellationTokenRegistration_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Exception_t;

typedef void* System_Collections_IDictionary_t;

typedef void* System_Collections_IDictionaryEnumerator_t;

typedef void* System_Collections_DictionaryEntry_t;

typedef void* System_Threading_Tasks_Task_t;

typedef void* System_IAsyncResult_t;

typedef void* System_Threading_Tasks_TaskScheduler_t;

typedef void* System_Threading_Tasks_TaskFactory_t;

// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg2" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg2" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg2" was skipped. Reason: It has no full name.
// Type "TArg3" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg2" was skipped. Reason: It has no full name.
// Type "TArg3" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg2" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg2" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg2" was skipped. Reason: It has no full name.
// Type "TArg3" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg2" was skipped. Reason: It has no full name.
// Type "TArg3" was skipped. Reason: It has no full name.
typedef void* System_Threading_Tasks_Task_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;


typedef void* System_TimeProvider_t;

typedef void* System_DateTimeOffset_t;

typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;


typedef void* System_TimeZoneInfo_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_TimeSpan_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;


typedef void* System_Collections_ObjectModel_ReadOnlyCollection_A1_t;

// Type "T" was skipped. Reason: It has no full name.
// Type "T[]" was skipped. Reason: It has no full name.

typedef void* System_Collections_ObjectModel_ReadOnlyCollection_A1_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_TimeZoneInfo_Array_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;

typedef void* System_TimeZoneInfo_AdjustmentRule_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_TimeZoneInfo_AdjustmentRule_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_TimeZoneInfo_TransitionTime_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;


typedef void* System_Threading_ITimer_t;

// Type "TResult" was skipped. Reason: It has no full name.
typedef void* System_Threading_Tasks_Task_A1_t;

// Type "TResult" was skipped. Reason: It has no full name.
// Type "Task`1" was skipped. Reason: It has no full name.
// Type "TResult[]" was skipped. Reason: It has no full name.
// Type "TResult" was skipped. Reason: It has no full name.

typedef void* System_Threading_Tasks_TaskFactory_A1_t;

// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg2" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg2" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg2" was skipped. Reason: It has no full name.
// Type "TArg3" was skipped. Reason: It has no full name.
// Type "TArg1" was skipped. Reason: It has no full name.
// Type "TArg2" was skipped. Reason: It has no full name.
// Type "TArg3" was skipped. Reason: It has no full name.
// Type "TaskFactory`1" was skipped. Reason: It has no full name.
typedef void* System_Runtime_CompilerServices_TaskAwaiter_A1_t;

// Type "TResult" was skipped. Reason: It has no full name.
// Type "TaskAwaiter`1" was skipped. Reason: It has no full name.
typedef void* System_Runtime_CompilerServices_ConfiguredTaskAwaitable_A1_t;

// Type "ConfiguredTaskAwaitable`1" was skipped. Reason: It has no full name.
// Type "Task`1" was skipped. Reason: It has no full name.
// Type "TResult[]" was skipped. Reason: It has no full name.
// Type "TResult" was skipped. Reason: It has no full name.

// Type "TaskFactory`1" was skipped. Reason: It has no full name.
// Type "TaskAwaiter`1" was skipped. Reason: It has no full name.
// Type "ConfiguredTaskAwaitable`1" was skipped. Reason: It has no full name.
typedef void* System_Threading_Tasks_Task_A1_t;

typedef void* System_Threading_Tasks_TaskFactory_A1_t;

typedef void* System_Runtime_CompilerServices_TaskAwaiter_A1_t;

typedef void* System_Runtime_CompilerServices_ConfiguredTaskAwaitable_A1_t;

typedef void* System_Threading_Tasks_Task_A1_t;

typedef void* System_Threading_Tasks_TaskFactory_A1_t;

typedef void* System_Runtime_CompilerServices_TaskAwaiter_A1_t;

typedef void* System_Runtime_CompilerServices_ConfiguredTaskAwaitable_A1_t;

// Type "TEnum" was skipped. Reason: It has no full name.
// Type "TEnum[]" was skipped. Reason: It has no full name.
// Type "TEnum" was skipped. Reason: It has no full name.

// Type "TEnum" was skipped. Reason: It has no full name.
// Type "TEnum" was skipped. Reason: It has no full name.
// Type "TEnum" was skipped. Reason: It has no full name.
// Type "TEnum" was skipped. Reason: It has no full name.
// Type "TEnum" was skipped. Reason: It has no full name.
// Type "TEnum" was skipped. Reason: It has no full name.

// Type "TEnum" was skipped. Reason: It has no full name.

// Type "TEnum" was skipped. Reason: It has no full name.

// Type "TEnum" was skipped. Reason: It has no full name.

// Type "TEnum" was skipped. Reason: It has no full name.

typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_IBinaryNumber_A1_t;

typedef void* System_Numerics_IBitwiseOperators_A3_t;

typedef void* System_Numerics_INumber_A1_t;

typedef void* System_Numerics_IComparisonOperators_A3_t;

typedef void* System_Numerics_IEqualityOperators_A3_t;

typedef void* System_Numerics_IModulusOperators_A3_t;

typedef void* System_Numerics_IAdditionOperators_A3_t;

typedef void* System_Numerics_IAdditiveIdentity_A2_t;

typedef void* System_Numerics_IDecrementOperators_A1_t;

typedef void* System_Numerics_IDivisionOperators_A3_t;

typedef void* System_Numerics_IIncrementOperators_A1_t;

typedef void* System_Numerics_IMultiplicativeIdentity_A2_t;

typedef void* System_Numerics_IMultiplyOperators_A3_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;


typedef void* System_Numerics_ISubtractionOperators_A3_t;

typedef void* System_Numerics_IUnaryPlusOperators_A2_t;

typedef void* System_Numerics_IUnaryNegationOperators_A2_t;

typedef void* System_Numerics_IShiftOperators_A3_t;

typedef void* System_Numerics_IMinMaxValue_A1_t;

typedef void* System_Numerics_ISignedNumber_A1_t;

// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.

typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_IBinaryNumber_A1_t;

typedef void* System_Numerics_IBitwiseOperators_A3_t;

typedef void* System_Numerics_INumber_A1_t;

typedef void* System_Numerics_IComparisonOperators_A3_t;

typedef void* System_Numerics_IEqualityOperators_A3_t;

typedef void* System_Numerics_IModulusOperators_A3_t;

typedef void* System_Numerics_IAdditionOperators_A3_t;

typedef void* System_Numerics_IAdditiveIdentity_A2_t;

typedef void* System_Numerics_IDecrementOperators_A1_t;

typedef void* System_Numerics_IDivisionOperators_A3_t;

typedef void* System_Numerics_IIncrementOperators_A1_t;

typedef void* System_Numerics_IMultiplicativeIdentity_A2_t;

typedef void* System_Numerics_IMultiplyOperators_A3_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;


typedef void* System_Numerics_ISubtractionOperators_A3_t;

typedef void* System_Numerics_IUnaryPlusOperators_A2_t;

typedef void* System_Numerics_IUnaryNegationOperators_A2_t;

typedef void* System_Numerics_IShiftOperators_A3_t;

typedef void* System_Numerics_IMinMaxValue_A1_t;

typedef void* System_Numerics_IUnsignedNumber_A1_t;

// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.

typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_IBinaryFloatingPointIeee754_A1_t;

typedef void* System_Numerics_IBinaryNumber_A1_t;

typedef void* System_Numerics_IBitwiseOperators_A3_t;

typedef void* System_Numerics_INumber_A1_t;

typedef void* System_Numerics_IComparisonOperators_A3_t;

typedef void* System_Numerics_IEqualityOperators_A3_t;

typedef void* System_Numerics_IModulusOperators_A3_t;

typedef void* System_Numerics_IAdditionOperators_A3_t;

typedef void* System_Numerics_IAdditiveIdentity_A2_t;

typedef void* System_Numerics_IDecrementOperators_A1_t;

typedef void* System_Numerics_IDivisionOperators_A3_t;

typedef void* System_Numerics_IIncrementOperators_A1_t;

typedef void* System_Numerics_IMultiplicativeIdentity_A2_t;

typedef void* System_Numerics_IMultiplyOperators_A3_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;


typedef void* System_Numerics_ISubtractionOperators_A3_t;

typedef void* System_Numerics_IUnaryPlusOperators_A2_t;

typedef void* System_Numerics_IUnaryNegationOperators_A2_t;

typedef void* System_Numerics_IFloatingPointIeee754_A1_t;

typedef void* System_Numerics_IExponentialFunctions_A1_t;

typedef void* System_Numerics_IFloatingPointConstants_A1_t;

typedef void* System_Numerics_IFloatingPoint_A1_t;

typedef void* System_Numerics_ISignedNumber_A1_t;

typedef void* System_Numerics_IHyperbolicFunctions_A1_t;

typedef void* System_Numerics_ILogarithmicFunctions_A1_t;

typedef void* System_Numerics_IPowerFunctions_A1_t;

typedef void* System_Numerics_IRootFunctions_A1_t;

typedef void* System_Numerics_ITrigonometricFunctions_A1_t;

typedef void* System_Numerics_IMinMaxValue_A1_t;

// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
typedef void* System_Decimal_t;

typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_IFloatingPoint_A1_t;

typedef void* System_Numerics_IFloatingPointConstants_A1_t;

typedef void* System_Numerics_IAdditionOperators_A3_t;

typedef void* System_Numerics_IAdditiveIdentity_A2_t;

typedef void* System_Numerics_IDecrementOperators_A1_t;

typedef void* System_Numerics_IDivisionOperators_A3_t;

typedef void* System_Numerics_IEqualityOperators_A3_t;

typedef void* System_Numerics_IIncrementOperators_A1_t;

typedef void* System_Numerics_IMultiplicativeIdentity_A2_t;

typedef void* System_Numerics_IMultiplyOperators_A3_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;


typedef void* System_Numerics_ISubtractionOperators_A3_t;

typedef void* System_Numerics_IUnaryPlusOperators_A2_t;

typedef void* System_Numerics_IUnaryNegationOperators_A2_t;

typedef void* System_Numerics_INumber_A1_t;

typedef void* System_Numerics_IComparisonOperators_A3_t;

typedef void* System_Numerics_IModulusOperators_A3_t;

typedef void* System_Numerics_ISignedNumber_A1_t;

typedef void* System_Numerics_IMinMaxValue_A1_t;

// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_IBinaryNumber_A1_t;

typedef void* System_Numerics_IBitwiseOperators_A3_t;

typedef void* System_Numerics_INumber_A1_t;

typedef void* System_Numerics_IComparisonOperators_A3_t;

typedef void* System_Numerics_IEqualityOperators_A3_t;

typedef void* System_Numerics_IModulusOperators_A3_t;

typedef void* System_Numerics_IAdditionOperators_A3_t;

typedef void* System_Numerics_IAdditiveIdentity_A2_t;

typedef void* System_Numerics_IDecrementOperators_A1_t;

typedef void* System_Numerics_IDivisionOperators_A3_t;

typedef void* System_Numerics_IIncrementOperators_A1_t;

typedef void* System_Numerics_IMultiplicativeIdentity_A2_t;

typedef void* System_Numerics_IMultiplyOperators_A3_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;

typedef void* System_Numerics_ISubtractionOperators_A3_t;

typedef void* System_Numerics_IUnaryPlusOperators_A2_t;

typedef void* System_Numerics_IUnaryNegationOperators_A2_t;

typedef void* System_Numerics_IShiftOperators_A3_t;

typedef void* System_Numerics_IMinMaxValue_A1_t;

typedef void* System_Numerics_ISignedNumber_A1_t;

// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
typedef void* System_IComparable_A1_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;

typedef void* System_Type_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;


typedef void* System_Reflection_ParameterModifier_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;

typedef void* System_Reflection_ConstructorInfo_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;

typedef void* System_Reflection_EventInfo_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;

typedef void* System_Reflection_FieldInfo_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;

typedef void* System_Reflection_MemberInfo_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;

typedef void* System_Reflection_MethodInfo_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;

typedef void* System_Reflection_PropertyInfo_Array_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;


typedef void* System_IEquatable_A1_t;

typedef void* System_IComparable_A1_t;

typedef void* System_Numerics_IBinaryNumber_A1_t;

typedef void* System_Numerics_IBitwiseOperators_A3_t;

typedef void* System_Numerics_INumber_A1_t;

typedef void* System_Numerics_IComparisonOperators_A3_t;

typedef void* System_Numerics_IEqualityOperators_A3_t;

typedef void* System_Numerics_IModulusOperators_A3_t;

typedef void* System_Numerics_IAdditionOperators_A3_t;

typedef void* System_Numerics_IAdditiveIdentity_A2_t;

typedef void* System_Numerics_IDecrementOperators_A1_t;

typedef void* System_Numerics_IDivisionOperators_A3_t;

typedef void* System_Numerics_IIncrementOperators_A1_t;

typedef void* System_Numerics_IMultiplicativeIdentity_A2_t;

typedef void* System_Numerics_IMultiplyOperators_A3_t;

typedef void* System_ISpanParsable_A1_t;

typedef void* System_IParsable_A1_t;


typedef void* System_Numerics_ISubtractionOperators_A3_t;

typedef void* System_Numerics_IUnaryPlusOperators_A2_t;

typedef void* System_Numerics_IUnaryNegationOperators_A2_t;

typedef void* System_Numerics_IShiftOperators_A3_t;

typedef void* System_Numerics_IMinMaxValue_A1_t;

typedef void* System_Numerics_IUnsignedNumber_A1_t;

// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
// Type "TOther" was skipped. Reason: It has no full name.
typedef void* System_AppContext_t;

typedef void* System_Runtime_InteropServices_GCHandle_t;

typedef void* System_IEquatable_A1_t;

typedef void* MyLib_Hello_t;

typedef void* MathLib_Math_t;

typedef void* System_Collections_Generic_List_A1_t;

// Type "T" was skipped. Reason: It has no full name.
// Type "T[]" was skipped. Reason: It has no full name.

typedef void* System_Collections_Generic_List_A1_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Single_Array_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;

typedef void* System_Collections_ObjectModel_ReadOnlyCollection_A1_t;

typedef void* System_Collections_Generic_IComparer_A1_t;

// Type "T" was skipped. Reason: It has no full name.
typedef void* System_Collections_Generic_IComparer_A1_t;

typedef void* System_Drawing_Point_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Drawing_PointF_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_Vector2_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_Matrix3x2_t;

typedef void* System_IEquatable_A1_t;


typedef void* System_Numerics_Matrix4x4_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_Vector3_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_Quaternion_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_Plane_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Numerics_Vector4_t;

typedef void* System_IEquatable_A1_t;




typedef void* System_Drawing_Size_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Drawing_SizeF_t;

typedef void* System_IEquatable_A1_t;

typedef void* System_Collections_Generic_List_A1_t;

typedef void* System_Collections_Generic_IList_A1_t;

typedef void* System_Collections_Generic_ICollection_A1_t;

typedef void* System_Collections_Generic_IEnumerable_A1_t;

typedef void* System_Collections_Generic_IEnumerator_A1_t;

typedef void* System_Drawing_Point_Array_t;

typedef void* System_Collections_Generic_IReadOnlyList_A1_t;

typedef void* System_Collections_Generic_IReadOnlyCollection_A1_t;


typedef void* System_Collections_ObjectModel_ReadOnlyCollection_A1_t;

typedef void* System_Collections_Generic_IComparer_A1_t;

typedef void* System_Threading_TimerCallback_t;
typedef void (*System_Threading_TimerCallback_CDestructorFunction_t)(void* context);

typedef void (*System_Threading_TimerCallback_CFunction_t)(
	void* context,
	System_Object_t _Nullable state
);


typedef void* System_AsyncCallback_t;
typedef void (*System_AsyncCallback_CDestructorFunction_t)(void* context);

typedef void (*System_AsyncCallback_CFunction_t)(
	void* context,
	System_IAsyncResult_t _Nonnull ar
);



#pragma mark - END Type Definitions

#pragma mark - BEGIN APIs
#pragma mark - BEGIN APIs of System.TypeCode
System_Type_t _Nonnull /* System.Type */
System_TypeCode_TypeOf(
	void
);

#pragma mark - END APIs of System.TypeCode

#pragma mark - BEGIN APIs of System.Globalization.NumberStyles
System_Type_t _Nonnull /* System.Type */
System_Globalization_NumberStyles_TypeOf(
	void
);

#pragma mark - END APIs of System.Globalization.NumberStyles

#pragma mark - BEGIN APIs of System.Globalization.CultureTypes
System_Type_t _Nonnull /* System.Type */
System_Globalization_CultureTypes_TypeOf(
	void
);

#pragma mark - END APIs of System.Globalization.CultureTypes

#pragma mark - BEGIN APIs of System.Buffers.OperationStatus
System_Type_t _Nonnull /* System.Type */
System_Buffers_OperationStatus_TypeOf(
	void
);

#pragma mark - END APIs of System.Buffers.OperationStatus

#pragma mark - BEGIN APIs of System.MidpointRounding
System_Type_t _Nonnull /* System.Type */
System_MidpointRounding_TypeOf(
	void
);

#pragma mark - END APIs of System.MidpointRounding

#pragma mark - BEGIN APIs of System.Globalization.UnicodeCategory
System_Type_t _Nonnull /* System.Type */
System_Globalization_UnicodeCategory_TypeOf(
	void
);

#pragma mark - END APIs of System.Globalization.UnicodeCategory

#pragma mark - BEGIN APIs of System.Globalization.CompareOptions
System_Type_t _Nonnull /* System.Type */
System_Globalization_CompareOptions_TypeOf(
	void
);

#pragma mark - END APIs of System.Globalization.CompareOptions

#pragma mark - BEGIN APIs of System.Globalization.DigitShapes
System_Type_t _Nonnull /* System.Type */
System_Globalization_DigitShapes_TypeOf(
	void
);

#pragma mark - END APIs of System.Globalization.DigitShapes

#pragma mark - BEGIN APIs of System.Globalization.TimeSpanStyles
System_Type_t _Nonnull /* System.Type */
System_Globalization_TimeSpanStyles_TypeOf(
	void
);

#pragma mark - END APIs of System.Globalization.TimeSpanStyles

#pragma mark - BEGIN APIs of System.DateTimeKind
System_Type_t _Nonnull /* System.Type */
System_DateTimeKind_TypeOf(
	void
);

#pragma mark - END APIs of System.DateTimeKind

#pragma mark - BEGIN APIs of System.DayOfWeek
System_Type_t _Nonnull /* System.Type */
System_DayOfWeek_TypeOf(
	void
);

#pragma mark - END APIs of System.DayOfWeek

#pragma mark - BEGIN APIs of System.Globalization.DateTimeStyles
System_Type_t _Nonnull /* System.Type */
System_Globalization_DateTimeStyles_TypeOf(
	void
);

#pragma mark - END APIs of System.Globalization.DateTimeStyles

#pragma mark - BEGIN APIs of System.Globalization.CalendarAlgorithmType
System_Type_t _Nonnull /* System.Type */
System_Globalization_CalendarAlgorithmType_TypeOf(
	void
);

#pragma mark - END APIs of System.Globalization.CalendarAlgorithmType

#pragma mark - BEGIN APIs of System.Globalization.CalendarWeekRule
System_Type_t _Nonnull /* System.Type */
System_Globalization_CalendarWeekRule_TypeOf(
	void
);

#pragma mark - END APIs of System.Globalization.CalendarWeekRule

#pragma mark - BEGIN APIs of System.StringComparison
System_Type_t _Nonnull /* System.Type */
System_StringComparison_TypeOf(
	void
);

#pragma mark - END APIs of System.StringComparison

#pragma mark - BEGIN APIs of System.Text.NormalizationForm
System_Type_t _Nonnull /* System.Type */
System_Text_NormalizationForm_TypeOf(
	void
);

#pragma mark - END APIs of System.Text.NormalizationForm

#pragma mark - BEGIN APIs of System.StringSplitOptions
System_Type_t _Nonnull /* System.Type */
System_StringSplitOptions_TypeOf(
	void
);

#pragma mark - END APIs of System.StringSplitOptions

#pragma mark - BEGIN APIs of System.Threading.Tasks.TaskStatus
System_Type_t _Nonnull /* System.Type */
System_Threading_Tasks_TaskStatus_TypeOf(
	void
);

#pragma mark - END APIs of System.Threading.Tasks.TaskStatus

#pragma mark - BEGIN APIs of System.Threading.Tasks.TaskCreationOptions
System_Type_t _Nonnull /* System.Type */
System_Threading_Tasks_TaskCreationOptions_TypeOf(
	void
);

#pragma mark - END APIs of System.Threading.Tasks.TaskCreationOptions

#pragma mark - BEGIN APIs of System.Threading.Tasks.TaskContinuationOptions
System_Type_t _Nonnull /* System.Type */
System_Threading_Tasks_TaskContinuationOptions_TypeOf(
	void
);

#pragma mark - END APIs of System.Threading.Tasks.TaskContinuationOptions

#pragma mark - BEGIN APIs of System.Threading.Tasks.ConfigureAwaitOptions
System_Type_t _Nonnull /* System.Type */
System_Threading_Tasks_ConfigureAwaitOptions_TypeOf(
	void
);

#pragma mark - END APIs of System.Threading.Tasks.ConfigureAwaitOptions

#pragma mark - BEGIN APIs of System.IO.SeekOrigin
System_Type_t _Nonnull /* System.Type */
System_IO_SeekOrigin_TypeOf(
	void
);

#pragma mark - END APIs of System.IO.SeekOrigin

#pragma mark - BEGIN APIs of System.Runtime.InteropServices.GCHandleType
System_Type_t _Nonnull /* System.Type */
System_Runtime_InteropServices_GCHandleType_TypeOf(
	void
);

#pragma mark - END APIs of System.Runtime.InteropServices.GCHandleType

#pragma mark - BEGIN APIs of System.Object
System_Type_t _Nonnull /* System.Type */
System_Object_GetType(
	System_Object_t _Nullable /* System.Object */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nullable /* System.String */
System_Object_ToString(
	System_Object_t _Nullable /* System.Object */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Object_Equals(
	System_Object_t _Nullable /* System.Object */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Object_Equals_1(
	System_Object_t _Nullable /* System.Object */ objA,
	System_Object_t _Nullable /* System.Object */ objB,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Object_ReferenceEquals(
	System_Object_t _Nullable /* System.Object */ objA,
	System_Object_t _Nullable /* System.Object */ objB,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Object_GetHashCode(
	System_Object_t _Nullable /* System.Object */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Object_Create(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Object_TypeOf(
	void
);

void /* System.Void */
System_Object_Destroy(
	System_Object_t _Nullable /* System.Object */ self
);

#pragma mark - END APIs of System.Object

#pragma mark - BEGIN APIs of System.Type
System_Type_t _Nullable /* System.Type */
System_Type_GetType(
	System_String_t _Nonnull /* System.String */ typeName,
	bool /* System.Boolean */ throwOnError,
	bool /* System.Boolean */ ignoreCase,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nullable /* System.Type */
System_Type_GetType_1(
	System_String_t _Nonnull /* System.String */ typeName,
	bool /* System.Boolean */ throwOnError,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nullable /* System.Type */
System_Type_GetType_2(
	System_String_t _Nonnull /* System.String */ typeName,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Type_GetType_3(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nullable /* System.Type */
System_Type_GetElementType(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Type_GetArrayRank(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Type_GetGenericTypeDefinition(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_Array_t _Nonnull /* System.Type[] */
System_Type_GetGenericArguments(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_Array_t _Nonnull /* System.Type[] */
System_Type_GetOptionalCustomModifiers(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_Array_t _Nonnull /* System.Type[] */
System_Type_GetRequiredCustomModifiers(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_Array_t _Nonnull /* System.Type[] */
System_Type_GetGenericParameterConstraints(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Type_IsAssignableTo(
	System_Type_t _Nullable /* System.Type */ self,
	System_Type_t _Nullable /* System.Type */ targetType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Reflection_ConstructorInfo_Array_t _Nonnull /* System.Reflection.ConstructorInfo[] */
System_Type_GetConstructors(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Reflection_EventInfo_Array_t _Nonnull /* System.Reflection.EventInfo[] */
System_Type_GetEvents(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Reflection_FieldInfo_Array_t _Nonnull /* System.Reflection.FieldInfo[] */
System_Type_GetFields(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_Array_t _Nonnull /* System.Type[] */
System_Type_GetFunctionPointerCallingConventions(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Type_GetFunctionPointerReturnType(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_Array_t _Nonnull /* System.Type[] */
System_Type_GetFunctionPointerParameterTypes(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Reflection_MemberInfo_Array_t _Nonnull /* System.Reflection.MemberInfo[] */
System_Type_GetMember(
	System_Type_t _Nullable /* System.Type */ self,
	System_String_t _Nonnull /* System.String */ name,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Reflection_MemberInfo_Array_t _Nonnull /* System.Reflection.MemberInfo[] */
System_Type_GetMembers(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Reflection_MethodInfo_Array_t _Nonnull /* System.Reflection.MethodInfo[] */
System_Type_GetMethods(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nullable /* System.Type */
System_Type_GetNestedType(
	System_Type_t _Nullable /* System.Type */ self,
	System_String_t _Nonnull /* System.String */ name,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_Array_t _Nonnull /* System.Type[] */
System_Type_GetNestedTypes(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Reflection_PropertyInfo_Array_t _Nonnull /* System.Reflection.PropertyInfo[] */
System_Type_GetProperties(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Reflection_MemberInfo_Array_t _Nonnull /* System.Reflection.MemberInfo[] */
System_Type_GetDefaultMembers(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_Array_t _Nonnull /* System.Type[] */
System_Type_GetTypeArray(
	System_Object_Array_t _Nonnull /* System.Object[] */ args,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TypeCode_t /* System.TypeCode */
System_Type_GetTypeCode(
	System_Type_t _Nullable /* System.Type */ type,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nullable /* System.Type */
System_Type_GetTypeFromCLSID(
	System_Guid_t _Nonnull /* System.Guid */ clsid,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nullable /* System.Type */
System_Type_GetTypeFromCLSID_1(
	System_Guid_t _Nonnull /* System.Guid */ clsid,
	bool /* System.Boolean */ throwOnError,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nullable /* System.Type */
System_Type_GetTypeFromCLSID_2(
	System_Guid_t _Nonnull /* System.Guid */ clsid,
	System_String_t _Nullable /* System.String */ server,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nullable /* System.Type */
System_Type_GetTypeFromCLSID_3(
	System_Guid_t _Nonnull /* System.Guid */ clsid,
	System_String_t _Nullable /* System.String */ server,
	bool /* System.Boolean */ throwOnError,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nullable /* System.Type */
System_Type_GetTypeFromProgID(
	System_String_t _Nonnull /* System.String */ progID,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nullable /* System.Type */
System_Type_GetTypeFromProgID_1(
	System_String_t _Nonnull /* System.String */ progID,
	bool /* System.Boolean */ throwOnError,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nullable /* System.Type */
System_Type_GetTypeFromProgID_2(
	System_String_t _Nonnull /* System.String */ progID,
	System_String_t _Nullable /* System.String */ server,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nullable /* System.Type */
System_Type_GetTypeFromProgID_3(
	System_String_t _Nonnull /* System.String */ progID,
	System_String_t _Nullable /* System.String */ server,
	bool /* System.Boolean */ throwOnError,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nullable /* System.Type */
System_Type_GetInterface(
	System_Type_t _Nullable /* System.Type */ self,
	System_String_t _Nonnull /* System.String */ name,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nullable /* System.Type */
System_Type_GetInterface_1(
	System_Type_t _Nullable /* System.Type */ self,
	System_String_t _Nonnull /* System.String */ name,
	bool /* System.Boolean */ ignoreCase,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_Array_t _Nonnull /* System.Type[] */
System_Type_GetInterfaces(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Type_IsInstanceOfType(
	System_Type_t _Nullable /* System.Type */ self,
	System_Object_t _Nullable /* System.Object */ o,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Type_IsEquivalentTo(
	System_Type_t _Nullable /* System.Type */ self,
	System_Type_t _Nullable /* System.Type */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Type_GetEnumUnderlyingType(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Array_t _Nonnull /* System.Array */
System_Type_GetEnumValues(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Array_t _Nonnull /* System.Array */
System_Type_GetEnumValuesAsUnderlyingType(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Type_MakeArrayType(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Type_MakeArrayType_1(
	System_Type_t _Nullable /* System.Type */ self,
	int32_t /* System.Int32 */ rank,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Type_MakeByRefType(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Type_MakeGenericType(
	System_Type_t _Nullable /* System.Type */ self,
	System_Type_Array_t _Nonnull /* System.Type[] */ typeArguments,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Type_MakePointerType(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Type_MakeGenericSignatureType(
	System_Type_t _Nonnull /* System.Type */ genericTypeDefinition,
	System_Type_Array_t _Nonnull /* System.Type[] */ typeArguments,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Type_MakeGenericMethodParameter(
	int32_t /* System.Int32 */ position,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Type_ToString(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Type_Equals(
	System_Type_t _Nullable /* System.Type */ self,
	System_Object_t _Nullable /* System.Object */ o,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Type_GetHashCode(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Type_Equals_1(
	System_Type_t _Nullable /* System.Type */ self,
	System_Type_t _Nullable /* System.Type */ o,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nullable /* System.Type */
System_Type_ReflectionOnlyGetType(
	System_String_t _Nonnull /* System.String */ typeName,
	bool /* System.Boolean */ throwIfNotFound,
	bool /* System.Boolean */ ignoreCase,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Type_IsEnumDefined(
	System_Type_t _Nullable /* System.Type */ self,
	System_Object_t _Nonnull /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nullable /* System.String */
System_Type_GetEnumName(
	System_Type_t _Nullable /* System.Type */ self,
	System_Object_t _Nonnull /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_Type_GetEnumNames(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Type_IsSubclassOf(
	System_Type_t _Nullable /* System.Type */ self,
	System_Type_t _Nonnull /* System.Type */ c,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Type_IsAssignableFrom(
	System_Type_t _Nullable /* System.Type */ self,
	System_Type_t _Nullable /* System.Type */ c,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Type_IsInterface_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nullable /* System.String */
System_Type_Namespace_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nullable /* System.String */
System_Type_AssemblyQualifiedName_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nullable /* System.String */
System_Type_FullName_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsNested_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nullable /* System.Type */
System_Type_DeclaringType_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nullable /* System.Type */
System_Type_ReflectedType_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Type_UnderlyingSystemType_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsTypeDefinition_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsArray_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsByRef_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsPointer_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsConstructedGenericType_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsGenericParameter_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsGenericTypeParameter_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsGenericMethodParameter_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsGenericType_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsGenericTypeDefinition_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsSZArray_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsVariableBoundArray_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsByRefLike_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsFunctionPointer_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsUnmanagedFunctionPointer_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_HasElementType_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_Array_t _Nonnull /* System.Type[] */
System_Type_GenericTypeArguments_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Type_GenericParameterPosition_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsAbstract_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsImport_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsSealed_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsSpecialName_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsClass_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsNestedAssembly_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsNestedFamANDAssem_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsNestedFamily_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsNestedFamORAssem_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsNestedPrivate_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsNestedPublic_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsNotPublic_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsPublic_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsAutoLayout_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsExplicitLayout_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsLayoutSequential_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsAnsiClass_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsAutoClass_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsUnicodeClass_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsCOMObject_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsContextful_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsEnum_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsMarshalByRef_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsPrimitive_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsValueType_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsSignatureType_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsSecurityCritical_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsSecuritySafeCritical_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsSecurityTransparent_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Guid_t _Nonnull /* System.Guid */
System_Type_GUID_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nullable /* System.Type */
System_Type_BaseType_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsSerializable_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_ContainsGenericParameters_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Type_IsVisible_Get(
	System_Type_t _Nullable /* System.Type */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


wchar_t /* System.Char */
System_Type_Delimiter_Get(
	void
);


System_Type_Array_t _Nonnull /* System.Type[] */
System_Type_EmptyTypes_Get(
	void
);


System_Object_t _Nonnull /* System.Object */
System_Type_Missing_Get(
	void
);


System_Type_t _Nonnull /* System.Type */
System_Type_TypeOf(
	void
);

void /* System.Void */
System_Type_Destroy(
	System_Type_t _Nullable /* System.Type */ self
);

#pragma mark - END APIs of System.Type

#pragma mark - BEGIN APIs of System.Boolean
System_Type_t _Nonnull /* System.Type */
System_Boolean_TypeOf(
	void
);

#pragma mark - END APIs of System.Boolean

#pragma mark - BEGIN APIs of System.ValueType
bool /* System.Boolean */
System_ValueType_Equals(
	System_ValueType_t _Nullable /* System.ValueType */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_ValueType_GetHashCode(
	System_ValueType_t _Nullable /* System.ValueType */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nullable /* System.String */
System_ValueType_ToString(
	System_ValueType_t _Nullable /* System.ValueType */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_ValueType_TypeOf(
	void
);

void /* System.Void */
System_ValueType_Destroy(
	System_ValueType_t _Nullable /* System.ValueType */ self
);

#pragma mark - END APIs of System.ValueType

#pragma mark - BEGIN APIs of System.Int32
System_Type_t _Nonnull /* System.Type */
System_Int32_TypeOf(
	void
);

#pragma mark - END APIs of System.Int32

#pragma mark - BEGIN APIs of System.IComparable
int32_t /* System.Int32 */
System_IComparable_CompareTo(
	System_IComparable_t _Nullable /* System.IComparable */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_IComparable_TypeOf(
	void
);

void /* System.Void */
System_IComparable_Destroy(
	System_IComparable_t _Nullable /* System.IComparable */ self
);

#pragma mark - END APIs of System.IComparable

#pragma mark - BEGIN APIs of System.IConvertible
System_TypeCode_t /* System.TypeCode */
System_IConvertible_GetTypeCode(
	System_IConvertible_t _Nullable /* System.IConvertible */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_IConvertible_ToBoolean(
	System_IConvertible_t _Nullable /* System.IConvertible */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

wchar_t /* System.Char */
System_IConvertible_ToChar(
	System_IConvertible_t _Nullable /* System.IConvertible */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int8_t /* System.SByte */
System_IConvertible_ToSByte(
	System_IConvertible_t _Nullable /* System.IConvertible */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

uint8_t /* System.Byte */
System_IConvertible_ToByte(
	System_IConvertible_t _Nullable /* System.IConvertible */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int16_t /* System.Int16 */
System_IConvertible_ToInt16(
	System_IConvertible_t _Nullable /* System.IConvertible */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

uint16_t /* System.UInt16 */
System_IConvertible_ToUInt16(
	System_IConvertible_t _Nullable /* System.IConvertible */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_IConvertible_ToInt32(
	System_IConvertible_t _Nullable /* System.IConvertible */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

uint32_t /* System.UInt32 */
System_IConvertible_ToUInt32(
	System_IConvertible_t _Nullable /* System.IConvertible */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int64_t /* System.Int64 */
System_IConvertible_ToInt64(
	System_IConvertible_t _Nullable /* System.IConvertible */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

uint64_t /* System.UInt64 */
System_IConvertible_ToUInt64(
	System_IConvertible_t _Nullable /* System.IConvertible */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_IConvertible_ToSingle(
	System_IConvertible_t _Nullable /* System.IConvertible */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

double /* System.Double */
System_IConvertible_ToDouble(
	System_IConvertible_t _Nullable /* System.IConvertible */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_IConvertible_ToDecimal(
	System_IConvertible_t _Nullable /* System.IConvertible */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_IConvertible_ToDateTime(
	System_IConvertible_t _Nullable /* System.IConvertible */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_IConvertible_ToString(
	System_IConvertible_t _Nullable /* System.IConvertible */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_IConvertible_ToType(
	System_IConvertible_t _Nullable /* System.IConvertible */ self,
	System_Type_t _Nonnull /* System.Type */ conversionType,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_IConvertible_TypeOf(
	void
);

void /* System.Void */
System_IConvertible_Destroy(
	System_IConvertible_t _Nullable /* System.IConvertible */ self
);

#pragma mark - END APIs of System.IConvertible

#pragma mark - BEGIN APIs of System.Enum
System_String_t _Nullable /* System.String */
System_Enum_GetName_A1(
	System_Type_t _Nullable /* System.Type */ TEnum,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nullable /* System.String */
System_Enum_GetName_1(
	System_Type_t _Nonnull /* System.Type */ enumType,
	System_Object_t _Nonnull /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_Enum_GetNames_A1(
	System_Type_t _Nullable /* System.Type */ TEnum,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_Enum_GetNames_1(
	System_Type_t _Nonnull /* System.Type */ enumType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Enum_GetUnderlyingType(
	System_Type_t _Nonnull /* System.Type */ enumType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Array_t _Nonnull /* System.Array */
System_Enum_GetValues_A1(
	System_Type_t _Nullable /* System.Type */ TEnum,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Array_t _Nonnull /* System.Array */
System_Enum_GetValues_1(
	System_Type_t _Nonnull /* System.Type */ enumType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Array_t _Nonnull /* System.Array */
System_Enum_GetValuesAsUnderlyingType_A1(
	System_Type_t _Nullable /* System.Type */ TEnum,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Array_t _Nonnull /* System.Array */
System_Enum_GetValuesAsUnderlyingType_1(
	System_Type_t _Nonnull /* System.Type */ enumType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Enum_HasFlag(
	System_Enum_t _Nullable /* System.Enum */ self,
	System_Enum_t _Nonnull /* System.Enum */ flag,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Enum_IsDefined_A1(
	System_Type_t _Nullable /* System.Type */ TEnum,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Enum_IsDefined_1(
	System_Type_t _Nonnull /* System.Type */ enumType,
	System_Object_t _Nonnull /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Enum_Parse(
	System_Type_t _Nonnull /* System.Type */ enumType,
	System_String_t _Nonnull /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Enum_Parse_1(
	System_Type_t _Nonnull /* System.Type */ enumType,
	System_String_t _Nonnull /* System.String */ value,
	bool /* System.Boolean */ ignoreCase,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Enum_Parse_A1(
	System_Type_t _Nullable /* System.Type */ TEnum,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Enum_Parse_A1_1(
	System_Type_t _Nullable /* System.Type */ TEnum,
	System_String_t _Nullable /* System.String */ value,
	bool /* System.Boolean */ ignoreCase,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Enum_TryParse(
	System_Type_t _Nonnull /* System.Type */ enumType,
	System_String_t _Nullable /* System.String */ value,
	System_Object_t _Nullable* _Nullable /* System.Object */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Enum_TryParse_1(
	System_Type_t _Nonnull /* System.Type */ enumType,
	System_String_t _Nullable /* System.String */ value,
	bool /* System.Boolean */ ignoreCase,
	System_Object_t _Nullable* _Nullable /* System.Object */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Enum_TryParse_A1(
	System_Type_t _Nullable /* System.Type */ TEnum,
	System_String_t _Nullable /* System.String */ value,
	System_Object_t _Nullable* _Nullable /* System.Object */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Enum_TryParse_A1_1(
	System_Type_t _Nullable /* System.Type */ TEnum,
	System_String_t _Nullable /* System.String */ value,
	bool /* System.Boolean */ ignoreCase,
	System_Object_t _Nullable* _Nullable /* System.Object */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Enum_Equals(
	System_Enum_t _Nullable /* System.Enum */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Enum_GetHashCode(
	System_Enum_t _Nullable /* System.Enum */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Enum_CompareTo(
	System_Enum_t _Nullable /* System.Enum */ self,
	System_Object_t _Nullable /* System.Object */ target,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Enum_ToString(
	System_Enum_t _Nullable /* System.Enum */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Enum_ToString_1(
	System_Enum_t _Nullable /* System.Enum */ self,
	System_String_t _Nullable /* System.String */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Enum_ToString_2(
	System_Enum_t _Nullable /* System.Enum */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Enum_ToString_3(
	System_Enum_t _Nullable /* System.Enum */ self,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Enum_Format(
	System_Type_t _Nonnull /* System.Type */ enumType,
	System_Object_t _Nonnull /* System.Object */ value,
	System_String_t _Nonnull /* System.String */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TypeCode_t /* System.TypeCode */
System_Enum_GetTypeCode(
	System_Enum_t _Nullable /* System.Enum */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Enum_ToObject(
	System_Type_t _Nonnull /* System.Type */ enumType,
	System_Object_t _Nonnull /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Enum_ToObject_1(
	System_Type_t _Nonnull /* System.Type */ enumType,
	int8_t /* System.SByte */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Enum_ToObject_2(
	System_Type_t _Nonnull /* System.Type */ enumType,
	int16_t /* System.Int16 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Enum_ToObject_3(
	System_Type_t _Nonnull /* System.Type */ enumType,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Enum_ToObject_4(
	System_Type_t _Nonnull /* System.Type */ enumType,
	uint8_t /* System.Byte */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Enum_ToObject_5(
	System_Type_t _Nonnull /* System.Type */ enumType,
	uint16_t /* System.UInt16 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Enum_ToObject_6(
	System_Type_t _Nonnull /* System.Type */ enumType,
	uint32_t /* System.UInt32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Enum_ToObject_7(
	System_Type_t _Nonnull /* System.Type */ enumType,
	int64_t /* System.Int64 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Enum_ToObject_8(
	System_Type_t _Nonnull /* System.Type */ enumType,
	uint64_t /* System.UInt64 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Enum_TypeOf(
	void
);

void /* System.Void */
System_Enum_Destroy(
	System_Enum_t _Nullable /* System.Enum */ self
);

#pragma mark - END APIs of System.Enum

#pragma mark - BEGIN APIs of System.ISpanFormattable
System_Type_t _Nonnull /* System.Type */
System_ISpanFormattable_TypeOf(
	void
);

void /* System.Void */
System_ISpanFormattable_Destroy(
	System_ISpanFormattable_t _Nullable /* System.ISpanFormattable */ self
);

#pragma mark - END APIs of System.ISpanFormattable

#pragma mark - BEGIN APIs of System.IFormattable
System_String_t _Nonnull /* System.String */
System_IFormattable_ToString(
	System_IFormattable_t _Nullable /* System.IFormattable */ self,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_IFormattable_TypeOf(
	void
);

void /* System.Void */
System_IFormattable_Destroy(
	System_IFormattable_t _Nullable /* System.IFormattable */ self
);

#pragma mark - END APIs of System.IFormattable

#pragma mark - BEGIN APIs of System.String
System_String_t _Nonnull /* System.String */
System_String_Intern(
	System_String_t _Nonnull /* System.String */ str,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nullable /* System.String */
System_String_IsInterned(
	System_String_t _Nonnull /* System.String */ str,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_Compare(
	System_String_t _Nullable /* System.String */ strA,
	System_String_t _Nullable /* System.String */ strB,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_Compare_1(
	System_String_t _Nullable /* System.String */ strA,
	System_String_t _Nullable /* System.String */ strB,
	bool /* System.Boolean */ ignoreCase,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_Compare_2(
	System_String_t _Nullable /* System.String */ strA,
	System_String_t _Nullable /* System.String */ strB,
	System_StringComparison_t /* System.StringComparison */ comparisonType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_Compare_3(
	System_String_t _Nullable /* System.String */ strA,
	System_String_t _Nullable /* System.String */ strB,
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ culture,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_Compare_4(
	System_String_t _Nullable /* System.String */ strA,
	System_String_t _Nullable /* System.String */ strB,
	bool /* System.Boolean */ ignoreCase,
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ culture,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_Compare_5(
	System_String_t _Nullable /* System.String */ strA,
	int32_t /* System.Int32 */ indexA,
	System_String_t _Nullable /* System.String */ strB,
	int32_t /* System.Int32 */ indexB,
	int32_t /* System.Int32 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_Compare_6(
	System_String_t _Nullable /* System.String */ strA,
	int32_t /* System.Int32 */ indexA,
	System_String_t _Nullable /* System.String */ strB,
	int32_t /* System.Int32 */ indexB,
	int32_t /* System.Int32 */ length,
	bool /* System.Boolean */ ignoreCase,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_Compare_7(
	System_String_t _Nullable /* System.String */ strA,
	int32_t /* System.Int32 */ indexA,
	System_String_t _Nullable /* System.String */ strB,
	int32_t /* System.Int32 */ indexB,
	int32_t /* System.Int32 */ length,
	bool /* System.Boolean */ ignoreCase,
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ culture,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_Compare_8(
	System_String_t _Nullable /* System.String */ strA,
	int32_t /* System.Int32 */ indexA,
	System_String_t _Nullable /* System.String */ strB,
	int32_t /* System.Int32 */ indexB,
	int32_t /* System.Int32 */ length,
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ culture,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_Compare_9(
	System_String_t _Nullable /* System.String */ strA,
	int32_t /* System.Int32 */ indexA,
	System_String_t _Nullable /* System.String */ strB,
	int32_t /* System.Int32 */ indexB,
	int32_t /* System.Int32 */ length,
	System_StringComparison_t /* System.StringComparison */ comparisonType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_CompareOrdinal(
	System_String_t _Nullable /* System.String */ strA,
	System_String_t _Nullable /* System.String */ strB,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_CompareOrdinal_1(
	System_String_t _Nullable /* System.String */ strA,
	int32_t /* System.Int32 */ indexA,
	System_String_t _Nullable /* System.String */ strB,
	int32_t /* System.Int32 */ indexB,
	int32_t /* System.Int32 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_CompareTo(
	System_String_t _Nullable /* System.String */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_CompareTo_1(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nullable /* System.String */ strB,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_EndsWith(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_EndsWith_1(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	System_StringComparison_t /* System.StringComparison */ comparisonType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_EndsWith_2(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	bool /* System.Boolean */ ignoreCase,
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ culture,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_EndsWith_3(
	System_String_t _Nullable /* System.String */ self,
	wchar_t /* System.Char */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_Equals(
	System_String_t _Nullable /* System.String */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_Equals_1(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_Equals_2(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nullable /* System.String */ value,
	System_StringComparison_t /* System.StringComparison */ comparisonType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_Equals_3(
	System_String_t _Nullable /* System.String */ a,
	System_String_t _Nullable /* System.String */ b,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_Equals_4(
	System_String_t _Nullable /* System.String */ a,
	System_String_t _Nullable /* System.String */ b,
	System_StringComparison_t /* System.StringComparison */ comparisonType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_GetHashCode(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_GetHashCode_1(
	System_String_t _Nullable /* System.String */ self,
	System_StringComparison_t /* System.StringComparison */ comparisonType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_StartsWith(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_StartsWith_1(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	System_StringComparison_t /* System.StringComparison */ comparisonType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_StartsWith_2(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	bool /* System.Boolean */ ignoreCase,
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ culture,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_StartsWith_3(
	System_String_t _Nullable /* System.String */ self,
	wchar_t /* System.Char */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_String_Clone(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Copy(
	System_String_t _Nonnull /* System.String */ str,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_String_CopyTo(
	System_String_t _Nullable /* System.String */ self,
	int32_t /* System.Int32 */ sourceIndex,
	System_Char_Array_t _Nonnull /* System.Char[] */ destination,
	int32_t /* System.Int32 */ destinationIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Char_Array_t _Nonnull /* System.Char[] */
System_String_ToCharArray(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Char_Array_t _Nonnull /* System.Char[] */
System_String_ToCharArray_1(
	System_String_t _Nullable /* System.String */ self,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_IsNullOrEmpty(
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_IsNullOrWhiteSpace(
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_ToString(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_ToString_1(
	System_String_t _Nullable /* System.String */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_CharEnumerator_t _Nonnull /* System.CharEnumerator */
System_String_GetEnumerator(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_StringRuneEnumerator_t _Nonnull /* System.Text.StringRuneEnumerator */
System_String_EnumerateRunes(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TypeCode_t /* System.TypeCode */
System_String_GetTypeCode(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_IsNormalized(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_IsNormalized_1(
	System_String_t _Nullable /* System.String */ self,
	System_Text_NormalizationForm_t /* System.Text.NormalizationForm */ normalizationForm,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Normalize(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Normalize_1(
	System_String_t _Nullable /* System.String */ self,
	System_Text_NormalizationForm_t /* System.Text.NormalizationForm */ normalizationForm,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Concat(
	System_Object_t _Nullable /* System.Object */ arg0,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Concat_1(
	System_Object_t _Nullable /* System.Object */ arg0,
	System_Object_t _Nullable /* System.Object */ arg1,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Concat_2(
	System_Object_t _Nullable /* System.Object */ arg0,
	System_Object_t _Nullable /* System.Object */ arg1,
	System_Object_t _Nullable /* System.Object */ arg2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Concat_3(
	System_Object_Array_t _Nonnull /* System.Object[] */ args,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Concat_4(
	System_Collections_Generic_IEnumerable_A1_t _Nonnull /* System.Collections.Generic.IEnumerable<System.String> */ values,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Concat_5(
	System_String_t _Nullable /* System.String */ str0,
	System_String_t _Nullable /* System.String */ str1,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Concat_6(
	System_String_t _Nullable /* System.String */ str0,
	System_String_t _Nullable /* System.String */ str1,
	System_String_t _Nullable /* System.String */ str2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Concat_7(
	System_String_t _Nullable /* System.String */ str0,
	System_String_t _Nullable /* System.String */ str1,
	System_String_t _Nullable /* System.String */ str2,
	System_String_t _Nullable /* System.String */ str3,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Concat_8(
	System_String_Array_t _Nonnull /* System.String[] */ values,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Format(
	System_String_t _Nonnull /* System.String */ format,
	System_Object_t _Nullable /* System.Object */ arg0,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Format_1(
	System_String_t _Nonnull /* System.String */ format,
	System_Object_t _Nullable /* System.Object */ arg0,
	System_Object_t _Nullable /* System.Object */ arg1,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Format_2(
	System_String_t _Nonnull /* System.String */ format,
	System_Object_t _Nullable /* System.Object */ arg0,
	System_Object_t _Nullable /* System.Object */ arg1,
	System_Object_t _Nullable /* System.Object */ arg2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Format_3(
	System_String_t _Nonnull /* System.String */ format,
	System_Object_Array_t _Nonnull /* System.Object[] */ args,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Format_4(
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_String_t _Nonnull /* System.String */ format,
	System_Object_t _Nullable /* System.Object */ arg0,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Format_5(
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_String_t _Nonnull /* System.String */ format,
	System_Object_t _Nullable /* System.Object */ arg0,
	System_Object_t _Nullable /* System.Object */ arg1,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Format_6(
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_String_t _Nonnull /* System.String */ format,
	System_Object_t _Nullable /* System.Object */ arg0,
	System_Object_t _Nullable /* System.Object */ arg1,
	System_Object_t _Nullable /* System.Object */ arg2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Format_7(
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_String_t _Nonnull /* System.String */ format,
	System_Object_Array_t _Nonnull /* System.Object[] */ args,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Format_A1(
	System_Type_t _Nullable /* System.Type */ TArg0,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Text_CompositeFormat_t _Nullable /* System.Text.CompositeFormat */ format,
	System_Object_t _Nullable /* System.Object */ arg0,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Format_A2(
	System_Type_t _Nullable /* System.Type */ TArg0,
	System_Type_t _Nullable /* System.Type */ TArg1,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Text_CompositeFormat_t _Nullable /* System.Text.CompositeFormat */ format,
	System_Object_t _Nullable /* System.Object */ arg0,
	System_Object_t _Nullable /* System.Object */ arg1,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Format_A3(
	System_Type_t _Nullable /* System.Type */ TArg0,
	System_Type_t _Nullable /* System.Type */ TArg1,
	System_Type_t _Nullable /* System.Type */ TArg2,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Text_CompositeFormat_t _Nullable /* System.Text.CompositeFormat */ format,
	System_Object_t _Nullable /* System.Object */ arg0,
	System_Object_t _Nullable /* System.Object */ arg1,
	System_Object_t _Nullable /* System.Object */ arg2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Format_8(
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Text_CompositeFormat_t _Nonnull /* System.Text.CompositeFormat */ format,
	System_Object_Array_t _Nonnull /* System.Object[] */ args,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Insert(
	System_String_t _Nullable /* System.String */ self,
	int32_t /* System.Int32 */ startIndex,
	System_String_t _Nonnull /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Join(
	wchar_t /* System.Char */ separator,
	System_String_Array_t _Nonnull /* System.String[] */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Join_1(
	System_String_t _Nullable /* System.String */ separator,
	System_String_Array_t _Nonnull /* System.String[] */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Join_2(
	wchar_t /* System.Char */ separator,
	System_String_Array_t _Nonnull /* System.String[] */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Join_3(
	System_String_t _Nullable /* System.String */ separator,
	System_String_Array_t _Nonnull /* System.String[] */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Join_4(
	System_String_t _Nullable /* System.String */ separator,
	System_Collections_Generic_IEnumerable_A1_t _Nonnull /* System.Collections.Generic.IEnumerable<System.String> */ values,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Join_5(
	wchar_t /* System.Char */ separator,
	System_Object_Array_t _Nonnull /* System.Object[] */ values,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Join_6(
	System_String_t _Nullable /* System.String */ separator,
	System_Object_Array_t _Nonnull /* System.Object[] */ values,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_PadLeft(
	System_String_t _Nullable /* System.String */ self,
	int32_t /* System.Int32 */ totalWidth,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_PadLeft_1(
	System_String_t _Nullable /* System.String */ self,
	int32_t /* System.Int32 */ totalWidth,
	wchar_t /* System.Char */ paddingChar,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_PadRight(
	System_String_t _Nullable /* System.String */ self,
	int32_t /* System.Int32 */ totalWidth,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_PadRight_1(
	System_String_t _Nullable /* System.String */ self,
	int32_t /* System.Int32 */ totalWidth,
	wchar_t /* System.Char */ paddingChar,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Remove(
	System_String_t _Nullable /* System.String */ self,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Remove_1(
	System_String_t _Nullable /* System.String */ self,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Replace(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ oldValue,
	System_String_t _Nullable /* System.String */ newValue,
	bool /* System.Boolean */ ignoreCase,
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ culture,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Replace_1(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ oldValue,
	System_String_t _Nullable /* System.String */ newValue,
	System_StringComparison_t /* System.StringComparison */ comparisonType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Replace_2(
	System_String_t _Nullable /* System.String */ self,
	wchar_t /* System.Char */ oldChar,
	wchar_t /* System.Char */ newChar,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Replace_3(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ oldValue,
	System_String_t _Nullable /* System.String */ newValue,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_ReplaceLineEndings(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_ReplaceLineEndings_1(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ replacementText,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_String_Split(
	System_String_t _Nullable /* System.String */ self,
	wchar_t /* System.Char */ separator,
	System_StringSplitOptions_t /* System.StringSplitOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_String_Split_1(
	System_String_t _Nullable /* System.String */ self,
	wchar_t /* System.Char */ separator,
	int32_t /* System.Int32 */ count,
	System_StringSplitOptions_t /* System.StringSplitOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_String_Split_2(
	System_String_t _Nullable /* System.String */ self,
	System_Char_Array_t _Nullable /* System.Char[] */ separator,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_String_Split_3(
	System_String_t _Nullable /* System.String */ self,
	System_Char_Array_t _Nullable /* System.Char[] */ separator,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_String_Split_4(
	System_String_t _Nullable /* System.String */ self,
	System_Char_Array_t _Nullable /* System.Char[] */ separator,
	System_StringSplitOptions_t /* System.StringSplitOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_String_Split_5(
	System_String_t _Nullable /* System.String */ self,
	System_Char_Array_t _Nullable /* System.Char[] */ separator,
	int32_t /* System.Int32 */ count,
	System_StringSplitOptions_t /* System.StringSplitOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_String_Split_6(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nullable /* System.String */ separator,
	System_StringSplitOptions_t /* System.StringSplitOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_String_Split_7(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nullable /* System.String */ separator,
	int32_t /* System.Int32 */ count,
	System_StringSplitOptions_t /* System.StringSplitOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_String_Split_8(
	System_String_t _Nullable /* System.String */ self,
	System_String_Array_t _Nullable /* System.String[] */ separator,
	System_StringSplitOptions_t /* System.StringSplitOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_String_Split_9(
	System_String_t _Nullable /* System.String */ self,
	System_String_Array_t _Nullable /* System.String[] */ separator,
	int32_t /* System.Int32 */ count,
	System_StringSplitOptions_t /* System.StringSplitOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Substring(
	System_String_t _Nullable /* System.String */ self,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Substring_1(
	System_String_t _Nullable /* System.String */ self,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_ToLower(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_ToLower_1(
	System_String_t _Nullable /* System.String */ self,
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ culture,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_ToLowerInvariant(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_ToUpper(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_ToUpper_1(
	System_String_t _Nullable /* System.String */ self,
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ culture,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_ToUpperInvariant(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Trim(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Trim_1(
	System_String_t _Nullable /* System.String */ self,
	wchar_t /* System.Char */ trimChar,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Trim_2(
	System_String_t _Nullable /* System.String */ self,
	System_Char_Array_t _Nullable /* System.Char[] */ trimChars,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_TrimStart(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_TrimStart_1(
	System_String_t _Nullable /* System.String */ self,
	wchar_t /* System.Char */ trimChar,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_TrimStart_2(
	System_String_t _Nullable /* System.String */ self,
	System_Char_Array_t _Nullable /* System.Char[] */ trimChars,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_TrimEnd(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_TrimEnd_1(
	System_String_t _Nullable /* System.String */ self,
	wchar_t /* System.Char */ trimChar,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_TrimEnd_2(
	System_String_t _Nullable /* System.String */ self,
	System_Char_Array_t _Nullable /* System.Char[] */ trimChars,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_Contains(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_Contains_1(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	System_StringComparison_t /* System.StringComparison */ comparisonType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_Contains_2(
	System_String_t _Nullable /* System.String */ self,
	wchar_t /* System.Char */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_String_Contains_3(
	System_String_t _Nullable /* System.String */ self,
	wchar_t /* System.Char */ value,
	System_StringComparison_t /* System.StringComparison */ comparisonType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_IndexOf(
	System_String_t _Nullable /* System.String */ self,
	wchar_t /* System.Char */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_IndexOf_1(
	System_String_t _Nullable /* System.String */ self,
	wchar_t /* System.Char */ value,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_IndexOf_2(
	System_String_t _Nullable /* System.String */ self,
	wchar_t /* System.Char */ value,
	System_StringComparison_t /* System.StringComparison */ comparisonType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_IndexOf_3(
	System_String_t _Nullable /* System.String */ self,
	wchar_t /* System.Char */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_IndexOfAny(
	System_String_t _Nullable /* System.String */ self,
	System_Char_Array_t _Nonnull /* System.Char[] */ anyOf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_IndexOfAny_1(
	System_String_t _Nullable /* System.String */ self,
	System_Char_Array_t _Nonnull /* System.Char[] */ anyOf,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_IndexOfAny_2(
	System_String_t _Nullable /* System.String */ self,
	System_Char_Array_t _Nonnull /* System.Char[] */ anyOf,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_IndexOf_4(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_IndexOf_5(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_IndexOf_6(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_IndexOf_7(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	System_StringComparison_t /* System.StringComparison */ comparisonType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_IndexOf_8(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	int32_t /* System.Int32 */ startIndex,
	System_StringComparison_t /* System.StringComparison */ comparisonType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_IndexOf_9(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_StringComparison_t /* System.StringComparison */ comparisonType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_LastIndexOf(
	System_String_t _Nullable /* System.String */ self,
	wchar_t /* System.Char */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_LastIndexOf_1(
	System_String_t _Nullable /* System.String */ self,
	wchar_t /* System.Char */ value,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_LastIndexOf_2(
	System_String_t _Nullable /* System.String */ self,
	wchar_t /* System.Char */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_LastIndexOfAny(
	System_String_t _Nullable /* System.String */ self,
	System_Char_Array_t _Nonnull /* System.Char[] */ anyOf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_LastIndexOfAny_1(
	System_String_t _Nullable /* System.String */ self,
	System_Char_Array_t _Nonnull /* System.Char[] */ anyOf,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_LastIndexOfAny_2(
	System_String_t _Nullable /* System.String */ self,
	System_Char_Array_t _Nonnull /* System.Char[] */ anyOf,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_LastIndexOf_3(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_LastIndexOf_4(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_LastIndexOf_5(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_LastIndexOf_6(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	System_StringComparison_t /* System.StringComparison */ comparisonType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_LastIndexOf_7(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	int32_t /* System.Int32 */ startIndex,
	System_StringComparison_t /* System.StringComparison */ comparisonType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_String_LastIndexOf_8(
	System_String_t _Nullable /* System.String */ self,
	System_String_t _Nonnull /* System.String */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_StringComparison_t /* System.StringComparison */ comparisonType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Create(
	System_Char_Array_t _Nullable /* System.Char[] */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Create_1(
	System_Char_Array_t _Nonnull /* System.Char[] */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_String_Create_2(
	wchar_t /* System.Char */ c,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

wchar_t /* System.Char */
System_String_Chars_Get(
	System_String_t _Nullable /* System.String */ self,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_String_Length_Get(
	System_String_t _Nullable /* System.String */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_String_Empty_Get(
	void
);


System_Type_t _Nonnull /* System.Type */
System_String_TypeOf(
	void
);

void /* System.Void */
System_String_Destroy(
	System_String_t _Nullable /* System.String */ self
);

#pragma mark - END APIs of System.String

#pragma mark - BEGIN APIs of System.Collections.IEnumerable
System_Collections_IEnumerator_t _Nonnull /* System.Collections.IEnumerator */
System_Collections_IEnumerable_GetEnumerator(
	System_Collections_IEnumerable_t _Nullable /* System.Collections.IEnumerable */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Collections_IEnumerable_TypeOf(
	void
);

void /* System.Void */
System_Collections_IEnumerable_Destroy(
	System_Collections_IEnumerable_t _Nullable /* System.Collections.IEnumerable */ self
);

#pragma mark - END APIs of System.Collections.IEnumerable

#pragma mark - BEGIN APIs of System.Collections.IEnumerator
bool /* System.Boolean */
System_Collections_IEnumerator_MoveNext(
	System_Collections_IEnumerator_t _Nullable /* System.Collections.IEnumerator */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_IEnumerator_Reset(
	System_Collections_IEnumerator_t _Nullable /* System.Collections.IEnumerator */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Collections_IEnumerator_Current_Get(
	System_Collections_IEnumerator_t _Nullable /* System.Collections.IEnumerator */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Collections_IEnumerator_TypeOf(
	void
);

void /* System.Void */
System_Collections_IEnumerator_Destroy(
	System_Collections_IEnumerator_t _Nullable /* System.Collections.IEnumerator */ self
);

#pragma mark - END APIs of System.Collections.IEnumerator

#pragma mark - BEGIN APIs of System.Collections.Generic.IEnumerable<>
System_Type_t _Nonnull /* System.Type */
System_Collections_Generic_IEnumerable_A1_TypeOf(
	void
);

void /* System.Void */
System_Collections_Generic_IEnumerable_A1_Destroy(
	System_Collections_Generic_IEnumerable_A1_t _Nullable /* System.Collections.Generic.IEnumerable<> */ self
);

#pragma mark - END APIs of System.Collections.Generic.IEnumerable<>


#pragma mark - BEGIN APIs of System.Collections.Generic.IEnumerator<>
System_Object_t _Nullable /* System.Object */
System_Collections_Generic_IEnumerator_A1_Current_Get(
	System_Collections_Generic_IEnumerator_A1_t _Nullable /* System.Collections.Generic.IEnumerator<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Collections_Generic_IEnumerator_A1_TypeOf(
	void
);

void /* System.Void */
System_Collections_Generic_IEnumerator_A1_Destroy(
	System_Collections_Generic_IEnumerator_A1_t _Nullable /* System.Collections.Generic.IEnumerator<> */ self
);

#pragma mark - END APIs of System.Collections.Generic.IEnumerator<>

#pragma mark - BEGIN APIs of System.IDisposable
void /* System.Void */
System_IDisposable_Dispose(
	System_IDisposable_t _Nullable /* System.IDisposable */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_IDisposable_TypeOf(
	void
);

void /* System.Void */
System_IDisposable_Destroy(
	System_IDisposable_t _Nullable /* System.IDisposable */ self
);

#pragma mark - END APIs of System.IDisposable



#pragma mark - BEGIN APIs of System.Char
System_Type_t _Nonnull /* System.Type */
System_Char_TypeOf(
	void
);

#pragma mark - END APIs of System.Char

#pragma mark - BEGIN APIs of System.IComparable<>
int32_t /* System.Int32 */
System_IComparable_A1_CompareTo(
	System_IComparable_A1_t _Nullable /* System.IComparable<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_IComparable_A1_TypeOf(
	void
);

void /* System.Void */
System_IComparable_A1_Destroy(
	System_IComparable_A1_t _Nullable /* System.IComparable<> */ self
);

#pragma mark - END APIs of System.IComparable<>



#pragma mark - BEGIN APIs of System.IEquatable<>
bool /* System.Boolean */
System_IEquatable_A1_Equals(
	System_IEquatable_A1_t _Nullable /* System.IEquatable<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_IEquatable_A1_TypeOf(
	void
);

void /* System.Void */
System_IEquatable_A1_Destroy(
	System_IEquatable_A1_t _Nullable /* System.IEquatable<> */ self
);

#pragma mark - END APIs of System.IEquatable<>



#pragma mark - BEGIN APIs of System.Numerics.IBinaryNumber<>
bool /* System.Boolean */
System_Numerics_IBinaryNumber_A1_IsPow2(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Numerics_IBinaryNumber_A1_Log2(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Numerics_IBinaryNumber_A1_AllBitsSet_Get(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Numerics_IBinaryNumber_A1_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IBinaryNumber_A1_Destroy(
	System_Numerics_IBinaryNumber_A1_t _Nullable /* System.Numerics.IBinaryNumber<> */ self
);

#pragma mark - END APIs of System.Numerics.IBinaryNumber<>



#pragma mark - BEGIN APIs of System.Numerics.IBitwiseOperators<,,>
System_Type_t _Nonnull /* System.Type */
System_Numerics_IBitwiseOperators_A3_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IBitwiseOperators_A3_Destroy(
	System_Numerics_IBitwiseOperators_A3_t _Nullable /* System.Numerics.IBitwiseOperators<,,> */ self
);

#pragma mark - END APIs of System.Numerics.IBitwiseOperators<,,>





#pragma mark - BEGIN APIs of System.Numerics.INumber<>
System_Object_t _Nullable /* System.Object */
System_Numerics_INumber_A1_Clamp(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ value,
	System_Object_t _Nullable /* System.Object */ min,
	System_Object_t _Nullable /* System.Object */ max,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_INumber_A1_CopySign(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ value,
	System_Object_t _Nullable /* System.Object */ sign,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_INumber_A1_Max(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Object_t _Nullable /* System.Object */ y,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_INumber_A1_MaxNumber(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Object_t _Nullable /* System.Object */ y,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_INumber_A1_Min(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Object_t _Nullable /* System.Object */ y,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_INumber_A1_MinNumber(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Object_t _Nullable /* System.Object */ y,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_INumber_A1_Sign(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Numerics_INumber_A1_TypeOf(
	void
);

void /* System.Void */
System_Numerics_INumber_A1_Destroy(
	System_Numerics_INumber_A1_t _Nullable /* System.Numerics.INumber<> */ self
);

#pragma mark - END APIs of System.Numerics.INumber<>



#pragma mark - BEGIN APIs of System.Numerics.IComparisonOperators<,,>
System_Type_t _Nonnull /* System.Type */
System_Numerics_IComparisonOperators_A3_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IComparisonOperators_A3_Destroy(
	System_Numerics_IComparisonOperators_A3_t _Nullable /* System.Numerics.IComparisonOperators<,,> */ self
);

#pragma mark - END APIs of System.Numerics.IComparisonOperators<,,>





#pragma mark - BEGIN APIs of System.Numerics.IEqualityOperators<,,>
System_Type_t _Nonnull /* System.Type */
System_Numerics_IEqualityOperators_A3_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IEqualityOperators_A3_Destroy(
	System_Numerics_IEqualityOperators_A3_t _Nullable /* System.Numerics.IEqualityOperators<,,> */ self
);

#pragma mark - END APIs of System.Numerics.IEqualityOperators<,,>





#pragma mark - BEGIN APIs of System.Numerics.IModulusOperators<,,>
System_Type_t _Nonnull /* System.Type */
System_Numerics_IModulusOperators_A3_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IModulusOperators_A3_Destroy(
	System_Numerics_IModulusOperators_A3_t _Nullable /* System.Numerics.IModulusOperators<,,> */ self
);

#pragma mark - END APIs of System.Numerics.IModulusOperators<,,>





#pragma mark - BEGIN APIs of System.Numerics.IAdditionOperators<,,>
System_Type_t _Nonnull /* System.Type */
System_Numerics_IAdditionOperators_A3_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IAdditionOperators_A3_Destroy(
	System_Numerics_IAdditionOperators_A3_t _Nullable /* System.Numerics.IAdditionOperators<,,> */ self
);

#pragma mark - END APIs of System.Numerics.IAdditionOperators<,,>





#pragma mark - BEGIN APIs of System.Numerics.IAdditiveIdentity<,>
System_Object_t _Nullable /* System.Object */
System_Numerics_IAdditiveIdentity_A2_AdditiveIdentity_Get(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Type_t _Nullable /* System.Type */ TResult,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Numerics_IAdditiveIdentity_A2_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IAdditiveIdentity_A2_Destroy(
	System_Numerics_IAdditiveIdentity_A2_t _Nullable /* System.Numerics.IAdditiveIdentity<,> */ self
);

#pragma mark - END APIs of System.Numerics.IAdditiveIdentity<,>



#pragma mark - BEGIN APIs of System.Numerics.IDecrementOperators<>
System_Type_t _Nonnull /* System.Type */
System_Numerics_IDecrementOperators_A1_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IDecrementOperators_A1_Destroy(
	System_Numerics_IDecrementOperators_A1_t _Nullable /* System.Numerics.IDecrementOperators<> */ self
);

#pragma mark - END APIs of System.Numerics.IDecrementOperators<>



#pragma mark - BEGIN APIs of System.Numerics.IDivisionOperators<,,>
System_Type_t _Nonnull /* System.Type */
System_Numerics_IDivisionOperators_A3_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IDivisionOperators_A3_Destroy(
	System_Numerics_IDivisionOperators_A3_t _Nullable /* System.Numerics.IDivisionOperators<,,> */ self
);

#pragma mark - END APIs of System.Numerics.IDivisionOperators<,,>





#pragma mark - BEGIN APIs of System.Numerics.IIncrementOperators<>
System_Type_t _Nonnull /* System.Type */
System_Numerics_IIncrementOperators_A1_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IIncrementOperators_A1_Destroy(
	System_Numerics_IIncrementOperators_A1_t _Nullable /* System.Numerics.IIncrementOperators<> */ self
);

#pragma mark - END APIs of System.Numerics.IIncrementOperators<>



#pragma mark - BEGIN APIs of System.Numerics.IMultiplicativeIdentity<,>
System_Object_t _Nullable /* System.Object */
System_Numerics_IMultiplicativeIdentity_A2_MultiplicativeIdentity_Get(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Type_t _Nullable /* System.Type */ TResult,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Numerics_IMultiplicativeIdentity_A2_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IMultiplicativeIdentity_A2_Destroy(
	System_Numerics_IMultiplicativeIdentity_A2_t _Nullable /* System.Numerics.IMultiplicativeIdentity<,> */ self
);

#pragma mark - END APIs of System.Numerics.IMultiplicativeIdentity<,>



#pragma mark - BEGIN APIs of System.Numerics.IMultiplyOperators<,,>
System_Type_t _Nonnull /* System.Type */
System_Numerics_IMultiplyOperators_A3_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IMultiplyOperators_A3_Destroy(
	System_Numerics_IMultiplyOperators_A3_t _Nullable /* System.Numerics.IMultiplyOperators<,,> */ self
);

#pragma mark - END APIs of System.Numerics.IMultiplyOperators<,,>





#pragma mark - BEGIN APIs of System.ISpanParsable<>
System_Type_t _Nonnull /* System.Type */
System_ISpanParsable_A1_TypeOf(
	void
);

void /* System.Void */
System_ISpanParsable_A1_Destroy(
	System_ISpanParsable_A1_t _Nullable /* System.ISpanParsable<> */ self
);

#pragma mark - END APIs of System.ISpanParsable<>


#pragma mark - BEGIN APIs of System.IFormatProvider
System_Object_t _Nullable /* System.Object */
System_IFormatProvider_GetFormat(
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ self,
	System_Type_t _Nullable /* System.Type */ formatType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_IFormatProvider_TypeOf(
	void
);

void /* System.Void */
System_IFormatProvider_Destroy(
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ self
);

#pragma mark - END APIs of System.IFormatProvider



#pragma mark - BEGIN APIs of System.IParsable<>
System_Object_t _Nonnull /* System.Object */
System_IParsable_A1_Parse(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_String_t _Nullable /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_IParsable_A1_TryParse(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_String_t _Nullable /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Object_t _Nullable* _Nullable /* System.Object */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_IParsable_A1_TypeOf(
	void
);

void /* System.Void */
System_IParsable_A1_Destroy(
	System_IParsable_A1_t _Nullable /* System.IParsable<> */ self
);

#pragma mark - END APIs of System.IParsable<>




#pragma mark - BEGIN APIs of System.Numerics.ISubtractionOperators<,,>
System_Type_t _Nonnull /* System.Type */
System_Numerics_ISubtractionOperators_A3_TypeOf(
	void
);

void /* System.Void */
System_Numerics_ISubtractionOperators_A3_Destroy(
	System_Numerics_ISubtractionOperators_A3_t _Nullable /* System.Numerics.ISubtractionOperators<,,> */ self
);

#pragma mark - END APIs of System.Numerics.ISubtractionOperators<,,>





#pragma mark - BEGIN APIs of System.Numerics.IUnaryPlusOperators<,>
System_Type_t _Nonnull /* System.Type */
System_Numerics_IUnaryPlusOperators_A2_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IUnaryPlusOperators_A2_Destroy(
	System_Numerics_IUnaryPlusOperators_A2_t _Nullable /* System.Numerics.IUnaryPlusOperators<,> */ self
);

#pragma mark - END APIs of System.Numerics.IUnaryPlusOperators<,>




#pragma mark - BEGIN APIs of System.Numerics.IUnaryNegationOperators<,>
System_Type_t _Nonnull /* System.Type */
System_Numerics_IUnaryNegationOperators_A2_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IUnaryNegationOperators_A2_Destroy(
	System_Numerics_IUnaryNegationOperators_A2_t _Nullable /* System.Numerics.IUnaryNegationOperators<,> */ self
);

#pragma mark - END APIs of System.Numerics.IUnaryNegationOperators<,>




#pragma mark - BEGIN APIs of System.Numerics.IShiftOperators<,,>
System_Type_t _Nonnull /* System.Type */
System_Numerics_IShiftOperators_A3_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IShiftOperators_A3_Destroy(
	System_Numerics_IShiftOperators_A3_t _Nullable /* System.Numerics.IShiftOperators<,,> */ self
);

#pragma mark - END APIs of System.Numerics.IShiftOperators<,,>





#pragma mark - BEGIN APIs of System.Numerics.IMinMaxValue<>
System_Object_t _Nullable /* System.Object */
System_Numerics_IMinMaxValue_A1_MinValue_Get(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Object_t _Nullable /* System.Object */
System_Numerics_IMinMaxValue_A1_MaxValue_Get(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Numerics_IMinMaxValue_A1_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IMinMaxValue_A1_Destroy(
	System_Numerics_IMinMaxValue_A1_t _Nullable /* System.Numerics.IMinMaxValue<> */ self
);

#pragma mark - END APIs of System.Numerics.IMinMaxValue<>



#pragma mark - BEGIN APIs of System.Numerics.IUnsignedNumber<>
System_Type_t _Nonnull /* System.Type */
System_Numerics_IUnsignedNumber_A1_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IUnsignedNumber_A1_Destroy(
	System_Numerics_IUnsignedNumber_A1_t _Nullable /* System.Numerics.IUnsignedNumber<> */ self
);

#pragma mark - END APIs of System.Numerics.IUnsignedNumber<>


#pragma mark - BEGIN APIs of System.IUtf8SpanFormattable
System_Type_t _Nonnull /* System.Type */
System_IUtf8SpanFormattable_TypeOf(
	void
);

void /* System.Void */
System_IUtf8SpanFormattable_Destroy(
	System_IUtf8SpanFormattable_t _Nullable /* System.IUtf8SpanFormattable */ self
);

#pragma mark - END APIs of System.IUtf8SpanFormattable


#pragma mark - BEGIN APIs of System.Globalization.CultureInfo
System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_CreateSpecificCulture(
	System_String_t _Nonnull /* System.String */ name,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_CultureInfo_Array_t _Nonnull /* System.Globalization.CultureInfo[] */
System_Globalization_CultureInfo_GetCultures(
	System_Globalization_CultureTypes_t /* System.Globalization.CultureTypes */ types,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_CultureInfo_Equals(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CultureInfo_GetHashCode(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Globalization_CultureInfo_ToString(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Globalization_CultureInfo_GetFormat(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Type_t _Nullable /* System.Type */ formatType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_CultureInfo_ClearCachedData(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_GetConsoleFallbackUICulture(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Globalization_CultureInfo_Clone(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_ReadOnly(
	System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */ ci,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_GetCultureInfo(
	int32_t /* System.Int32 */ culture,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_GetCultureInfo_1(
	System_String_t _Nonnull /* System.String */ name,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_GetCultureInfo_2(
	System_String_t _Nonnull /* System.String */ name,
	System_String_t _Nonnull /* System.String */ altName,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_GetCultureInfo_3(
	System_String_t _Nonnull /* System.String */ name,
	bool /* System.Boolean */ predefinedOnly,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_GetCultureInfoByIetfLanguageTag(
	System_String_t _Nonnull /* System.String */ name,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_Create_1(
	System_String_t _Nonnull /* System.String */ name,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_Create_2(
	System_String_t _Nonnull /* System.String */ name,
	bool /* System.Boolean */ useUserOverride,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_Create_3(
	int32_t /* System.Int32 */ culture,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_Create_4(
	int32_t /* System.Int32 */ culture,
	bool /* System.Boolean */ useUserOverride,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_CurrentCulture_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_CultureInfo_CurrentCulture_Set(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_CurrentUICulture_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_CultureInfo_CurrentUICulture_Set(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_InstalledUICulture_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_DefaultThreadCurrentCulture_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_CultureInfo_DefaultThreadCurrentCulture_Set(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_DefaultThreadCurrentUICulture_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_CultureInfo_DefaultThreadCurrentUICulture_Set(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_InvariantCulture_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */
System_Globalization_CultureInfo_Parent_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Globalization_CultureInfo_LCID_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Globalization_CultureInfo_KeyboardLayoutId_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_CultureInfo_Name_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_CultureInfo_IetfLanguageTag_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_CultureInfo_DisplayName_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_CultureInfo_NativeName_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_CultureInfo_EnglishName_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_CultureInfo_TwoLetterISOLanguageName_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_CultureInfo_ThreeLetterISOLanguageName_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_CultureInfo_ThreeLetterWindowsLanguageName_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_CompareInfo_t _Nonnull /* System.Globalization.CompareInfo */
System_Globalization_CultureInfo_CompareInfo_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_TextInfo_t _Nonnull /* System.Globalization.TextInfo */
System_Globalization_CultureInfo_TextInfo_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Globalization_CultureInfo_IsNeutralCulture_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_CultureTypes_t /* System.Globalization.CultureTypes */
System_Globalization_CultureInfo_CultureTypes_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_NumberFormatInfo_t _Nonnull /* System.Globalization.NumberFormatInfo */
System_Globalization_CultureInfo_NumberFormat_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_CultureInfo_NumberFormat_Set(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_DateTimeFormatInfo_t _Nonnull /* System.Globalization.DateTimeFormatInfo */
System_Globalization_CultureInfo_DateTimeFormat_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_CultureInfo_DateTimeFormat_Set(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_Calendar_t _Nonnull /* System.Globalization.Calendar */
System_Globalization_CultureInfo_Calendar_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_Calendar_Array_t _Nonnull /* System.Globalization.Calendar[] */
System_Globalization_CultureInfo_OptionalCalendars_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Globalization_CultureInfo_UseUserOverride_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Globalization_CultureInfo_IsReadOnly_Get(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Globalization_CultureInfo_TypeOf(
	void
);

void /* System.Void */
System_Globalization_CultureInfo_Destroy(
	System_Globalization_CultureInfo_t _Nullable /* System.Globalization.CultureInfo */ self
);

#pragma mark - END APIs of System.Globalization.CultureInfo

#pragma mark - BEGIN APIs of System.ICloneable
System_Object_t _Nonnull /* System.Object */
System_ICloneable_Clone(
	System_ICloneable_t _Nullable /* System.ICloneable */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_ICloneable_TypeOf(
	void
);

void /* System.Void */
System_ICloneable_Destroy(
	System_ICloneable_t _Nullable /* System.ICloneable */ self
);

#pragma mark - END APIs of System.ICloneable

#pragma mark - BEGIN APIs of System.Globalization.CultureInfo[]
#pragma mark - END APIs of System.Globalization.CultureInfo[]

#pragma mark - BEGIN APIs of System.Array
void /* System.Void */
System_Array_ConstrainedCopy(
	System_Array_t _Nonnull /* System.Array */ sourceArray,
	int32_t /* System.Int32 */ sourceIndex,
	System_Array_t _Nonnull /* System.Array */ destinationArray,
	int32_t /* System.Int32 */ destinationIndex,
	int32_t /* System.Int32 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Clear(
	System_Array_t _Nonnull /* System.Array */ array,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Clear_1(
	System_Array_t _Nonnull /* System.Array */ array,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_GetLength(
	System_Array_t _Nullable /* System.Array */ self,
	int32_t /* System.Int32 */ dimension,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_GetUpperBound(
	System_Array_t _Nullable /* System.Array */ self,
	int32_t /* System.Int32 */ dimension,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_GetLowerBound(
	System_Array_t _Nullable /* System.Array */ self,
	int32_t /* System.Int32 */ dimension,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Initialize(
	System_Array_t _Nullable /* System.Array */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Array_t _Nonnull /* System.Array */
System_Array_CreateInstance(
	System_Type_t _Nonnull /* System.Type */ elementType,
	int32_t /* System.Int32 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Array_t _Nonnull /* System.Array */
System_Array_CreateInstance_1(
	System_Type_t _Nonnull /* System.Type */ elementType,
	int32_t /* System.Int32 */ length1,
	int32_t /* System.Int32 */ length2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Array_t _Nonnull /* System.Array */
System_Array_CreateInstance_2(
	System_Type_t _Nonnull /* System.Type */ elementType,
	int32_t /* System.Int32 */ length1,
	int32_t /* System.Int32 */ length2,
	int32_t /* System.Int32 */ length3,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Array_t _Nonnull /* System.Array */
System_Array_CreateInstance_3(
	System_Type_t _Nonnull /* System.Type */ elementType,
	System_Int32_Array_t _Nonnull /* System.Int32[] */ lengths,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Array_t _Nonnull /* System.Array */
System_Array_CreateInstance_4(
	System_Type_t _Nonnull /* System.Type */ elementType,
	System_Int32_Array_t _Nonnull /* System.Int32[] */ lengths,
	System_Int32_Array_t _Nonnull /* System.Int32[] */ lowerBounds,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Array_t _Nonnull /* System.Array */
System_Array_CreateInstance_5(
	System_Type_t _Nonnull /* System.Type */ elementType,
	System_Int64_Array_t _Nonnull /* System.Int64[] */ lengths,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Copy(
	System_Array_t _Nonnull /* System.Array */ sourceArray,
	System_Array_t _Nonnull /* System.Array */ destinationArray,
	int64_t /* System.Int64 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Copy_1(
	System_Array_t _Nonnull /* System.Array */ sourceArray,
	int64_t /* System.Int64 */ sourceIndex,
	System_Array_t _Nonnull /* System.Array */ destinationArray,
	int64_t /* System.Int64 */ destinationIndex,
	int64_t /* System.Int64 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Copy_2(
	System_Array_t _Nonnull /* System.Array */ sourceArray,
	System_Array_t _Nonnull /* System.Array */ destinationArray,
	int32_t /* System.Int32 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Copy_3(
	System_Array_t _Nonnull /* System.Array */ sourceArray,
	int32_t /* System.Int32 */ sourceIndex,
	System_Array_t _Nonnull /* System.Array */ destinationArray,
	int32_t /* System.Int32 */ destinationIndex,
	int32_t /* System.Int32 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Array_GetValue(
	System_Array_t _Nullable /* System.Array */ self,
	System_Int32_Array_t _Nonnull /* System.Int32[] */ indices,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Array_GetValue_1(
	System_Array_t _Nullable /* System.Array */ self,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Array_GetValue_2(
	System_Array_t _Nullable /* System.Array */ self,
	int32_t /* System.Int32 */ index1,
	int32_t /* System.Int32 */ index2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Array_GetValue_3(
	System_Array_t _Nullable /* System.Array */ self,
	int32_t /* System.Int32 */ index1,
	int32_t /* System.Int32 */ index2,
	int32_t /* System.Int32 */ index3,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_SetValue(
	System_Array_t _Nullable /* System.Array */ self,
	System_Object_t _Nullable /* System.Object */ value,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_SetValue_1(
	System_Array_t _Nullable /* System.Array */ self,
	System_Object_t _Nullable /* System.Object */ value,
	int32_t /* System.Int32 */ index1,
	int32_t /* System.Int32 */ index2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_SetValue_2(
	System_Array_t _Nullable /* System.Array */ self,
	System_Object_t _Nullable /* System.Object */ value,
	int32_t /* System.Int32 */ index1,
	int32_t /* System.Int32 */ index2,
	int32_t /* System.Int32 */ index3,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_SetValue_3(
	System_Array_t _Nullable /* System.Array */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Int32_Array_t _Nonnull /* System.Int32[] */ indices,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Array_GetValue_4(
	System_Array_t _Nullable /* System.Array */ self,
	int64_t /* System.Int64 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Array_GetValue_5(
	System_Array_t _Nullable /* System.Array */ self,
	int64_t /* System.Int64 */ index1,
	int64_t /* System.Int64 */ index2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Array_GetValue_6(
	System_Array_t _Nullable /* System.Array */ self,
	int64_t /* System.Int64 */ index1,
	int64_t /* System.Int64 */ index2,
	int64_t /* System.Int64 */ index3,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Array_GetValue_7(
	System_Array_t _Nullable /* System.Array */ self,
	System_Int64_Array_t _Nonnull /* System.Int64[] */ indices,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_SetValue_4(
	System_Array_t _Nullable /* System.Array */ self,
	System_Object_t _Nullable /* System.Object */ value,
	int64_t /* System.Int64 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_SetValue_5(
	System_Array_t _Nullable /* System.Array */ self,
	System_Object_t _Nullable /* System.Object */ value,
	int64_t /* System.Int64 */ index1,
	int64_t /* System.Int64 */ index2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_SetValue_6(
	System_Array_t _Nullable /* System.Array */ self,
	System_Object_t _Nullable /* System.Object */ value,
	int64_t /* System.Int64 */ index1,
	int64_t /* System.Int64 */ index2,
	int64_t /* System.Int64 */ index3,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_SetValue_7(
	System_Array_t _Nullable /* System.Array */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Int64_Array_t _Nonnull /* System.Int64[] */ indices,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int64_t /* System.Int64 */
System_Array_GetLongLength(
	System_Array_t _Nullable /* System.Array */ self,
	int32_t /* System.Int32 */ dimension,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Array_Clone(
	System_Array_t _Nullable /* System.Array */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_BinarySearch(
	System_Array_t _Nonnull /* System.Array */ array,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_BinarySearch_1(
	System_Array_t _Nonnull /* System.Array */ array,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ length,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_BinarySearch_2(
	System_Array_t _Nonnull /* System.Array */ array,
	System_Object_t _Nullable /* System.Object */ value,
	System_Collections_IComparer_t _Nullable /* System.Collections.IComparer */ comparer,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_BinarySearch_3(
	System_Array_t _Nonnull /* System.Array */ array,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ length,
	System_Object_t _Nullable /* System.Object */ value,
	System_Collections_IComparer_t _Nullable /* System.Collections.IComparer */ comparer,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_BinarySearch_A1(
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_BinarySearch_A1_1(
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ length,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_CopyTo(
	System_Array_t _Nullable /* System.Array */ self,
	System_Array_t _Nonnull /* System.Array */ array,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_CopyTo_1(
	System_Array_t _Nullable /* System.Array */ self,
	System_Array_t _Nonnull /* System.Array */ array,
	int64_t /* System.Int64 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Array_t _Nonnull /* System.Array */
System_Array_Empty_A1(
	System_Type_t _Nullable /* System.Type */ T,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Fill_A1(
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Fill_A1_1(
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	System_Object_t _Nullable /* System.Object */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_IndexOf(
	System_Array_t _Nonnull /* System.Array */ array,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_IndexOf_1(
	System_Array_t _Nonnull /* System.Array */ array,
	System_Object_t _Nullable /* System.Object */ value,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_IndexOf_2(
	System_Array_t _Nonnull /* System.Array */ array,
	System_Object_t _Nullable /* System.Object */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_IndexOf_A1(
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_IndexOf_A1_1(
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	System_Object_t _Nullable /* System.Object */ value,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_IndexOf_A1_2(
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	System_Object_t _Nullable /* System.Object */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_LastIndexOf(
	System_Array_t _Nonnull /* System.Array */ array,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_LastIndexOf_1(
	System_Array_t _Nonnull /* System.Array */ array,
	System_Object_t _Nullable /* System.Object */ value,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_LastIndexOf_2(
	System_Array_t _Nonnull /* System.Array */ array,
	System_Object_t _Nullable /* System.Object */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_LastIndexOf_A1(
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_LastIndexOf_A1_1(
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	System_Object_t _Nullable /* System.Object */ value,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_LastIndexOf_A1_2(
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	System_Object_t _Nullable /* System.Object */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Reverse(
	System_Array_t _Nonnull /* System.Array */ array,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Reverse_1(
	System_Array_t _Nonnull /* System.Array */ array,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Reverse_A1(
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Reverse_A1_1(
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Sort(
	System_Array_t _Nonnull /* System.Array */ array,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Sort_1(
	System_Array_t _Nonnull /* System.Array */ keys,
	System_Array_t _Nullable /* System.Array */ items,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Sort_2(
	System_Array_t _Nonnull /* System.Array */ array,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Sort_3(
	System_Array_t _Nonnull /* System.Array */ keys,
	System_Array_t _Nullable /* System.Array */ items,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Sort_4(
	System_Array_t _Nonnull /* System.Array */ array,
	System_Collections_IComparer_t _Nullable /* System.Collections.IComparer */ comparer,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Sort_5(
	System_Array_t _Nonnull /* System.Array */ keys,
	System_Array_t _Nullable /* System.Array */ items,
	System_Collections_IComparer_t _Nullable /* System.Collections.IComparer */ comparer,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Sort_6(
	System_Array_t _Nonnull /* System.Array */ array,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ length,
	System_Collections_IComparer_t _Nullable /* System.Collections.IComparer */ comparer,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Sort_7(
	System_Array_t _Nonnull /* System.Array */ keys,
	System_Array_t _Nullable /* System.Array */ items,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ length,
	System_Collections_IComparer_t _Nullable /* System.Collections.IComparer */ comparer,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Sort_A1(
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Sort_A2(
	System_Type_t _Nullable /* System.Type */ TKey,
	System_Type_t _Nullable /* System.Type */ TValue,
	System_Array_t _Nullable /* System.Array */ keys,
	System_Array_t _Nullable /* System.Array */ items,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Sort_A1_1(
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Array_Sort_A2_1(
	System_Type_t _Nullable /* System.Type */ TKey,
	System_Type_t _Nullable /* System.Type */ TValue,
	System_Array_t _Nullable /* System.Array */ keys,
	System_Array_t _Nullable /* System.Array */ items,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Collections_IEnumerator_t _Nonnull /* System.Collections.IEnumerator */
System_Array_GetEnumerator(
	System_Array_t _Nullable /* System.Array */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Array_Length_Get(
	System_Array_t _Nullable /* System.Array */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int64_t /* System.Int64 */
System_Array_LongLength_Get(
	System_Array_t _Nullable /* System.Array */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Array_Rank_Get(
	System_Array_t _Nullable /* System.Array */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Object_t _Nonnull /* System.Object */
System_Array_SyncRoot_Get(
	System_Array_t _Nullable /* System.Array */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Array_IsReadOnly_Get(
	System_Array_t _Nullable /* System.Array */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Array_IsFixedSize_Get(
	System_Array_t _Nullable /* System.Array */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Array_IsSynchronized_Get(
	System_Array_t _Nullable /* System.Array */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Array_MaxLength_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Array_TypeOf(
	void
);

void /* System.Void */
System_Array_Destroy(
	System_Array_t _Nullable /* System.Array */ self
);

#pragma mark - END APIs of System.Array

#pragma mark - BEGIN APIs of System.Collections.IList
int32_t /* System.Int32 */
System_Collections_IList_Add(
	System_Collections_IList_t _Nullable /* System.Collections.IList */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Collections_IList_Contains(
	System_Collections_IList_t _Nullable /* System.Collections.IList */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_IList_Clear(
	System_Collections_IList_t _Nullable /* System.Collections.IList */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Collections_IList_IndexOf(
	System_Collections_IList_t _Nullable /* System.Collections.IList */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_IList_Insert(
	System_Collections_IList_t _Nullable /* System.Collections.IList */ self,
	int32_t /* System.Int32 */ index,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_IList_Remove(
	System_Collections_IList_t _Nullable /* System.Collections.IList */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_IList_RemoveAt(
	System_Collections_IList_t _Nullable /* System.Collections.IList */ self,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Collections_IList_Item_Get(
	System_Collections_IList_t _Nullable /* System.Collections.IList */ self,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_IList_Item_Set(
	System_Collections_IList_t _Nullable /* System.Collections.IList */ self,
	int32_t /* System.Int32 */ index,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Collections_IList_IsReadOnly_Get(
	System_Collections_IList_t _Nullable /* System.Collections.IList */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Collections_IList_IsFixedSize_Get(
	System_Collections_IList_t _Nullable /* System.Collections.IList */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Collections_IList_TypeOf(
	void
);

void /* System.Void */
System_Collections_IList_Destroy(
	System_Collections_IList_t _Nullable /* System.Collections.IList */ self
);

#pragma mark - END APIs of System.Collections.IList

#pragma mark - BEGIN APIs of System.Collections.ICollection
void /* System.Void */
System_Collections_ICollection_CopyTo(
	System_Collections_ICollection_t _Nullable /* System.Collections.ICollection */ self,
	System_Array_t _Nonnull /* System.Array */ array,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Collections_ICollection_Count_Get(
	System_Collections_ICollection_t _Nullable /* System.Collections.ICollection */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Object_t _Nonnull /* System.Object */
System_Collections_ICollection_SyncRoot_Get(
	System_Collections_ICollection_t _Nullable /* System.Collections.ICollection */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Collections_ICollection_IsSynchronized_Get(
	System_Collections_ICollection_t _Nullable /* System.Collections.ICollection */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Collections_ICollection_TypeOf(
	void
);

void /* System.Void */
System_Collections_ICollection_Destroy(
	System_Collections_ICollection_t _Nullable /* System.Collections.ICollection */ self
);

#pragma mark - END APIs of System.Collections.ICollection

#pragma mark - BEGIN APIs of System.Collections.IStructuralComparable
int32_t /* System.Int32 */
System_Collections_IStructuralComparable_CompareTo(
	System_Collections_IStructuralComparable_t _Nullable /* System.Collections.IStructuralComparable */ self,
	System_Object_t _Nullable /* System.Object */ other,
	System_Collections_IComparer_t _Nonnull /* System.Collections.IComparer */ comparer,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Collections_IStructuralComparable_TypeOf(
	void
);

void /* System.Void */
System_Collections_IStructuralComparable_Destroy(
	System_Collections_IStructuralComparable_t _Nullable /* System.Collections.IStructuralComparable */ self
);

#pragma mark - END APIs of System.Collections.IStructuralComparable

#pragma mark - BEGIN APIs of System.Collections.IComparer
int32_t /* System.Int32 */
System_Collections_IComparer_Compare(
	System_Collections_IComparer_t _Nullable /* System.Collections.IComparer */ self,
	System_Object_t _Nullable /* System.Object */ x,
	System_Object_t _Nullable /* System.Object */ y,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Collections_IComparer_TypeOf(
	void
);

void /* System.Void */
System_Collections_IComparer_Destroy(
	System_Collections_IComparer_t _Nullable /* System.Collections.IComparer */ self
);

#pragma mark - END APIs of System.Collections.IComparer

#pragma mark - BEGIN APIs of System.Collections.IStructuralEquatable
bool /* System.Boolean */
System_Collections_IStructuralEquatable_Equals(
	System_Collections_IStructuralEquatable_t _Nullable /* System.Collections.IStructuralEquatable */ self,
	System_Object_t _Nullable /* System.Object */ other,
	System_Collections_IEqualityComparer_t _Nonnull /* System.Collections.IEqualityComparer */ comparer,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Collections_IStructuralEquatable_GetHashCode(
	System_Collections_IStructuralEquatable_t _Nullable /* System.Collections.IStructuralEquatable */ self,
	System_Collections_IEqualityComparer_t _Nonnull /* System.Collections.IEqualityComparer */ comparer,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Collections_IStructuralEquatable_TypeOf(
	void
);

void /* System.Void */
System_Collections_IStructuralEquatable_Destroy(
	System_Collections_IStructuralEquatable_t _Nullable /* System.Collections.IStructuralEquatable */ self
);

#pragma mark - END APIs of System.Collections.IStructuralEquatable

#pragma mark - BEGIN APIs of System.Collections.IEqualityComparer
bool /* System.Boolean */
System_Collections_IEqualityComparer_Equals(
	System_Collections_IEqualityComparer_t _Nullable /* System.Collections.IEqualityComparer */ self,
	System_Object_t _Nullable /* System.Object */ x,
	System_Object_t _Nullable /* System.Object */ y,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Collections_IEqualityComparer_GetHashCode(
	System_Collections_IEqualityComparer_t _Nullable /* System.Collections.IEqualityComparer */ self,
	System_Object_t _Nonnull /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Collections_IEqualityComparer_TypeOf(
	void
);

void /* System.Void */
System_Collections_IEqualityComparer_Destroy(
	System_Collections_IEqualityComparer_t _Nullable /* System.Collections.IEqualityComparer */ self
);

#pragma mark - END APIs of System.Collections.IEqualityComparer

#pragma mark - BEGIN APIs of System.Int64
System_Type_t _Nonnull /* System.Type */
System_Int64_TypeOf(
	void
);

#pragma mark - END APIs of System.Int64
























#pragma mark - BEGIN APIs of System.Numerics.ISignedNumber<>
System_Object_t _Nonnull /* System.Object */
System_Numerics_ISignedNumber_A1_NegativeOne_Get(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Numerics_ISignedNumber_A1_TypeOf(
	void
);

void /* System.Void */
System_Numerics_ISignedNumber_A1_Destroy(
	System_Numerics_ISignedNumber_A1_t _Nullable /* System.Numerics.ISignedNumber<> */ self
);

#pragma mark - END APIs of System.Numerics.ISignedNumber<>




#pragma mark - BEGIN APIs of System.Byte
System_Type_t _Nonnull /* System.Type */
System_Byte_TypeOf(
	void
);

#pragma mark - END APIs of System.Byte




























#pragma mark - BEGIN APIs of System.Byte[]
#pragma mark - END APIs of System.Byte[]

#pragma mark - BEGIN APIs of System.Collections.Generic.IList<>
int32_t /* System.Int32 */
System_Collections_Generic_IList_A1_IndexOf(
	System_Collections_Generic_IList_A1_t _Nullable /* System.Collections.Generic.IList<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ item,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_IList_A1_Insert(
	System_Collections_Generic_IList_A1_t _Nullable /* System.Collections.Generic.IList<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ index,
	System_Object_t _Nullable /* System.Object */ item,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_IList_A1_RemoveAt(
	System_Collections_Generic_IList_A1_t _Nullable /* System.Collections.Generic.IList<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Collections_Generic_IList_A1_Item_Get(
	System_Collections_Generic_IList_A1_t _Nullable /* System.Collections.Generic.IList<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_IList_A1_Item_Set(
	System_Collections_Generic_IList_A1_t _Nullable /* System.Collections.Generic.IList<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ index,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Collections_Generic_IList_A1_TypeOf(
	void
);

void /* System.Void */
System_Collections_Generic_IList_A1_Destroy(
	System_Collections_Generic_IList_A1_t _Nullable /* System.Collections.Generic.IList<> */ self
);

#pragma mark - END APIs of System.Collections.Generic.IList<>



#pragma mark - BEGIN APIs of System.Collections.Generic.ICollection<>
void /* System.Void */
System_Collections_Generic_ICollection_A1_Add(
	System_Collections_Generic_ICollection_A1_t _Nullable /* System.Collections.Generic.ICollection<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ item,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_ICollection_A1_Clear(
	System_Collections_Generic_ICollection_A1_t _Nullable /* System.Collections.Generic.ICollection<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Collections_Generic_ICollection_A1_Contains(
	System_Collections_Generic_ICollection_A1_t _Nullable /* System.Collections.Generic.ICollection<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ item,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_ICollection_A1_CopyTo(
	System_Collections_Generic_ICollection_A1_t _Nullable /* System.Collections.Generic.ICollection<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	int32_t /* System.Int32 */ arrayIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Collections_Generic_ICollection_A1_Remove(
	System_Collections_Generic_ICollection_A1_t _Nullable /* System.Collections.Generic.ICollection<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ item,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Collections_Generic_ICollection_A1_Count_Get(
	System_Collections_Generic_ICollection_A1_t _Nullable /* System.Collections.Generic.ICollection<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Collections_Generic_ICollection_A1_IsReadOnly_Get(
	System_Collections_Generic_ICollection_A1_t _Nullable /* System.Collections.Generic.ICollection<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Collections_Generic_ICollection_A1_TypeOf(
	void
);

void /* System.Void */
System_Collections_Generic_ICollection_A1_Destroy(
	System_Collections_Generic_ICollection_A1_t _Nullable /* System.Collections.Generic.ICollection<> */ self
);

#pragma mark - END APIs of System.Collections.Generic.ICollection<>


#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]





#pragma mark - BEGIN APIs of System.Collections.Generic.IReadOnlyList<>
System_Object_t _Nullable /* System.Object */
System_Collections_Generic_IReadOnlyList_A1_Item_Get(
	System_Collections_Generic_IReadOnlyList_A1_t _Nullable /* System.Collections.Generic.IReadOnlyList<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Collections_Generic_IReadOnlyList_A1_TypeOf(
	void
);

void /* System.Void */
System_Collections_Generic_IReadOnlyList_A1_Destroy(
	System_Collections_Generic_IReadOnlyList_A1_t _Nullable /* System.Collections.Generic.IReadOnlyList<> */ self
);

#pragma mark - END APIs of System.Collections.Generic.IReadOnlyList<>



#pragma mark - BEGIN APIs of System.Collections.Generic.IReadOnlyCollection<>
int32_t /* System.Int32 */
System_Collections_Generic_IReadOnlyCollection_A1_Count_Get(
	System_Collections_Generic_IReadOnlyCollection_A1_t _Nullable /* System.Collections.Generic.IReadOnlyCollection<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Collections_Generic_IReadOnlyCollection_A1_TypeOf(
	void
);

void /* System.Void */
System_Collections_Generic_IReadOnlyCollection_A1_Destroy(
	System_Collections_Generic_IReadOnlyCollection_A1_t _Nullable /* System.Collections.Generic.IReadOnlyCollection<> */ self
);

#pragma mark - END APIs of System.Collections.Generic.IReadOnlyCollection<>





#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]




#pragma mark - BEGIN APIs of System.Int32[]
#pragma mark - END APIs of System.Int32[]







#pragma mark - BEGIN APIs of System.Int64[]
#pragma mark - END APIs of System.Int64[]







#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of TOutput[]
#pragma mark - END APIs of TOutput[]



#pragma mark - BEGIN APIs of TInput[]
#pragma mark - END APIs of TInput[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]




#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]


#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]




#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]


#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of TKey[]
#pragma mark - END APIs of TKey[]



#pragma mark - BEGIN APIs of TValue[]
#pragma mark - END APIs of TValue[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of TKey[]
#pragma mark - END APIs of TKey[]



#pragma mark - BEGIN APIs of TValue[]
#pragma mark - END APIs of TValue[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of TKey[]
#pragma mark - END APIs of TKey[]



#pragma mark - BEGIN APIs of TValue[]
#pragma mark - END APIs of TValue[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of TKey[]
#pragma mark - END APIs of TKey[]



#pragma mark - BEGIN APIs of TValue[]
#pragma mark - END APIs of TValue[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]



#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]










#pragma mark - BEGIN APIs of System.Globalization.CompareInfo
System_Globalization_CompareInfo_t _Nonnull /* System.Globalization.CompareInfo */
System_Globalization_CompareInfo_GetCompareInfo(
	int32_t /* System.Int32 */ culture,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_CompareInfo_t _Nonnull /* System.Globalization.CompareInfo */
System_Globalization_CompareInfo_GetCompareInfo_1(
	System_String_t _Nonnull /* System.String */ name,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_CompareInfo_IsSortable(
	wchar_t /* System.Char */ ch,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_CompareInfo_IsSortable_1(
	System_String_t _Nonnull /* System.String */ text,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_CompareInfo_IsSortable_2(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_Compare(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nullable /* System.String */ string1,
	System_String_t _Nullable /* System.String */ string2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_Compare_1(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nullable /* System.String */ string1,
	System_String_t _Nullable /* System.String */ string2,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_Compare_2(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nullable /* System.String */ string1,
	int32_t /* System.Int32 */ offset1,
	int32_t /* System.Int32 */ length1,
	System_String_t _Nullable /* System.String */ string2,
	int32_t /* System.Int32 */ offset2,
	int32_t /* System.Int32 */ length2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_Compare_3(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nullable /* System.String */ string1,
	int32_t /* System.Int32 */ offset1,
	System_String_t _Nullable /* System.String */ string2,
	int32_t /* System.Int32 */ offset2,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_Compare_4(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nullable /* System.String */ string1,
	int32_t /* System.Int32 */ offset1,
	System_String_t _Nullable /* System.String */ string2,
	int32_t /* System.Int32 */ offset2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_Compare_5(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nullable /* System.String */ string1,
	int32_t /* System.Int32 */ offset1,
	int32_t /* System.Int32 */ length1,
	System_String_t _Nullable /* System.String */ string2,
	int32_t /* System.Int32 */ offset2,
	int32_t /* System.Int32 */ length2,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_CompareInfo_IsPrefix(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_String_t _Nonnull /* System.String */ prefix,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_CompareInfo_IsPrefix_1(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_String_t _Nonnull /* System.String */ prefix,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_CompareInfo_IsSuffix(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_String_t _Nonnull /* System.String */ suffix,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_CompareInfo_IsSuffix_1(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_String_t _Nonnull /* System.String */ suffix,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_IndexOf(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	wchar_t /* System.Char */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_IndexOf_1(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_String_t _Nonnull /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_IndexOf_2(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	wchar_t /* System.Char */ value,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_IndexOf_3(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_String_t _Nonnull /* System.String */ value,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_IndexOf_4(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	wchar_t /* System.Char */ value,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_IndexOf_5(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_String_t _Nonnull /* System.String */ value,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_IndexOf_6(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	wchar_t /* System.Char */ value,
	int32_t /* System.Int32 */ startIndex,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_IndexOf_7(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_String_t _Nonnull /* System.String */ value,
	int32_t /* System.Int32 */ startIndex,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_IndexOf_8(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	wchar_t /* System.Char */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_IndexOf_9(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_String_t _Nonnull /* System.String */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_IndexOf_10(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	wchar_t /* System.Char */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_IndexOf_11(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_String_t _Nonnull /* System.String */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_LastIndexOf(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	wchar_t /* System.Char */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_LastIndexOf_1(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_String_t _Nonnull /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_LastIndexOf_2(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	wchar_t /* System.Char */ value,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_LastIndexOf_3(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_String_t _Nonnull /* System.String */ value,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_LastIndexOf_4(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	wchar_t /* System.Char */ value,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_LastIndexOf_5(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_String_t _Nonnull /* System.String */ value,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_LastIndexOf_6(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	wchar_t /* System.Char */ value,
	int32_t /* System.Int32 */ startIndex,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_LastIndexOf_7(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_String_t _Nonnull /* System.String */ value,
	int32_t /* System.Int32 */ startIndex,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_LastIndexOf_8(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	wchar_t /* System.Char */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_LastIndexOf_9(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_String_t _Nonnull /* System.String */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_LastIndexOf_10(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	wchar_t /* System.Char */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_LastIndexOf_11(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_String_t _Nonnull /* System.String */ value,
	int32_t /* System.Int32 */ startIndex,
	int32_t /* System.Int32 */ count,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_SortKey_t _Nonnull /* System.Globalization.SortKey */
System_Globalization_CompareInfo_GetSortKey(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_SortKey_t _Nonnull /* System.Globalization.SortKey */
System_Globalization_CompareInfo_GetSortKey_1(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_CompareInfo_Equals(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_GetHashCode(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_CompareInfo_GetHashCode_1(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_String_t _Nonnull /* System.String */ source,
	System_Globalization_CompareOptions_t /* System.Globalization.CompareOptions */ options,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Globalization_CompareInfo_ToString(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Globalization_CompareInfo_Name_Get(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_SortVersion_t _Nonnull /* System.Globalization.SortVersion */
System_Globalization_CompareInfo_Version_Get(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Globalization_CompareInfo_LCID_Get(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Globalization_CompareInfo_TypeOf(
	void
);

void /* System.Void */
System_Globalization_CompareInfo_Destroy(
	System_Globalization_CompareInfo_t _Nullable /* System.Globalization.CompareInfo */ self
);

#pragma mark - END APIs of System.Globalization.CompareInfo

#pragma mark - BEGIN APIs of System.Text.Rune
int32_t /* System.Int32 */
System_Text_Rune_CompareTo(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ self,
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Buffers_OperationStatus_t /* System.Buffers.OperationStatus */
System_Text_Rune_DecodeFromUtf8(
	DNReadOnlySpanOfByte /* System.ReadOnlySpan<System.Byte> */ source,
	System_Text_Rune_t _Nonnull* _Nonnull /* System.Text.Rune */ result,
	int32_t* /* System.Int32 */ bytesConsumed,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Buffers_OperationStatus_t /* System.Buffers.OperationStatus */
System_Text_Rune_DecodeLastFromUtf8(
	DNReadOnlySpanOfByte /* System.ReadOnlySpan<System.Byte> */ source,
	System_Text_Rune_t _Nonnull* _Nonnull /* System.Text.Rune */ value,
	int32_t* /* System.Int32 */ bytesConsumed,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_Equals(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_Equals_1(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ self,
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Rune_GetHashCode(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Rune_t _Nonnull /* System.Text.Rune */
System_Text_Rune_GetRuneAt(
	System_String_t _Nonnull /* System.String */ input,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_IsValid(
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_IsValid_1(
	uint32_t /* System.UInt32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Text_Rune_ToString(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_TryCreate(
	wchar_t /* System.Char */ ch,
	System_Text_Rune_t _Nonnull* _Nonnull /* System.Text.Rune */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_TryCreate_1(
	wchar_t /* System.Char */ highSurrogate,
	wchar_t /* System.Char */ lowSurrogate,
	System_Text_Rune_t _Nonnull* _Nonnull /* System.Text.Rune */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_TryCreate_2(
	int32_t /* System.Int32 */ value,
	System_Text_Rune_t _Nonnull* _Nonnull /* System.Text.Rune */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_TryCreate_3(
	uint32_t /* System.UInt32 */ value,
	System_Text_Rune_t _Nonnull* _Nonnull /* System.Text.Rune */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_TryGetRuneAt(
	System_String_t _Nonnull /* System.String */ input,
	int32_t /* System.Int32 */ index,
	System_Text_Rune_t _Nonnull* _Nonnull /* System.Text.Rune */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

double /* System.Double */
System_Text_Rune_GetNumericValue(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_UnicodeCategory_t /* System.Globalization.UnicodeCategory */
System_Text_Rune_GetUnicodeCategory(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_IsControl(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_IsDigit(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_IsLetter(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_IsLetterOrDigit(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_IsLower(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_IsNumber(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_IsPunctuation(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_IsSeparator(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_IsSymbol(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_IsUpper(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_IsWhiteSpace(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Rune_t _Nonnull /* System.Text.Rune */
System_Text_Rune_ToLower(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */ culture,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Rune_t _Nonnull /* System.Text.Rune */
System_Text_Rune_ToLowerInvariant(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Rune_t _Nonnull /* System.Text.Rune */
System_Text_Rune_ToUpper(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Globalization_CultureInfo_t _Nonnull /* System.Globalization.CultureInfo */ culture,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Rune_t _Nonnull /* System.Text.Rune */
System_Text_Rune_ToUpperInvariant(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Rune_t _Nonnull /* System.Text.Rune */
System_Text_Rune_Create(
	wchar_t /* System.Char */ ch,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Rune_t _Nonnull /* System.Text.Rune */
System_Text_Rune_Create_1(
	wchar_t /* System.Char */ highSurrogate,
	wchar_t /* System.Char */ lowSurrogate,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Rune_t _Nonnull /* System.Text.Rune */
System_Text_Rune_Create_2(
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Rune_t _Nonnull /* System.Text.Rune */
System_Text_Rune_Create_3(
	uint32_t /* System.UInt32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Rune_IsAscii_Get(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Text_Rune_IsBmp_Get(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Text_Rune_Plane_Get(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Text_Rune_t _Nonnull /* System.Text.Rune */
System_Text_Rune_ReplacementChar_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Text_Rune_Utf16SequenceLength_Get(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Text_Rune_Utf8SequenceLength_Get(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Text_Rune_Value_Get(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Text_Rune_t _Nonnull /* System.Text.Rune */
System_Text_Rune_Create_4(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Text_Rune_TypeOf(
	void
);

void /* System.Void */
System_Text_Rune_Destroy(
	System_Text_Rune_t _Nonnull /* System.Text.Rune */ self
);

#pragma mark - END APIs of System.Text.Rune



#pragma mark - BEGIN APIs of System.UInt32
System_Type_t _Nonnull /* System.Type */
System_UInt32_TypeOf(
	void
);

#pragma mark - END APIs of System.UInt32





























#pragma mark - BEGIN APIs of System.Double
System_Type_t _Nonnull /* System.Type */
System_Double_TypeOf(
	void
);

#pragma mark - END APIs of System.Double



#pragma mark - BEGIN APIs of System.Numerics.IBinaryFloatingPointIeee754<>
System_Type_t _Nonnull /* System.Type */
System_Numerics_IBinaryFloatingPointIeee754_A1_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IBinaryFloatingPointIeee754_A1_Destroy(
	System_Numerics_IBinaryFloatingPointIeee754_A1_t _Nullable /* System.Numerics.IBinaryFloatingPointIeee754<> */ self
);

#pragma mark - END APIs of System.Numerics.IBinaryFloatingPointIeee754<>





















#pragma mark - BEGIN APIs of System.Numerics.IFloatingPointIeee754<>
System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointIeee754_A1_Atan2(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ y,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointIeee754_A1_Atan2Pi(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ y,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointIeee754_A1_BitDecrement(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointIeee754_A1_BitIncrement(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointIeee754_A1_FusedMultiplyAdd(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ left,
	System_Object_t _Nullable /* System.Object */ right,
	System_Object_t _Nullable /* System.Object */ addend,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointIeee754_A1_Ieee754Remainder(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ left,
	System_Object_t _Nullable /* System.Object */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_IFloatingPointIeee754_A1_ILogB(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointIeee754_A1_Lerp(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ value1,
	System_Object_t _Nullable /* System.Object */ value2,
	System_Object_t _Nullable /* System.Object */ amount,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointIeee754_A1_ReciprocalEstimate(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointIeee754_A1_ReciprocalSqrtEstimate(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointIeee754_A1_ScaleB(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	int32_t /* System.Int32 */ n,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointIeee754_A1_Epsilon_Get(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointIeee754_A1_NaN_Get(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointIeee754_A1_NegativeInfinity_Get(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointIeee754_A1_NegativeZero_Get(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointIeee754_A1_PositiveInfinity_Get(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Numerics_IFloatingPointIeee754_A1_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IFloatingPointIeee754_A1_Destroy(
	System_Numerics_IFloatingPointIeee754_A1_t _Nullable /* System.Numerics.IFloatingPointIeee754<> */ self
);

#pragma mark - END APIs of System.Numerics.IFloatingPointIeee754<>



#pragma mark - BEGIN APIs of System.Numerics.IExponentialFunctions<>
System_Object_t _Nullable /* System.Object */
System_Numerics_IExponentialFunctions_A1_Exp(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IExponentialFunctions_A1_ExpM1(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IExponentialFunctions_A1_Exp2(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IExponentialFunctions_A1_Exp2M1(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IExponentialFunctions_A1_Exp10(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IExponentialFunctions_A1_Exp10M1(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Numerics_IExponentialFunctions_A1_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IExponentialFunctions_A1_Destroy(
	System_Numerics_IExponentialFunctions_A1_t _Nullable /* System.Numerics.IExponentialFunctions<> */ self
);

#pragma mark - END APIs of System.Numerics.IExponentialFunctions<>



#pragma mark - BEGIN APIs of System.Numerics.IFloatingPointConstants<>
System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointConstants_A1_E_Get(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointConstants_A1_Pi_Get(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPointConstants_A1_Tau_Get(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Numerics_IFloatingPointConstants_A1_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IFloatingPointConstants_A1_Destroy(
	System_Numerics_IFloatingPointConstants_A1_t _Nullable /* System.Numerics.IFloatingPointConstants<> */ self
);

#pragma mark - END APIs of System.Numerics.IFloatingPointConstants<>



#pragma mark - BEGIN APIs of System.Numerics.IFloatingPoint<>
System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPoint_A1_Ceiling(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPoint_A1_Floor(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPoint_A1_Round(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPoint_A1_Round_1(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	int32_t /* System.Int32 */ digits,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPoint_A1_Round_2(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_MidpointRounding_t /* System.MidpointRounding */ mode,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPoint_A1_Round_3(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	int32_t /* System.Int32 */ digits,
	System_MidpointRounding_t /* System.MidpointRounding */ mode,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IFloatingPoint_A1_Truncate(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_IFloatingPoint_A1_GetExponentByteCount(
	System_Numerics_IFloatingPoint_A1_t _Nullable /* System.Numerics.IFloatingPoint<> */ self,
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_IFloatingPoint_A1_GetExponentShortestBitLength(
	System_Numerics_IFloatingPoint_A1_t _Nullable /* System.Numerics.IFloatingPoint<> */ self,
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_IFloatingPoint_A1_GetSignificandBitLength(
	System_Numerics_IFloatingPoint_A1_t _Nullable /* System.Numerics.IFloatingPoint<> */ self,
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_IFloatingPoint_A1_GetSignificandByteCount(
	System_Numerics_IFloatingPoint_A1_t _Nullable /* System.Numerics.IFloatingPoint<> */ self,
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_IFloatingPoint_A1_WriteExponentBigEndian(
	System_Numerics_IFloatingPoint_A1_t _Nullable /* System.Numerics.IFloatingPoint<> */ self,
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Byte_Array_t _Nullable /* System.Byte[] */ destination,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_IFloatingPoint_A1_WriteExponentBigEndian_1(
	System_Numerics_IFloatingPoint_A1_t _Nullable /* System.Numerics.IFloatingPoint<> */ self,
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Byte_Array_t _Nullable /* System.Byte[] */ destination,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_IFloatingPoint_A1_WriteExponentLittleEndian(
	System_Numerics_IFloatingPoint_A1_t _Nullable /* System.Numerics.IFloatingPoint<> */ self,
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Byte_Array_t _Nullable /* System.Byte[] */ destination,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_IFloatingPoint_A1_WriteExponentLittleEndian_1(
	System_Numerics_IFloatingPoint_A1_t _Nullable /* System.Numerics.IFloatingPoint<> */ self,
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Byte_Array_t _Nullable /* System.Byte[] */ destination,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_IFloatingPoint_A1_WriteSignificandBigEndian(
	System_Numerics_IFloatingPoint_A1_t _Nullable /* System.Numerics.IFloatingPoint<> */ self,
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Byte_Array_t _Nullable /* System.Byte[] */ destination,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_IFloatingPoint_A1_WriteSignificandBigEndian_1(
	System_Numerics_IFloatingPoint_A1_t _Nullable /* System.Numerics.IFloatingPoint<> */ self,
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Byte_Array_t _Nullable /* System.Byte[] */ destination,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_IFloatingPoint_A1_WriteSignificandLittleEndian(
	System_Numerics_IFloatingPoint_A1_t _Nullable /* System.Numerics.IFloatingPoint<> */ self,
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Byte_Array_t _Nullable /* System.Byte[] */ destination,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_IFloatingPoint_A1_WriteSignificandLittleEndian_1(
	System_Numerics_IFloatingPoint_A1_t _Nullable /* System.Numerics.IFloatingPoint<> */ self,
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Byte_Array_t _Nullable /* System.Byte[] */ destination,
	int32_t /* System.Int32 */ startIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Numerics_IFloatingPoint_A1_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IFloatingPoint_A1_Destroy(
	System_Numerics_IFloatingPoint_A1_t _Nullable /* System.Numerics.IFloatingPoint<> */ self
);

#pragma mark - END APIs of System.Numerics.IFloatingPoint<>




#pragma mark - BEGIN APIs of System.Numerics.IHyperbolicFunctions<>
System_Object_t _Nullable /* System.Object */
System_Numerics_IHyperbolicFunctions_A1_Acosh(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IHyperbolicFunctions_A1_Asinh(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IHyperbolicFunctions_A1_Atanh(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IHyperbolicFunctions_A1_Cosh(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IHyperbolicFunctions_A1_Sinh(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IHyperbolicFunctions_A1_Tanh(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Numerics_IHyperbolicFunctions_A1_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IHyperbolicFunctions_A1_Destroy(
	System_Numerics_IHyperbolicFunctions_A1_t _Nullable /* System.Numerics.IHyperbolicFunctions<> */ self
);

#pragma mark - END APIs of System.Numerics.IHyperbolicFunctions<>



#pragma mark - BEGIN APIs of System.Numerics.ILogarithmicFunctions<>
System_Object_t _Nullable /* System.Object */
System_Numerics_ILogarithmicFunctions_A1_Log(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ILogarithmicFunctions_A1_Log_1(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Object_t _Nullable /* System.Object */ newBase,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ILogarithmicFunctions_A1_LogP1(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ILogarithmicFunctions_A1_Log2(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ILogarithmicFunctions_A1_Log2P1(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ILogarithmicFunctions_A1_Log10(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ILogarithmicFunctions_A1_Log10P1(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Numerics_ILogarithmicFunctions_A1_TypeOf(
	void
);

void /* System.Void */
System_Numerics_ILogarithmicFunctions_A1_Destroy(
	System_Numerics_ILogarithmicFunctions_A1_t _Nullable /* System.Numerics.ILogarithmicFunctions<> */ self
);

#pragma mark - END APIs of System.Numerics.ILogarithmicFunctions<>



#pragma mark - BEGIN APIs of System.Numerics.IPowerFunctions<>
System_Object_t _Nonnull /* System.Object */
System_Numerics_IPowerFunctions_A1_Pow(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Object_t _Nullable /* System.Object */ y,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Numerics_IPowerFunctions_A1_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IPowerFunctions_A1_Destroy(
	System_Numerics_IPowerFunctions_A1_t _Nullable /* System.Numerics.IPowerFunctions<> */ self
);

#pragma mark - END APIs of System.Numerics.IPowerFunctions<>



#pragma mark - BEGIN APIs of System.Numerics.IRootFunctions<>
System_Object_t _Nullable /* System.Object */
System_Numerics_IRootFunctions_A1_Cbrt(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IRootFunctions_A1_Hypot(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Object_t _Nullable /* System.Object */ y,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IRootFunctions_A1_RootN(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	int32_t /* System.Int32 */ n,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_IRootFunctions_A1_Sqrt(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Numerics_IRootFunctions_A1_TypeOf(
	void
);

void /* System.Void */
System_Numerics_IRootFunctions_A1_Destroy(
	System_Numerics_IRootFunctions_A1_t _Nullable /* System.Numerics.IRootFunctions<> */ self
);

#pragma mark - END APIs of System.Numerics.IRootFunctions<>



#pragma mark - BEGIN APIs of System.Numerics.ITrigonometricFunctions<>
System_Object_t _Nullable /* System.Object */
System_Numerics_ITrigonometricFunctions_A1_Acos(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ITrigonometricFunctions_A1_AcosPi(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ITrigonometricFunctions_A1_Asin(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ITrigonometricFunctions_A1_AsinPi(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ITrigonometricFunctions_A1_Atan(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ITrigonometricFunctions_A1_AtanPi(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ITrigonometricFunctions_A1_Cos(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ITrigonometricFunctions_A1_CosPi(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ITrigonometricFunctions_A1_DegreesToRadians(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ degrees,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ITrigonometricFunctions_A1_RadiansToDegrees(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ radians,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ITrigonometricFunctions_A1_Sin(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ITrigonometricFunctions_A1_SinPi(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ITrigonometricFunctions_A1_Tan(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Numerics_ITrigonometricFunctions_A1_TanPi(
	System_Type_t _Nullable /* System.Type */ TSelf,
	System_Object_t _Nullable /* System.Object */ x,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Numerics_ITrigonometricFunctions_A1_TypeOf(
	void
);

void /* System.Void */
System_Numerics_ITrigonometricFunctions_A1_Destroy(
	System_Numerics_ITrigonometricFunctions_A1_t _Nullable /* System.Numerics.ITrigonometricFunctions<> */ self
);

#pragma mark - END APIs of System.Numerics.ITrigonometricFunctions<>







#pragma mark - BEGIN APIs of System.Globalization.SortKey
int32_t /* System.Int32 */
System_Globalization_SortKey_Compare(
	System_Globalization_SortKey_t _Nonnull /* System.Globalization.SortKey */ sortkey1,
	System_Globalization_SortKey_t _Nonnull /* System.Globalization.SortKey */ sortkey2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_SortKey_Equals(
	System_Globalization_SortKey_t _Nullable /* System.Globalization.SortKey */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_SortKey_GetHashCode(
	System_Globalization_SortKey_t _Nullable /* System.Globalization.SortKey */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Globalization_SortKey_ToString(
	System_Globalization_SortKey_t _Nullable /* System.Globalization.SortKey */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Globalization_SortKey_OriginalString_Get(
	System_Globalization_SortKey_t _Nullable /* System.Globalization.SortKey */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Byte_Array_t _Nonnull /* System.Byte[] */
System_Globalization_SortKey_KeyData_Get(
	System_Globalization_SortKey_t _Nullable /* System.Globalization.SortKey */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Globalization_SortKey_TypeOf(
	void
);

void /* System.Void */
System_Globalization_SortKey_Destroy(
	System_Globalization_SortKey_t _Nullable /* System.Globalization.SortKey */ self
);

#pragma mark - END APIs of System.Globalization.SortKey

#pragma mark - BEGIN APIs of System.Globalization.SortVersion
bool /* System.Boolean */
System_Globalization_SortVersion_Equals(
	System_Globalization_SortVersion_t _Nullable /* System.Globalization.SortVersion */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_SortVersion_Equals_1(
	System_Globalization_SortVersion_t _Nullable /* System.Globalization.SortVersion */ self,
	System_Globalization_SortVersion_t _Nullable /* System.Globalization.SortVersion */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_SortVersion_GetHashCode(
	System_Globalization_SortVersion_t _Nullable /* System.Globalization.SortVersion */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_SortVersion_t _Nonnull /* System.Globalization.SortVersion */
System_Globalization_SortVersion_Create(
	int32_t /* System.Int32 */ fullVersion,
	System_Guid_t _Nonnull /* System.Guid */ sortId,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_SortVersion_FullVersion_Get(
	System_Globalization_SortVersion_t _Nullable /* System.Globalization.SortVersion */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Guid_t _Nonnull /* System.Guid */
System_Globalization_SortVersion_SortId_Get(
	System_Globalization_SortVersion_t _Nullable /* System.Globalization.SortVersion */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Globalization_SortVersion_TypeOf(
	void
);

void /* System.Void */
System_Globalization_SortVersion_Destroy(
	System_Globalization_SortVersion_t _Nullable /* System.Globalization.SortVersion */ self
);

#pragma mark - END APIs of System.Globalization.SortVersion


#pragma mark - BEGIN APIs of System.Guid
System_Guid_t _Nonnull /* System.Guid */
System_Guid_Parse(
	System_String_t _Nonnull /* System.String */ input,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Guid_TryParse(
	System_String_t _Nullable /* System.String */ input,
	System_Guid_t _Nonnull* _Nonnull /* System.Guid */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Guid_t _Nonnull /* System.Guid */
System_Guid_ParseExact(
	System_String_t _Nonnull /* System.String */ input,
	System_String_t _Nonnull /* System.String */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Guid_TryParseExact(
	System_String_t _Nullable /* System.String */ input,
	System_String_t _Nullable /* System.String */ format,
	System_Guid_t _Nonnull* _Nonnull /* System.Guid */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Byte_Array_t _Nonnull /* System.Byte[] */
System_Guid_ToByteArray(
	System_Guid_t _Nonnull /* System.Guid */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Byte_Array_t _Nonnull /* System.Byte[] */
System_Guid_ToByteArray_1(
	System_Guid_t _Nonnull /* System.Guid */ self,
	bool /* System.Boolean */ bigEndian,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Guid_GetHashCode(
	System_Guid_t _Nonnull /* System.Guid */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Guid_Equals(
	System_Guid_t _Nonnull /* System.Guid */ self,
	System_Object_t _Nullable /* System.Object */ o,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Guid_Equals_1(
	System_Guid_t _Nonnull /* System.Guid */ self,
	System_Guid_t _Nonnull /* System.Guid */ g,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Guid_CompareTo(
	System_Guid_t _Nonnull /* System.Guid */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Guid_CompareTo_1(
	System_Guid_t _Nonnull /* System.Guid */ self,
	System_Guid_t _Nonnull /* System.Guid */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Guid_ToString(
	System_Guid_t _Nonnull /* System.Guid */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Guid_ToString_1(
	System_Guid_t _Nonnull /* System.Guid */ self,
	System_String_t _Nullable /* System.String */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Guid_ToString_2(
	System_Guid_t _Nonnull /* System.Guid */ self,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Guid_t _Nonnull /* System.Guid */
System_Guid_Parse_1(
	System_String_t _Nonnull /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Guid_TryParse_1(
	System_String_t _Nullable /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Guid_t _Nonnull* _Nonnull /* System.Guid */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Guid_t _Nonnull /* System.Guid */
System_Guid_NewGuid(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Guid_t _Nonnull /* System.Guid */
System_Guid_Create(
	System_Byte_Array_t _Nonnull /* System.Byte[] */ b,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Guid_t _Nonnull /* System.Guid */
System_Guid_Create_1(
	DNReadOnlySpanOfByte /* System.ReadOnlySpan<System.Byte> */ b,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Guid_t _Nonnull /* System.Guid */
System_Guid_Create_2(
	DNReadOnlySpanOfByte /* System.ReadOnlySpan<System.Byte> */ b,
	bool /* System.Boolean */ bigEndian,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Guid_t _Nonnull /* System.Guid */
System_Guid_Create_3(
	uint32_t /* System.UInt32 */ a,
	uint16_t /* System.UInt16 */ b,
	uint16_t /* System.UInt16 */ c,
	uint8_t /* System.Byte */ d,
	uint8_t /* System.Byte */ e,
	uint8_t /* System.Byte */ f,
	uint8_t /* System.Byte */ g,
	uint8_t /* System.Byte */ h,
	uint8_t /* System.Byte */ i,
	uint8_t /* System.Byte */ j,
	uint8_t /* System.Byte */ k,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Guid_t _Nonnull /* System.Guid */
System_Guid_Create_4(
	int32_t /* System.Int32 */ a,
	int16_t /* System.Int16 */ b,
	int16_t /* System.Int16 */ c,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ d,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Guid_t _Nonnull /* System.Guid */
System_Guid_Create_5(
	int32_t /* System.Int32 */ a,
	int16_t /* System.Int16 */ b,
	int16_t /* System.Int16 */ c,
	uint8_t /* System.Byte */ d,
	uint8_t /* System.Byte */ e,
	uint8_t /* System.Byte */ f,
	uint8_t /* System.Byte */ g,
	uint8_t /* System.Byte */ h,
	uint8_t /* System.Byte */ i,
	uint8_t /* System.Byte */ j,
	uint8_t /* System.Byte */ k,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Guid_t _Nonnull /* System.Guid */
System_Guid_Create_6(
	System_String_t _Nonnull /* System.String */ g,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Guid_t _Nonnull /* System.Guid */
System_Guid_Empty_Get(
	void
);


System_Guid_t _Nonnull /* System.Guid */
System_Guid_Create_7(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Guid_TypeOf(
	void
);

void /* System.Void */
System_Guid_Destroy(
	System_Guid_t _Nonnull /* System.Guid */ self
);

#pragma mark - END APIs of System.Guid






#pragma mark - BEGIN APIs of System.UInt16
System_Type_t _Nonnull /* System.Type */
System_UInt16_TypeOf(
	void
);

#pragma mark - END APIs of System.UInt16




























#pragma mark - BEGIN APIs of System.Int16
System_Type_t _Nonnull /* System.Type */
System_Int16_TypeOf(
	void
);

#pragma mark - END APIs of System.Int16




























#pragma mark - BEGIN APIs of System.Globalization.TextInfo
System_Object_t _Nonnull /* System.Object */
System_Globalization_TextInfo_Clone(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_TextInfo_t _Nonnull /* System.Globalization.TextInfo */
System_Globalization_TextInfo_ReadOnly(
	System_Globalization_TextInfo_t _Nonnull /* System.Globalization.TextInfo */ textInfo,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

wchar_t /* System.Char */
System_Globalization_TextInfo_ToLower(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	wchar_t /* System.Char */ c,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Globalization_TextInfo_ToLower_1(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	System_String_t _Nonnull /* System.String */ str,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

wchar_t /* System.Char */
System_Globalization_TextInfo_ToUpper(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	wchar_t /* System.Char */ c,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Globalization_TextInfo_ToUpper_1(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	System_String_t _Nonnull /* System.String */ str,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_TextInfo_Equals(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_TextInfo_GetHashCode(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Globalization_TextInfo_ToString(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Globalization_TextInfo_ToTitleCase(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	System_String_t _Nonnull /* System.String */ str,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_TextInfo_ANSICodePage_Get(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Globalization_TextInfo_OEMCodePage_Get(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Globalization_TextInfo_MacCodePage_Get(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Globalization_TextInfo_EBCDICCodePage_Get(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Globalization_TextInfo_LCID_Get(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_TextInfo_CultureName_Get(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Globalization_TextInfo_IsReadOnly_Get(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_TextInfo_ListSeparator_Get(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_TextInfo_ListSeparator_Set(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Globalization_TextInfo_IsRightToLeft_Get(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Globalization_TextInfo_TypeOf(
	void
);

void /* System.Void */
System_Globalization_TextInfo_Destroy(
	System_Globalization_TextInfo_t _Nullable /* System.Globalization.TextInfo */ self
);

#pragma mark - END APIs of System.Globalization.TextInfo

#pragma mark - BEGIN APIs of System.Globalization.NumberFormatInfo
System_Globalization_NumberFormatInfo_t _Nonnull /* System.Globalization.NumberFormatInfo */
System_Globalization_NumberFormatInfo_GetInstance(
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Globalization_NumberFormatInfo_Clone(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Globalization_NumberFormatInfo_GetFormat(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Type_t _Nullable /* System.Type */ formatType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_NumberFormatInfo_t _Nonnull /* System.Globalization.NumberFormatInfo */
System_Globalization_NumberFormatInfo_ReadOnly(
	System_Globalization_NumberFormatInfo_t _Nonnull /* System.Globalization.NumberFormatInfo */ nfi,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_NumberFormatInfo_t _Nonnull /* System.Globalization.NumberFormatInfo */
System_Globalization_NumberFormatInfo_Create(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_NumberFormatInfo_t _Nonnull /* System.Globalization.NumberFormatInfo */
System_Globalization_NumberFormatInfo_InvariantInfo_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Globalization_NumberFormatInfo_CurrencyDecimalDigits_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_CurrencyDecimalDigits_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_NumberFormatInfo_CurrencyDecimalSeparator_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_CurrencyDecimalSeparator_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Globalization_NumberFormatInfo_IsReadOnly_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Int32_Array_t _Nonnull /* System.Int32[] */
System_Globalization_NumberFormatInfo_CurrencyGroupSizes_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_CurrencyGroupSizes_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Int32_Array_t _Nullable /* System.Int32[] */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Int32_Array_t _Nonnull /* System.Int32[] */
System_Globalization_NumberFormatInfo_NumberGroupSizes_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_NumberGroupSizes_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Int32_Array_t _Nullable /* System.Int32[] */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Int32_Array_t _Nonnull /* System.Int32[] */
System_Globalization_NumberFormatInfo_PercentGroupSizes_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_PercentGroupSizes_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Int32_Array_t _Nullable /* System.Int32[] */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_NumberFormatInfo_CurrencyGroupSeparator_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_CurrencyGroupSeparator_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_NumberFormatInfo_CurrencySymbol_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_CurrencySymbol_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_NumberFormatInfo_t _Nonnull /* System.Globalization.NumberFormatInfo */
System_Globalization_NumberFormatInfo_CurrentInfo_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_NumberFormatInfo_NaNSymbol_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_NaNSymbol_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Globalization_NumberFormatInfo_CurrencyNegativePattern_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_CurrencyNegativePattern_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Globalization_NumberFormatInfo_NumberNegativePattern_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_NumberNegativePattern_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Globalization_NumberFormatInfo_PercentPositivePattern_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_PercentPositivePattern_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Globalization_NumberFormatInfo_PercentNegativePattern_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_PercentNegativePattern_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_NumberFormatInfo_NegativeInfinitySymbol_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_NegativeInfinitySymbol_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_NumberFormatInfo_NegativeSign_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_NegativeSign_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Globalization_NumberFormatInfo_NumberDecimalDigits_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_NumberDecimalDigits_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_NumberFormatInfo_NumberDecimalSeparator_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_NumberDecimalSeparator_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_NumberFormatInfo_NumberGroupSeparator_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_NumberGroupSeparator_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Globalization_NumberFormatInfo_CurrencyPositivePattern_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_CurrencyPositivePattern_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_NumberFormatInfo_PositiveInfinitySymbol_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_PositiveInfinitySymbol_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_NumberFormatInfo_PositiveSign_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_PositiveSign_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Globalization_NumberFormatInfo_PercentDecimalDigits_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_PercentDecimalDigits_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_NumberFormatInfo_PercentDecimalSeparator_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_PercentDecimalSeparator_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_NumberFormatInfo_PercentGroupSeparator_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_PercentGroupSeparator_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_NumberFormatInfo_PercentSymbol_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_PercentSymbol_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_NumberFormatInfo_PerMilleSymbol_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_PerMilleSymbol_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_Array_t _Nonnull /* System.String[] */
System_Globalization_NumberFormatInfo_NativeDigits_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_NativeDigits_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_String_Array_t _Nullable /* System.String[] */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_DigitShapes_t /* System.Globalization.DigitShapes */
System_Globalization_NumberFormatInfo_DigitSubstitution_Get(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_NumberFormatInfo_DigitSubstitution_Set(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self,
	System_Globalization_DigitShapes_t /* System.Globalization.DigitShapes */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Globalization_NumberFormatInfo_TypeOf(
	void
);

void /* System.Void */
System_Globalization_NumberFormatInfo_Destroy(
	System_Globalization_NumberFormatInfo_t _Nullable /* System.Globalization.NumberFormatInfo */ self
);

#pragma mark - END APIs of System.Globalization.NumberFormatInfo

#pragma mark - BEGIN APIs of System.String[]
#pragma mark - END APIs of System.String[]








#pragma mark - BEGIN APIs of System.Globalization.DateTimeFormatInfo
System_Globalization_DateTimeFormatInfo_t _Nonnull /* System.Globalization.DateTimeFormatInfo */
System_Globalization_DateTimeFormatInfo_GetInstance(
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Globalization_DateTimeFormatInfo_GetFormat(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Type_t _Nullable /* System.Type */ formatType,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Globalization_DateTimeFormatInfo_Clone(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_DateTimeFormatInfo_GetEra(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_t _Nonnull /* System.String */ eraName,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_GetEraName(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	int32_t /* System.Int32 */ era,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_GetAbbreviatedEraName(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	int32_t /* System.Int32 */ era,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_GetAbbreviatedDayName(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_DayOfWeek_t /* System.DayOfWeek */ dayofweek,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_GetShortestDayName(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_DayOfWeek_t /* System.DayOfWeek */ dayOfWeek,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_Globalization_DateTimeFormatInfo_GetAllDateTimePatterns(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_Globalization_DateTimeFormatInfo_GetAllDateTimePatterns_1(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	wchar_t /* System.Char */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_GetDayName(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_DayOfWeek_t /* System.DayOfWeek */ dayofweek,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_GetAbbreviatedMonthName(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	int32_t /* System.Int32 */ month,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_GetMonthName(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	int32_t /* System.Int32 */ month,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_DateTimeFormatInfo_t _Nonnull /* System.Globalization.DateTimeFormatInfo */
System_Globalization_DateTimeFormatInfo_ReadOnly(
	System_Globalization_DateTimeFormatInfo_t _Nonnull /* System.Globalization.DateTimeFormatInfo */ dtfi,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_SetAllDateTimePatterns(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_Array_t _Nonnull /* System.String[] */ patterns,
	wchar_t /* System.Char */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_DateTimeFormatInfo_t _Nonnull /* System.Globalization.DateTimeFormatInfo */
System_Globalization_DateTimeFormatInfo_Create(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_DateTimeFormatInfo_t _Nonnull /* System.Globalization.DateTimeFormatInfo */
System_Globalization_DateTimeFormatInfo_InvariantInfo_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_DateTimeFormatInfo_t _Nonnull /* System.Globalization.DateTimeFormatInfo */
System_Globalization_DateTimeFormatInfo_CurrentInfo_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_AMDesignator_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_AMDesignator_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_Calendar_t _Nonnull /* System.Globalization.Calendar */
System_Globalization_DateTimeFormatInfo_Calendar_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_Calendar_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_DateSeparator_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_DateSeparator_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DayOfWeek_t /* System.DayOfWeek */
System_Globalization_DateTimeFormatInfo_FirstDayOfWeek_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_FirstDayOfWeek_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_DayOfWeek_t /* System.DayOfWeek */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_CalendarWeekRule_t /* System.Globalization.CalendarWeekRule */
System_Globalization_DateTimeFormatInfo_CalendarWeekRule_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_CalendarWeekRule_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Globalization_CalendarWeekRule_t /* System.Globalization.CalendarWeekRule */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_FullDateTimePattern_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_FullDateTimePattern_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_LongDatePattern_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_LongDatePattern_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_LongTimePattern_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_LongTimePattern_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_MonthDayPattern_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_MonthDayPattern_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_PMDesignator_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_PMDesignator_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_RFC1123Pattern_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_ShortDatePattern_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_ShortDatePattern_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_ShortTimePattern_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_ShortTimePattern_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_SortableDateTimePattern_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_TimeSeparator_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_TimeSeparator_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_UniversalSortableDateTimePattern_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_YearMonthPattern_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_YearMonthPattern_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_Array_t _Nonnull /* System.String[] */
System_Globalization_DateTimeFormatInfo_AbbreviatedDayNames_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_AbbreviatedDayNames_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_Array_t _Nullable /* System.String[] */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_Array_t _Nonnull /* System.String[] */
System_Globalization_DateTimeFormatInfo_ShortestDayNames_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_ShortestDayNames_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_Array_t _Nullable /* System.String[] */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_Array_t _Nonnull /* System.String[] */
System_Globalization_DateTimeFormatInfo_DayNames_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_DayNames_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_Array_t _Nullable /* System.String[] */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_Array_t _Nonnull /* System.String[] */
System_Globalization_DateTimeFormatInfo_AbbreviatedMonthNames_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_AbbreviatedMonthNames_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_Array_t _Nullable /* System.String[] */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_Array_t _Nonnull /* System.String[] */
System_Globalization_DateTimeFormatInfo_MonthNames_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_MonthNames_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_Array_t _Nullable /* System.String[] */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Globalization_DateTimeFormatInfo_IsReadOnly_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Globalization_DateTimeFormatInfo_NativeCalendarName_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_Array_t _Nonnull /* System.String[] */
System_Globalization_DateTimeFormatInfo_AbbreviatedMonthGenitiveNames_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_AbbreviatedMonthGenitiveNames_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_Array_t _Nullable /* System.String[] */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_Array_t _Nonnull /* System.String[] */
System_Globalization_DateTimeFormatInfo_MonthGenitiveNames_Get(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_MonthGenitiveNames_Set(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self,
	System_String_Array_t _Nullable /* System.String[] */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Globalization_DateTimeFormatInfo_TypeOf(
	void
);

void /* System.Void */
System_Globalization_DateTimeFormatInfo_Destroy(
	System_Globalization_DateTimeFormatInfo_t _Nullable /* System.Globalization.DateTimeFormatInfo */ self
);

#pragma mark - END APIs of System.Globalization.DateTimeFormatInfo

#pragma mark - BEGIN APIs of System.Globalization.Calendar
System_Object_t _Nonnull /* System.Object */
System_Globalization_Calendar_Clone(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Globalization_Calendar_t _Nonnull /* System.Globalization.Calendar */
System_Globalization_Calendar_ReadOnly(
	System_Globalization_Calendar_t _Nonnull /* System.Globalization.Calendar */ calendar,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_Globalization_Calendar_AddMilliseconds(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	double /* System.Double */ milliseconds,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_Globalization_Calendar_AddDays(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	int32_t /* System.Int32 */ days,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_Globalization_Calendar_AddHours(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	int32_t /* System.Int32 */ hours,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_Globalization_Calendar_AddMinutes(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	int32_t /* System.Int32 */ minutes,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_Globalization_Calendar_AddMonths(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	int32_t /* System.Int32 */ months,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_Globalization_Calendar_AddSeconds(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	int32_t /* System.Int32 */ seconds,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_Globalization_Calendar_AddWeeks(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	int32_t /* System.Int32 */ weeks,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_Globalization_Calendar_AddYears(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	int32_t /* System.Int32 */ years,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_GetDayOfMonth(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DayOfWeek_t /* System.DayOfWeek */
System_Globalization_Calendar_GetDayOfWeek(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_GetDayOfYear(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_GetDaysInMonth(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_GetDaysInMonth_1(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ era,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_GetDaysInYear(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ year,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_GetDaysInYear_1(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ era,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_GetEra(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_GetHour(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

double /* System.Double */
System_Globalization_Calendar_GetMilliseconds(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_GetMinute(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_GetMonth(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_GetMonthsInYear(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ year,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_GetMonthsInYear_1(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ era,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_GetSecond(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_GetWeekOfYear(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	System_Globalization_CalendarWeekRule_t /* System.Globalization.CalendarWeekRule */ rule,
	System_DayOfWeek_t /* System.DayOfWeek */ firstDayOfWeek,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_GetYear(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ time,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_Calendar_IsLeapDay(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_Calendar_IsLeapDay_1(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ era,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_Calendar_IsLeapMonth(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_Calendar_IsLeapMonth_1(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ era,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_GetLeapMonth(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ year,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_GetLeapMonth_1(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ era,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_Calendar_IsLeapYear(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ year,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Globalization_Calendar_IsLeapYear_1(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ era,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_Globalization_Calendar_ToDateTime(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	int32_t /* System.Int32 */ millisecond,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_Globalization_Calendar_ToDateTime_1(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	int32_t /* System.Int32 */ millisecond,
	int32_t /* System.Int32 */ era,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Globalization_Calendar_ToFourDigitYear(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ year,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_Globalization_Calendar_MinSupportedDateTime_Get(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DateTime_t _Nonnull /* System.DateTime */
System_Globalization_Calendar_MaxSupportedDateTime_Get(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Globalization_CalendarAlgorithmType_t /* System.Globalization.CalendarAlgorithmType */
System_Globalization_Calendar_AlgorithmType_Get(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Globalization_Calendar_IsReadOnly_Get(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Int32_Array_t _Nonnull /* System.Int32[] */
System_Globalization_Calendar_Eras_Get(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Globalization_Calendar_TwoDigitYearMax_Get(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Globalization_Calendar_TwoDigitYearMax_Set(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Globalization_Calendar_CurrentEra_Get(
	void
);


System_Type_t _Nonnull /* System.Type */
System_Globalization_Calendar_TypeOf(
	void
);

void /* System.Void */
System_Globalization_Calendar_Destroy(
	System_Globalization_Calendar_t _Nullable /* System.Globalization.Calendar */ self
);

#pragma mark - END APIs of System.Globalization.Calendar

#pragma mark - BEGIN APIs of System.DateTime
System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Add(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_AddDays(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	double /* System.Double */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_AddHours(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	double /* System.Double */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_AddMilliseconds(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	double /* System.Double */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_AddMicroseconds(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	double /* System.Double */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_AddMinutes(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	double /* System.Double */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_AddMonths(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	int32_t /* System.Int32 */ months,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_AddSeconds(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	double /* System.Double */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_AddTicks(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	int64_t /* System.Int64 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_AddYears(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_DateTime_Compare(
	System_DateTime_t _Nonnull /* System.DateTime */ t1,
	System_DateTime_t _Nonnull /* System.DateTime */ t2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_DateTime_CompareTo(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_DateTime_CompareTo_1(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_DateTime_DaysInMonth(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTime_Equals(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTime_Equals_1(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTime_Equals_2(
	System_DateTime_t _Nonnull /* System.DateTime */ t1,
	System_DateTime_t _Nonnull /* System.DateTime */ t2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_FromBinary(
	int64_t /* System.Int64 */ dateData,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_FromFileTime(
	int64_t /* System.Int64 */ fileTime,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_FromFileTimeUtc(
	int64_t /* System.Int64 */ fileTime,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_FromOADate(
	double /* System.Double */ d,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTime_IsDaylightSavingTime(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_SpecifyKind(
	System_DateTime_t _Nonnull /* System.DateTime */ value,
	System_DateTimeKind_t /* System.DateTimeKind */ kind,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int64_t /* System.Int64 */
System_DateTime_ToBinary(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_DateTime_GetHashCode(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTime_IsLeapYear(
	int32_t /* System.Int32 */ year,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Parse(
	System_String_t _Nonnull /* System.String */ s,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Parse_1(
	System_String_t _Nonnull /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Parse_2(
	System_String_t _Nonnull /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ styles,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_ParseExact(
	System_String_t _Nonnull /* System.String */ s,
	System_String_t _Nonnull /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_ParseExact_1(
	System_String_t _Nonnull /* System.String */ s,
	System_String_t _Nonnull /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ style,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_ParseExact_2(
	System_String_t _Nonnull /* System.String */ s,
	System_String_Array_t _Nonnull /* System.String[] */ formats,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ style,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_DateTime_Subtract(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Subtract_1(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

double /* System.Double */
System_DateTime_ToOADate(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int64_t /* System.Int64 */
System_DateTime_ToFileTime(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int64_t /* System.Int64 */
System_DateTime_ToFileTimeUtc(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_ToLocalTime(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateTime_ToLongDateString(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateTime_ToLongTimeString(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateTime_ToShortDateString(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateTime_ToShortTimeString(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateTime_ToString(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateTime_ToString_1(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_String_t _Nullable /* System.String */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateTime_ToString_2(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateTime_ToString_3(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_ToUniversalTime(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTime_TryParse(
	System_String_t _Nullable /* System.String */ s,
	System_DateTime_t _Nonnull* _Nonnull /* System.DateTime */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTime_TryParse_1(
	System_String_t _Nullable /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ styles,
	System_DateTime_t _Nonnull* _Nonnull /* System.DateTime */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTime_TryParseExact(
	System_String_t _Nullable /* System.String */ s,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ style,
	System_DateTime_t _Nonnull* _Nonnull /* System.DateTime */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTime_TryParseExact_1(
	System_String_t _Nullable /* System.String */ s,
	System_String_Array_t _Nullable /* System.String[] */ formats,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ style,
	System_DateTime_t _Nonnull* _Nonnull /* System.DateTime */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_DateTime_Deconstruct(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_DateOnly_t _Nonnull* _Nonnull /* System.DateOnly */ date,
	System_TimeOnly_t _Nonnull* _Nonnull /* System.TimeOnly */ time,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_DateTime_Deconstruct_1(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	int32_t* /* System.Int32 */ year,
	int32_t* /* System.Int32 */ month,
	int32_t* /* System.Int32 */ day,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_DateTime_GetDateTimeFormats(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_DateTime_GetDateTimeFormats_1(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_DateTime_GetDateTimeFormats_2(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	wchar_t /* System.Char */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_Array_t _Nonnull /* System.String[] */
System_DateTime_GetDateTimeFormats_3(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	wchar_t /* System.Char */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TypeCode_t /* System.TypeCode */
System_DateTime_GetTypeCode(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTime_TryParse_2(
	System_String_t _Nullable /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_DateTime_t _Nonnull* _Nonnull /* System.DateTime */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create(
	int64_t /* System.Int64 */ ticks,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create_1(
	int64_t /* System.Int64 */ ticks,
	System_DateTimeKind_t /* System.DateTimeKind */ kind,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create_2(
	System_DateOnly_t _Nonnull /* System.DateOnly */ date,
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ time,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create_3(
	System_DateOnly_t _Nonnull /* System.DateOnly */ date,
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ time,
	System_DateTimeKind_t /* System.DateTimeKind */ kind,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create_4(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create_5(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	System_Globalization_Calendar_t _Nonnull /* System.Globalization.Calendar */ calendar,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create_6(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	int32_t /* System.Int32 */ millisecond,
	System_Globalization_Calendar_t _Nonnull /* System.Globalization.Calendar */ calendar,
	System_DateTimeKind_t /* System.DateTimeKind */ kind,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create_7(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create_8(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	System_DateTimeKind_t /* System.DateTimeKind */ kind,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create_9(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	System_Globalization_Calendar_t _Nonnull /* System.Globalization.Calendar */ calendar,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create_10(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	int32_t /* System.Int32 */ millisecond,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create_11(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	int32_t /* System.Int32 */ millisecond,
	System_DateTimeKind_t /* System.DateTimeKind */ kind,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create_12(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	int32_t /* System.Int32 */ millisecond,
	System_Globalization_Calendar_t _Nonnull /* System.Globalization.Calendar */ calendar,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create_13(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	int32_t /* System.Int32 */ millisecond,
	int32_t /* System.Int32 */ microsecond,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create_14(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	int32_t /* System.Int32 */ millisecond,
	int32_t /* System.Int32 */ microsecond,
	System_DateTimeKind_t /* System.DateTimeKind */ kind,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create_15(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	int32_t /* System.Int32 */ millisecond,
	int32_t /* System.Int32 */ microsecond,
	System_Globalization_Calendar_t _Nonnull /* System.Globalization.Calendar */ calendar,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create_16(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	int32_t /* System.Int32 */ millisecond,
	int32_t /* System.Int32 */ microsecond,
	System_Globalization_Calendar_t _Nonnull /* System.Globalization.Calendar */ calendar,
	System_DateTimeKind_t /* System.DateTimeKind */ kind,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Date_Get(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTime_Day_Get(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DayOfWeek_t /* System.DayOfWeek */
System_DateTime_DayOfWeek_Get(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTime_DayOfYear_Get(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTime_Hour_Get(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DateTimeKind_t /* System.DateTimeKind */
System_DateTime_Kind_Get(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTime_Millisecond_Get(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTime_Microsecond_Get(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTime_Nanosecond_Get(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTime_Minute_Get(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTime_Month_Get(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Now_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTime_Second_Get(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int64_t /* System.Int64 */
System_DateTime_Ticks_Get(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_DateTime_TimeOfDay_Get(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Today_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTime_Year_Get(
	System_DateTime_t _Nonnull /* System.DateTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_UtcNow_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_MinValue_Get(
	void
);


System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_MaxValue_Get(
	void
);


System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_UnixEpoch_Get(
	void
);


System_DateTime_t _Nonnull /* System.DateTime */
System_DateTime_Create_17(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_DateTime_TypeOf(
	void
);

void /* System.Void */
System_DateTime_Destroy(
	System_DateTime_t _Nonnull /* System.DateTime */ self
);

#pragma mark - END APIs of System.DateTime






#pragma mark - BEGIN APIs of System.TimeSpan
System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_Add(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ ts,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_TimeSpan_Compare(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ t1,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ t2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_TimeSpan_CompareTo(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_TimeSpan_CompareTo_1(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_FromDays(
	double /* System.Double */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_Duration(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeSpan_Equals(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeSpan_Equals_1(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeSpan_Equals_2(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ t1,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ t2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_TimeSpan_GetHashCode(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_FromHours(
	double /* System.Double */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_FromMilliseconds(
	double /* System.Double */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_FromMicroseconds(
	double /* System.Double */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_FromMinutes(
	double /* System.Double */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_Negate(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_FromSeconds(
	double /* System.Double */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_Subtract(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ ts,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_Multiply(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	double /* System.Double */ factor,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_Divide(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	double /* System.Double */ divisor,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

double /* System.Double */
System_TimeSpan_Divide_1(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ ts,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_FromTicks(
	int64_t /* System.Int64 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_Parse(
	System_String_t _Nonnull /* System.String */ s,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_Parse_1(
	System_String_t _Nonnull /* System.String */ input,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_ParseExact(
	System_String_t _Nonnull /* System.String */ input,
	System_String_t _Nonnull /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_ParseExact_1(
	System_String_t _Nonnull /* System.String */ input,
	System_String_Array_t _Nonnull /* System.String[] */ formats,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_ParseExact_2(
	System_String_t _Nonnull /* System.String */ input,
	System_String_t _Nonnull /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Globalization_TimeSpanStyles_t /* System.Globalization.TimeSpanStyles */ styles,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_ParseExact_3(
	System_String_t _Nonnull /* System.String */ input,
	System_String_Array_t _Nonnull /* System.String[] */ formats,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Globalization_TimeSpanStyles_t /* System.Globalization.TimeSpanStyles */ styles,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeSpan_TryParse(
	System_String_t _Nullable /* System.String */ s,
	System_TimeSpan_t _Nonnull* _Nonnull /* System.TimeSpan */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeSpan_TryParse_1(
	System_String_t _Nullable /* System.String */ input,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_TimeSpan_t _Nonnull* _Nonnull /* System.TimeSpan */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeSpan_TryParseExact(
	System_String_t _Nullable /* System.String */ input,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_TimeSpan_t _Nonnull* _Nonnull /* System.TimeSpan */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeSpan_TryParseExact_1(
	System_String_t _Nullable /* System.String */ input,
	System_String_Array_t _Nullable /* System.String[] */ formats,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_TimeSpan_t _Nonnull* _Nonnull /* System.TimeSpan */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeSpan_TryParseExact_2(
	System_String_t _Nullable /* System.String */ input,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Globalization_TimeSpanStyles_t /* System.Globalization.TimeSpanStyles */ styles,
	System_TimeSpan_t _Nonnull* _Nonnull /* System.TimeSpan */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeSpan_TryParseExact_3(
	System_String_t _Nullable /* System.String */ input,
	System_String_Array_t _Nullable /* System.String[] */ formats,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Globalization_TimeSpanStyles_t /* System.Globalization.TimeSpanStyles */ styles,
	System_TimeSpan_t _Nonnull* _Nonnull /* System.TimeSpan */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_TimeSpan_ToString(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_TimeSpan_ToString_1(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_String_t _Nullable /* System.String */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_TimeSpan_ToString_2(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_Create(
	int64_t /* System.Int64 */ ticks,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_Create_1(
	int32_t /* System.Int32 */ hours,
	int32_t /* System.Int32 */ minutes,
	int32_t /* System.Int32 */ seconds,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_Create_2(
	int32_t /* System.Int32 */ days,
	int32_t /* System.Int32 */ hours,
	int32_t /* System.Int32 */ minutes,
	int32_t /* System.Int32 */ seconds,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_Create_3(
	int32_t /* System.Int32 */ days,
	int32_t /* System.Int32 */ hours,
	int32_t /* System.Int32 */ minutes,
	int32_t /* System.Int32 */ seconds,
	int32_t /* System.Int32 */ milliseconds,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_Create_4(
	int32_t /* System.Int32 */ days,
	int32_t /* System.Int32 */ hours,
	int32_t /* System.Int32 */ minutes,
	int32_t /* System.Int32 */ seconds,
	int32_t /* System.Int32 */ milliseconds,
	int32_t /* System.Int32 */ microseconds,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int64_t /* System.Int64 */
System_TimeSpan_Ticks_Get(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_TimeSpan_Days_Get(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_TimeSpan_Hours_Get(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_TimeSpan_Milliseconds_Get(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_TimeSpan_Microseconds_Get(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_TimeSpan_Nanoseconds_Get(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_TimeSpan_Minutes_Get(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_TimeSpan_Seconds_Get(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


double /* System.Double */
System_TimeSpan_TotalDays_Get(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


double /* System.Double */
System_TimeSpan_TotalHours_Get(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


double /* System.Double */
System_TimeSpan_TotalMilliseconds_Get(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


double /* System.Double */
System_TimeSpan_TotalMicroseconds_Get(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


double /* System.Double */
System_TimeSpan_TotalNanoseconds_Get(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


double /* System.Double */
System_TimeSpan_TotalMinutes_Get(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


double /* System.Double */
System_TimeSpan_TotalSeconds_Get(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_Zero_Get(
	void
);


System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_MaxValue_Get(
	void
);


System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_MinValue_Get(
	void
);


int64_t /* System.Int64 */
System_TimeSpan_NanosecondsPerTick_Get(
	void
);


int64_t /* System.Int64 */
System_TimeSpan_TicksPerMicrosecond_Get(
	void
);


int64_t /* System.Int64 */
System_TimeSpan_TicksPerMillisecond_Get(
	void
);


int64_t /* System.Int64 */
System_TimeSpan_TicksPerSecond_Get(
	void
);


int64_t /* System.Int64 */
System_TimeSpan_TicksPerMinute_Get(
	void
);


int64_t /* System.Int64 */
System_TimeSpan_TicksPerHour_Get(
	void
);


int64_t /* System.Int64 */
System_TimeSpan_TicksPerDay_Get(
	void
);


System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeSpan_Create_5(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_TimeSpan_TypeOf(
	void
);

void /* System.Void */
System_TimeSpan_Destroy(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ self
);

#pragma mark - END APIs of System.TimeSpan






#pragma mark - BEGIN APIs of System.DateOnly
System_DateOnly_t _Nonnull /* System.DateOnly */
System_DateOnly_FromDayNumber(
	int32_t /* System.Int32 */ dayNumber,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateOnly_t _Nonnull /* System.DateOnly */
System_DateOnly_AddDays(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateOnly_t _Nonnull /* System.DateOnly */
System_DateOnly_AddMonths(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateOnly_t _Nonnull /* System.DateOnly */
System_DateOnly_AddYears(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_DateOnly_Deconstruct(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	int32_t* /* System.Int32 */ year,
	int32_t* /* System.Int32 */ month,
	int32_t* /* System.Int32 */ day,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateOnly_ToDateTime(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ time,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_DateOnly_ToDateTime_1(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ time,
	System_DateTimeKind_t /* System.DateTimeKind */ kind,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateOnly_t _Nonnull /* System.DateOnly */
System_DateOnly_FromDateTime(
	System_DateTime_t _Nonnull /* System.DateTime */ dateTime,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_DateOnly_CompareTo(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_DateOnly_t _Nonnull /* System.DateOnly */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_DateOnly_CompareTo_1(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateOnly_Equals(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_DateOnly_t _Nonnull /* System.DateOnly */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateOnly_Equals_1(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_DateOnly_GetHashCode(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateOnly_t _Nonnull /* System.DateOnly */
System_DateOnly_Parse(
	System_String_t _Nonnull /* System.String */ s,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateOnly_t _Nonnull /* System.DateOnly */
System_DateOnly_Parse_1(
	System_String_t _Nonnull /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ style,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateOnly_t _Nonnull /* System.DateOnly */
System_DateOnly_ParseExact(
	System_String_t _Nonnull /* System.String */ s,
	System_String_t _Nonnull /* System.String */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateOnly_t _Nonnull /* System.DateOnly */
System_DateOnly_ParseExact_1(
	System_String_t _Nonnull /* System.String */ s,
	System_String_t _Nonnull /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ style,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateOnly_t _Nonnull /* System.DateOnly */
System_DateOnly_ParseExact_2(
	System_String_t _Nonnull /* System.String */ s,
	System_String_Array_t _Nonnull /* System.String[] */ formats,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateOnly_t _Nonnull /* System.DateOnly */
System_DateOnly_ParseExact_3(
	System_String_t _Nonnull /* System.String */ s,
	System_String_Array_t _Nonnull /* System.String[] */ formats,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ style,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateOnly_TryParse(
	System_String_t _Nullable /* System.String */ s,
	System_DateOnly_t _Nonnull* _Nonnull /* System.DateOnly */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateOnly_TryParse_1(
	System_String_t _Nullable /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ style,
	System_DateOnly_t _Nonnull* _Nonnull /* System.DateOnly */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateOnly_TryParseExact(
	System_String_t _Nullable /* System.String */ s,
	System_String_t _Nullable /* System.String */ format,
	System_DateOnly_t _Nonnull* _Nonnull /* System.DateOnly */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateOnly_TryParseExact_1(
	System_String_t _Nullable /* System.String */ s,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ style,
	System_DateOnly_t _Nonnull* _Nonnull /* System.DateOnly */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateOnly_TryParseExact_2(
	System_String_t _Nullable /* System.String */ s,
	System_String_Array_t _Nullable /* System.String[] */ formats,
	System_DateOnly_t _Nonnull* _Nonnull /* System.DateOnly */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateOnly_TryParseExact_3(
	System_String_t _Nullable /* System.String */ s,
	System_String_Array_t _Nullable /* System.String[] */ formats,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ style,
	System_DateOnly_t _Nonnull* _Nonnull /* System.DateOnly */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateOnly_ToLongDateString(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateOnly_ToShortDateString(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateOnly_ToString(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateOnly_ToString_1(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_String_t _Nullable /* System.String */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateOnly_ToString_2(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateOnly_ToString_3(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateOnly_t _Nonnull /* System.DateOnly */
System_DateOnly_Parse_2(
	System_String_t _Nonnull /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateOnly_TryParse_2(
	System_String_t _Nullable /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_DateOnly_t _Nonnull* _Nonnull /* System.DateOnly */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateOnly_t _Nonnull /* System.DateOnly */
System_DateOnly_Create(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateOnly_t _Nonnull /* System.DateOnly */
System_DateOnly_Create_1(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	System_Globalization_Calendar_t _Nonnull /* System.Globalization.Calendar */ calendar,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateOnly_t _Nonnull /* System.DateOnly */
System_DateOnly_MinValue_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DateOnly_t _Nonnull /* System.DateOnly */
System_DateOnly_MaxValue_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateOnly_Year_Get(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateOnly_Month_Get(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateOnly_Day_Get(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DayOfWeek_t /* System.DayOfWeek */
System_DateOnly_DayOfWeek_Get(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateOnly_DayOfYear_Get(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateOnly_DayNumber_Get(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DateOnly_t _Nonnull /* System.DateOnly */
System_DateOnly_Create_2(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_DateOnly_TypeOf(
	void
);

void /* System.Void */
System_DateOnly_Destroy(
	System_DateOnly_t _Nonnull /* System.DateOnly */ self
);

#pragma mark - END APIs of System.DateOnly






#pragma mark - BEGIN APIs of System.TimeOnly
System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_Add(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_Add_1(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ value,
	int32_t* /* System.Int32 */ wrappedDays,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_AddHours(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	double /* System.Double */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_AddHours_1(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	double /* System.Double */ value,
	int32_t* /* System.Int32 */ wrappedDays,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_AddMinutes(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	double /* System.Double */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_AddMinutes_1(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	double /* System.Double */ value,
	int32_t* /* System.Int32 */ wrappedDays,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeOnly_IsBetween(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ start,
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ end,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_TimeOnly_Deconstruct(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	int32_t* /* System.Int32 */ hour,
	int32_t* /* System.Int32 */ minute,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_TimeOnly_Deconstruct_1(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	int32_t* /* System.Int32 */ hour,
	int32_t* /* System.Int32 */ minute,
	int32_t* /* System.Int32 */ second,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_TimeOnly_Deconstruct_2(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	int32_t* /* System.Int32 */ hour,
	int32_t* /* System.Int32 */ minute,
	int32_t* /* System.Int32 */ second,
	int32_t* /* System.Int32 */ millisecond,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_TimeOnly_Deconstruct_3(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	int32_t* /* System.Int32 */ hour,
	int32_t* /* System.Int32 */ minute,
	int32_t* /* System.Int32 */ second,
	int32_t* /* System.Int32 */ millisecond,
	int32_t* /* System.Int32 */ microsecond,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_FromTimeSpan(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeSpan,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_FromDateTime(
	System_DateTime_t _Nonnull /* System.DateTime */ dateTime,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeOnly_ToTimeSpan(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_TimeOnly_CompareTo(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_TimeOnly_CompareTo_1(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeOnly_Equals(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeOnly_Equals_1(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_TimeOnly_GetHashCode(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_Parse(
	System_String_t _Nonnull /* System.String */ s,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_Parse_1(
	System_String_t _Nonnull /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ style,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_ParseExact(
	System_String_t _Nonnull /* System.String */ s,
	System_String_t _Nonnull /* System.String */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_ParseExact_1(
	System_String_t _Nonnull /* System.String */ s,
	System_String_t _Nonnull /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ style,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_ParseExact_2(
	System_String_t _Nonnull /* System.String */ s,
	System_String_Array_t _Nonnull /* System.String[] */ formats,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_ParseExact_3(
	System_String_t _Nonnull /* System.String */ s,
	System_String_Array_t _Nonnull /* System.String[] */ formats,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ style,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeOnly_TryParse(
	System_String_t _Nullable /* System.String */ s,
	System_TimeOnly_t _Nonnull* _Nonnull /* System.TimeOnly */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeOnly_TryParse_1(
	System_String_t _Nullable /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ style,
	System_TimeOnly_t _Nonnull* _Nonnull /* System.TimeOnly */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeOnly_TryParseExact(
	System_String_t _Nullable /* System.String */ s,
	System_String_t _Nullable /* System.String */ format,
	System_TimeOnly_t _Nonnull* _Nonnull /* System.TimeOnly */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeOnly_TryParseExact_1(
	System_String_t _Nullable /* System.String */ s,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ style,
	System_TimeOnly_t _Nonnull* _Nonnull /* System.TimeOnly */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeOnly_TryParseExact_2(
	System_String_t _Nullable /* System.String */ s,
	System_String_Array_t _Nullable /* System.String[] */ formats,
	System_TimeOnly_t _Nonnull* _Nonnull /* System.TimeOnly */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeOnly_TryParseExact_3(
	System_String_t _Nullable /* System.String */ s,
	System_String_Array_t _Nullable /* System.String[] */ formats,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ style,
	System_TimeOnly_t _Nonnull* _Nonnull /* System.TimeOnly */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_TimeOnly_ToLongTimeString(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_TimeOnly_ToShortTimeString(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_TimeOnly_ToString(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_TimeOnly_ToString_1(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_String_t _Nullable /* System.String */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_TimeOnly_ToString_2(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_TimeOnly_ToString_3(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_Parse_2(
	System_String_t _Nonnull /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeOnly_TryParse_2(
	System_String_t _Nullable /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_TimeOnly_t _Nonnull* _Nonnull /* System.TimeOnly */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_Create(
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_Create_1(
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_Create_2(
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	int32_t /* System.Int32 */ millisecond,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_Create_3(
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	int32_t /* System.Int32 */ millisecond,
	int32_t /* System.Int32 */ microsecond,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_Create_4(
	int64_t /* System.Int64 */ ticks,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_MinValue_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_MaxValue_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_TimeOnly_Hour_Get(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_TimeOnly_Minute_Get(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_TimeOnly_Second_Get(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_TimeOnly_Millisecond_Get(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_TimeOnly_Microsecond_Get(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_TimeOnly_Nanosecond_Get(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int64_t /* System.Int64 */
System_TimeOnly_Ticks_Get(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_TimeOnly_t _Nonnull /* System.TimeOnly */
System_TimeOnly_Create_5(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_TimeOnly_TypeOf(
	void
);

void /* System.Void */
System_TimeOnly_Destroy(
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ self
);

#pragma mark - END APIs of System.TimeOnly






#pragma mark - BEGIN APIs of System.Globalization.Calendar[]
#pragma mark - END APIs of System.Globalization.Calendar[]













#pragma mark - BEGIN APIs of System.Char[]
#pragma mark - END APIs of System.Char[]





#pragma mark - BEGIN APIs of System.CharEnumerator
System_Object_t _Nonnull /* System.Object */
System_CharEnumerator_Clone(
	System_CharEnumerator_t _Nullable /* System.CharEnumerator */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_CharEnumerator_MoveNext(
	System_CharEnumerator_t _Nullable /* System.CharEnumerator */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_CharEnumerator_Dispose(
	System_CharEnumerator_t _Nullable /* System.CharEnumerator */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_CharEnumerator_Reset(
	System_CharEnumerator_t _Nullable /* System.CharEnumerator */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

wchar_t /* System.Char */
System_CharEnumerator_Current_Get(
	System_CharEnumerator_t _Nullable /* System.CharEnumerator */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_CharEnumerator_TypeOf(
	void
);

void /* System.Void */
System_CharEnumerator_Destroy(
	System_CharEnumerator_t _Nullable /* System.CharEnumerator */ self
);

#pragma mark - END APIs of System.CharEnumerator

#pragma mark - BEGIN APIs of System.Text.StringRuneEnumerator
System_Text_StringRuneEnumerator_t _Nonnull /* System.Text.StringRuneEnumerator */
System_Text_StringRuneEnumerator_GetEnumerator(
	System_Text_StringRuneEnumerator_t _Nonnull /* System.Text.StringRuneEnumerator */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_StringRuneEnumerator_MoveNext(
	System_Text_StringRuneEnumerator_t _Nonnull /* System.Text.StringRuneEnumerator */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Rune_t _Nonnull /* System.Text.Rune */
System_Text_StringRuneEnumerator_Current_Get(
	System_Text_StringRuneEnumerator_t _Nonnull /* System.Text.StringRuneEnumerator */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Text_StringRuneEnumerator_t _Nonnull /* System.Text.StringRuneEnumerator */
System_Text_StringRuneEnumerator_Create(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Text_StringRuneEnumerator_TypeOf(
	void
);

void /* System.Void */
System_Text_StringRuneEnumerator_Destroy(
	System_Text_StringRuneEnumerator_t _Nonnull /* System.Text.StringRuneEnumerator */ self
);

#pragma mark - END APIs of System.Text.StringRuneEnumerator



#pragma mark - BEGIN APIs of System.Object[]
#pragma mark - END APIs of System.Object[]








#pragma mark - BEGIN APIs of System.Text.CompositeFormat
System_Text_CompositeFormat_t _Nonnull /* System.Text.CompositeFormat */
System_Text_CompositeFormat_Parse(
	System_String_t _Nonnull /* System.String */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Text_CompositeFormat_Format_Get(
	System_Text_CompositeFormat_t _Nullable /* System.Text.CompositeFormat */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Text_CompositeFormat_MinimumArgumentCount_Get(
	System_Text_CompositeFormat_t _Nullable /* System.Text.CompositeFormat */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Text_CompositeFormat_TypeOf(
	void
);

void /* System.Void */
System_Text_CompositeFormat_Destroy(
	System_Text_CompositeFormat_t _Nullable /* System.Text.CompositeFormat */ self
);

#pragma mark - END APIs of System.Text.CompositeFormat







#pragma mark - BEGIN APIs of System.Text.Encoding
System_Byte_Array_t _Nonnull /* System.Byte[] */
System_Text_Encoding_Convert(
	System_Text_Encoding_t _Nonnull /* System.Text.Encoding */ srcEncoding,
	System_Text_Encoding_t _Nonnull /* System.Text.Encoding */ dstEncoding,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Byte_Array_t _Nonnull /* System.Byte[] */
System_Text_Encoding_Convert_1(
	System_Text_Encoding_t _Nonnull /* System.Text.Encoding */ srcEncoding,
	System_Text_Encoding_t _Nonnull /* System.Text.Encoding */ dstEncoding,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Text_Encoding_RegisterProvider(
	System_Text_EncodingProvider_t _Nonnull /* System.Text.EncodingProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Encoding_t _Nonnull /* System.Text.Encoding */
System_Text_Encoding_GetEncoding(
	int32_t /* System.Int32 */ codepage,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Encoding_t _Nonnull /* System.Text.Encoding */
System_Text_Encoding_GetEncoding_1(
	int32_t /* System.Int32 */ codepage,
	System_Text_EncoderFallback_t _Nonnull /* System.Text.EncoderFallback */ encoderFallback,
	System_Text_DecoderFallback_t _Nonnull /* System.Text.DecoderFallback */ decoderFallback,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Encoding_t _Nonnull /* System.Text.Encoding */
System_Text_Encoding_GetEncoding_2(
	System_String_t _Nonnull /* System.String */ name,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Encoding_t _Nonnull /* System.Text.Encoding */
System_Text_Encoding_GetEncoding_3(
	System_String_t _Nonnull /* System.String */ name,
	System_Text_EncoderFallback_t _Nonnull /* System.Text.EncoderFallback */ encoderFallback,
	System_Text_DecoderFallback_t _Nonnull /* System.Text.DecoderFallback */ decoderFallback,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_EncodingInfo_Array_t _Nonnull /* System.Text.EncodingInfo[] */
System_Text_Encoding_GetEncodings(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Byte_Array_t _Nonnull /* System.Byte[] */
System_Text_Encoding_GetPreamble(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Text_Encoding_Clone(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Encoding_GetByteCount(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Char_Array_t _Nonnull /* System.Char[] */ chars,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Encoding_GetByteCount_1(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_String_t _Nonnull /* System.String */ s,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Encoding_GetByteCount_2(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Char_Array_t _Nonnull /* System.Char[] */ chars,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Encoding_GetByteCount_3(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_String_t _Nonnull /* System.String */ s,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Byte_Array_t _Nonnull /* System.Byte[] */
System_Text_Encoding_GetBytes(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Char_Array_t _Nonnull /* System.Char[] */ chars,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Byte_Array_t _Nonnull /* System.Byte[] */
System_Text_Encoding_GetBytes_1(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Char_Array_t _Nonnull /* System.Char[] */ chars,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Encoding_GetBytes_2(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Char_Array_t _Nonnull /* System.Char[] */ chars,
	int32_t /* System.Int32 */ charIndex,
	int32_t /* System.Int32 */ charCount,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	int32_t /* System.Int32 */ byteIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Byte_Array_t _Nonnull /* System.Byte[] */
System_Text_Encoding_GetBytes_3(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_String_t _Nonnull /* System.String */ s,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Byte_Array_t _Nonnull /* System.Byte[] */
System_Text_Encoding_GetBytes_4(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_String_t _Nonnull /* System.String */ s,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Encoding_GetBytes_5(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_String_t _Nonnull /* System.String */ s,
	int32_t /* System.Int32 */ charIndex,
	int32_t /* System.Int32 */ charCount,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	int32_t /* System.Int32 */ byteIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Encoding_GetCharCount(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Encoding_GetCharCount_1(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Encoding_GetCharCount_2(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	DNReadOnlySpanOfByte /* System.ReadOnlySpan<System.Byte> */ bytes,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Char_Array_t _Nonnull /* System.Char[] */
System_Text_Encoding_GetChars(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Char_Array_t _Nonnull /* System.Char[] */
System_Text_Encoding_GetChars_1(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Encoding_GetChars_2(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	int32_t /* System.Int32 */ byteIndex,
	int32_t /* System.Int32 */ byteCount,
	System_Char_Array_t _Nonnull /* System.Char[] */ chars,
	int32_t /* System.Int32 */ charIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Text_Encoding_GetString(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	DNReadOnlySpanOfByte /* System.ReadOnlySpan<System.Byte> */ bytes,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Encoding_IsAlwaysNormalized(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Encoding_IsAlwaysNormalized_1(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Text_NormalizationForm_t /* System.Text.NormalizationForm */ form,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Decoder_t _Nonnull /* System.Text.Decoder */
System_Text_Encoding_GetDecoder(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Encoder_t _Nonnull /* System.Text.Encoder */
System_Text_Encoding_GetEncoder(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Encoding_GetMaxByteCount(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	int32_t /* System.Int32 */ charCount,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Encoding_GetMaxCharCount(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	int32_t /* System.Int32 */ byteCount,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Text_Encoding_GetString_1(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Text_Encoding_GetString_2(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_Encoding_Equals(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Encoding_GetHashCode(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_IO_Stream_t _Nonnull /* System.IO.Stream */
System_Text_Encoding_CreateTranscodingStream(
	System_IO_Stream_t _Nonnull /* System.IO.Stream */ innerStream,
	System_Text_Encoding_t _Nonnull /* System.Text.Encoding */ innerStreamEncoding,
	System_Text_Encoding_t _Nonnull /* System.Text.Encoding */ outerStreamEncoding,
	bool /* System.Boolean */ leaveOpen,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Encoding_t _Nonnull /* System.Text.Encoding */
System_Text_Encoding_Default_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


DNReadOnlySpanOfByte /* System.ReadOnlySpan<System.Byte> */
System_Text_Encoding_Preamble_Get(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Text_Encoding_BodyName_Get(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Text_Encoding_EncodingName_Get(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Text_Encoding_HeaderName_Get(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Text_Encoding_WebName_Get(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Text_Encoding_WindowsCodePage_Get(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Text_Encoding_IsBrowserDisplay_Get(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Text_Encoding_IsBrowserSave_Get(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Text_Encoding_IsMailNewsDisplay_Get(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Text_Encoding_IsMailNewsSave_Get(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Text_Encoding_IsSingleByte_Get(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Text_EncoderFallback_t _Nonnull /* System.Text.EncoderFallback */
System_Text_Encoding_EncoderFallback_Get(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Text_Encoding_EncoderFallback_Set(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Text_EncoderFallback_t _Nullable /* System.Text.EncoderFallback */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Text_DecoderFallback_t _Nonnull /* System.Text.DecoderFallback */
System_Text_Encoding_DecoderFallback_Get(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Text_Encoding_DecoderFallback_Set(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Text_DecoderFallback_t _Nullable /* System.Text.DecoderFallback */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Text_Encoding_IsReadOnly_Get(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Text_Encoding_t _Nonnull /* System.Text.Encoding */
System_Text_Encoding_ASCII_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Text_Encoding_t _Nonnull /* System.Text.Encoding */
System_Text_Encoding_Latin1_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Text_Encoding_CodePage_Get(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Text_Encoding_t _Nonnull /* System.Text.Encoding */
System_Text_Encoding_Unicode_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Text_Encoding_t _Nonnull /* System.Text.Encoding */
System_Text_Encoding_BigEndianUnicode_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Text_Encoding_t _Nonnull /* System.Text.Encoding */
System_Text_Encoding_UTF7_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Text_Encoding_t _Nonnull /* System.Text.Encoding */
System_Text_Encoding_UTF8_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Text_Encoding_t _Nonnull /* System.Text.Encoding */
System_Text_Encoding_UTF32_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Text_Encoding_TypeOf(
	void
);

void /* System.Void */
System_Text_Encoding_Destroy(
	System_Text_Encoding_t _Nullable /* System.Text.Encoding */ self
);

#pragma mark - END APIs of System.Text.Encoding

#pragma mark - BEGIN APIs of System.Text.EncodingProvider
System_Text_Encoding_t _Nullable /* System.Text.Encoding */
System_Text_EncodingProvider_GetEncoding(
	System_Text_EncodingProvider_t _Nullable /* System.Text.EncodingProvider */ self,
	System_String_t _Nonnull /* System.String */ name,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Encoding_t _Nullable /* System.Text.Encoding */
System_Text_EncodingProvider_GetEncoding_1(
	System_Text_EncodingProvider_t _Nullable /* System.Text.EncodingProvider */ self,
	int32_t /* System.Int32 */ codepage,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Encoding_t _Nullable /* System.Text.Encoding */
System_Text_EncodingProvider_GetEncoding_2(
	System_Text_EncodingProvider_t _Nullable /* System.Text.EncodingProvider */ self,
	System_String_t _Nonnull /* System.String */ name,
	System_Text_EncoderFallback_t _Nonnull /* System.Text.EncoderFallback */ encoderFallback,
	System_Text_DecoderFallback_t _Nonnull /* System.Text.DecoderFallback */ decoderFallback,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_Encoding_t _Nullable /* System.Text.Encoding */
System_Text_EncodingProvider_GetEncoding_3(
	System_Text_EncodingProvider_t _Nullable /* System.Text.EncodingProvider */ self,
	int32_t /* System.Int32 */ codepage,
	System_Text_EncoderFallback_t _Nonnull /* System.Text.EncoderFallback */ encoderFallback,
	System_Text_DecoderFallback_t _Nonnull /* System.Text.DecoderFallback */ decoderFallback,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Collections_Generic_IEnumerable_A1_t _Nonnull /* System.Collections.Generic.IEnumerable<System.Text.EncodingInfo> */
System_Text_EncodingProvider_GetEncodings(
	System_Text_EncodingProvider_t _Nullable /* System.Text.EncodingProvider */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Text_EncodingProvider_TypeOf(
	void
);

void /* System.Void */
System_Text_EncodingProvider_Destroy(
	System_Text_EncodingProvider_t _Nullable /* System.Text.EncodingProvider */ self
);

#pragma mark - END APIs of System.Text.EncodingProvider

#pragma mark - BEGIN APIs of System.Text.EncoderFallback
System_Text_EncoderFallbackBuffer_t _Nonnull /* System.Text.EncoderFallbackBuffer */
System_Text_EncoderFallback_CreateFallbackBuffer(
	System_Text_EncoderFallback_t _Nullable /* System.Text.EncoderFallback */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_EncoderFallback_t _Nonnull /* System.Text.EncoderFallback */
System_Text_EncoderFallback_ReplacementFallback_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Text_EncoderFallback_t _Nonnull /* System.Text.EncoderFallback */
System_Text_EncoderFallback_ExceptionFallback_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Text_EncoderFallback_MaxCharCount_Get(
	System_Text_EncoderFallback_t _Nullable /* System.Text.EncoderFallback */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Text_EncoderFallback_TypeOf(
	void
);

void /* System.Void */
System_Text_EncoderFallback_Destroy(
	System_Text_EncoderFallback_t _Nullable /* System.Text.EncoderFallback */ self
);

#pragma mark - END APIs of System.Text.EncoderFallback

#pragma mark - BEGIN APIs of System.Text.EncoderFallbackBuffer
bool /* System.Boolean */
System_Text_EncoderFallbackBuffer_Fallback(
	System_Text_EncoderFallbackBuffer_t _Nullable /* System.Text.EncoderFallbackBuffer */ self,
	wchar_t /* System.Char */ charUnknown,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_EncoderFallbackBuffer_Fallback_1(
	System_Text_EncoderFallbackBuffer_t _Nullable /* System.Text.EncoderFallbackBuffer */ self,
	wchar_t /* System.Char */ charUnknownHigh,
	wchar_t /* System.Char */ charUnknownLow,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

wchar_t /* System.Char */
System_Text_EncoderFallbackBuffer_GetNextChar(
	System_Text_EncoderFallbackBuffer_t _Nullable /* System.Text.EncoderFallbackBuffer */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_EncoderFallbackBuffer_MovePrevious(
	System_Text_EncoderFallbackBuffer_t _Nullable /* System.Text.EncoderFallbackBuffer */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Text_EncoderFallbackBuffer_Reset(
	System_Text_EncoderFallbackBuffer_t _Nullable /* System.Text.EncoderFallbackBuffer */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_EncoderFallbackBuffer_Remaining_Get(
	System_Text_EncoderFallbackBuffer_t _Nullable /* System.Text.EncoderFallbackBuffer */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Text_EncoderFallbackBuffer_TypeOf(
	void
);

void /* System.Void */
System_Text_EncoderFallbackBuffer_Destroy(
	System_Text_EncoderFallbackBuffer_t _Nullable /* System.Text.EncoderFallbackBuffer */ self
);

#pragma mark - END APIs of System.Text.EncoderFallbackBuffer

#pragma mark - BEGIN APIs of System.Text.DecoderFallback
System_Text_DecoderFallbackBuffer_t _Nonnull /* System.Text.DecoderFallbackBuffer */
System_Text_DecoderFallback_CreateFallbackBuffer(
	System_Text_DecoderFallback_t _Nullable /* System.Text.DecoderFallback */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_DecoderFallback_t _Nonnull /* System.Text.DecoderFallback */
System_Text_DecoderFallback_ReplacementFallback_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Text_DecoderFallback_t _Nonnull /* System.Text.DecoderFallback */
System_Text_DecoderFallback_ExceptionFallback_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Text_DecoderFallback_MaxCharCount_Get(
	System_Text_DecoderFallback_t _Nullable /* System.Text.DecoderFallback */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Text_DecoderFallback_TypeOf(
	void
);

void /* System.Void */
System_Text_DecoderFallback_Destroy(
	System_Text_DecoderFallback_t _Nullable /* System.Text.DecoderFallback */ self
);

#pragma mark - END APIs of System.Text.DecoderFallback

#pragma mark - BEGIN APIs of System.Text.DecoderFallbackBuffer
bool /* System.Boolean */
System_Text_DecoderFallbackBuffer_Fallback(
	System_Text_DecoderFallbackBuffer_t _Nullable /* System.Text.DecoderFallbackBuffer */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytesUnknown,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

wchar_t /* System.Char */
System_Text_DecoderFallbackBuffer_GetNextChar(
	System_Text_DecoderFallbackBuffer_t _Nullable /* System.Text.DecoderFallbackBuffer */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_DecoderFallbackBuffer_MovePrevious(
	System_Text_DecoderFallbackBuffer_t _Nullable /* System.Text.DecoderFallbackBuffer */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Text_DecoderFallbackBuffer_Reset(
	System_Text_DecoderFallbackBuffer_t _Nullable /* System.Text.DecoderFallbackBuffer */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_DecoderFallbackBuffer_Remaining_Get(
	System_Text_DecoderFallbackBuffer_t _Nullable /* System.Text.DecoderFallbackBuffer */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Text_DecoderFallbackBuffer_TypeOf(
	void
);

void /* System.Void */
System_Text_DecoderFallbackBuffer_Destroy(
	System_Text_DecoderFallbackBuffer_t _Nullable /* System.Text.DecoderFallbackBuffer */ self
);

#pragma mark - END APIs of System.Text.DecoderFallbackBuffer



#pragma mark - BEGIN APIs of System.Text.EncodingInfo
System_Text_Encoding_t _Nonnull /* System.Text.Encoding */
System_Text_EncodingInfo_GetEncoding(
	System_Text_EncodingInfo_t _Nullable /* System.Text.EncodingInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Text_EncodingInfo_Equals(
	System_Text_EncodingInfo_t _Nullable /* System.Text.EncodingInfo */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_EncodingInfo_GetHashCode(
	System_Text_EncodingInfo_t _Nullable /* System.Text.EncodingInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_EncodingInfo_t _Nonnull /* System.Text.EncodingInfo */
System_Text_EncodingInfo_Create(
	System_Text_EncodingProvider_t _Nonnull /* System.Text.EncodingProvider */ provider,
	int32_t /* System.Int32 */ codePage,
	System_String_t _Nonnull /* System.String */ name,
	System_String_t _Nonnull /* System.String */ displayName,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_EncodingInfo_CodePage_Get(
	System_Text_EncodingInfo_t _Nullable /* System.Text.EncodingInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Text_EncodingInfo_Name_Get(
	System_Text_EncodingInfo_t _Nullable /* System.Text.EncodingInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_Text_EncodingInfo_DisplayName_Get(
	System_Text_EncodingInfo_t _Nullable /* System.Text.EncodingInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Text_EncodingInfo_TypeOf(
	void
);

void /* System.Void */
System_Text_EncodingInfo_Destroy(
	System_Text_EncodingInfo_t _Nullable /* System.Text.EncodingInfo */ self
);

#pragma mark - END APIs of System.Text.EncodingInfo

#pragma mark - BEGIN APIs of System.Text.EncodingInfo[]
#pragma mark - END APIs of System.Text.EncodingInfo[]






#pragma mark - BEGIN APIs of System.Text.Decoder
void /* System.Void */
System_Text_Decoder_Reset(
	System_Text_Decoder_t _Nullable /* System.Text.Decoder */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Decoder_GetCharCount(
	System_Text_Decoder_t _Nullable /* System.Text.Decoder */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Decoder_GetCharCount_1(
	System_Text_Decoder_t _Nullable /* System.Text.Decoder */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ count,
	bool /* System.Boolean */ flush,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Decoder_GetCharCount_2(
	System_Text_Decoder_t _Nullable /* System.Text.Decoder */ self,
	DNReadOnlySpanOfByte /* System.ReadOnlySpan<System.Byte> */ bytes,
	bool /* System.Boolean */ flush,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Decoder_GetChars(
	System_Text_Decoder_t _Nullable /* System.Text.Decoder */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	int32_t /* System.Int32 */ byteIndex,
	int32_t /* System.Int32 */ byteCount,
	System_Char_Array_t _Nonnull /* System.Char[] */ chars,
	int32_t /* System.Int32 */ charIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Decoder_GetChars_1(
	System_Text_Decoder_t _Nullable /* System.Text.Decoder */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	int32_t /* System.Int32 */ byteIndex,
	int32_t /* System.Int32 */ byteCount,
	System_Char_Array_t _Nonnull /* System.Char[] */ chars,
	int32_t /* System.Int32 */ charIndex,
	bool /* System.Boolean */ flush,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Text_Decoder_Convert(
	System_Text_Decoder_t _Nullable /* System.Text.Decoder */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	int32_t /* System.Int32 */ byteIndex,
	int32_t /* System.Int32 */ byteCount,
	System_Char_Array_t _Nonnull /* System.Char[] */ chars,
	int32_t /* System.Int32 */ charIndex,
	int32_t /* System.Int32 */ charCount,
	bool /* System.Boolean */ flush,
	int32_t* /* System.Int32 */ bytesUsed,
	int32_t* /* System.Int32 */ charsUsed,
	bool* /* System.Boolean */ completed,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_DecoderFallback_t _Nullable /* System.Text.DecoderFallback */
System_Text_Decoder_Fallback_Get(
	System_Text_Decoder_t _Nullable /* System.Text.Decoder */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Text_Decoder_Fallback_Set(
	System_Text_Decoder_t _Nullable /* System.Text.Decoder */ self,
	System_Text_DecoderFallback_t _Nullable /* System.Text.DecoderFallback */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Text_DecoderFallbackBuffer_t _Nonnull /* System.Text.DecoderFallbackBuffer */
System_Text_Decoder_FallbackBuffer_Get(
	System_Text_Decoder_t _Nullable /* System.Text.Decoder */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Text_Decoder_TypeOf(
	void
);

void /* System.Void */
System_Text_Decoder_Destroy(
	System_Text_Decoder_t _Nullable /* System.Text.Decoder */ self
);

#pragma mark - END APIs of System.Text.Decoder


#pragma mark - BEGIN APIs of System.Text.Encoder
void /* System.Void */
System_Text_Encoder_Reset(
	System_Text_Encoder_t _Nullable /* System.Text.Encoder */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Encoder_GetByteCount(
	System_Text_Encoder_t _Nullable /* System.Text.Encoder */ self,
	System_Char_Array_t _Nonnull /* System.Char[] */ chars,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ count,
	bool /* System.Boolean */ flush,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Text_Encoder_GetBytes(
	System_Text_Encoder_t _Nullable /* System.Text.Encoder */ self,
	System_Char_Array_t _Nonnull /* System.Char[] */ chars,
	int32_t /* System.Int32 */ charIndex,
	int32_t /* System.Int32 */ charCount,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	int32_t /* System.Int32 */ byteIndex,
	bool /* System.Boolean */ flush,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Text_Encoder_Convert(
	System_Text_Encoder_t _Nullable /* System.Text.Encoder */ self,
	System_Char_Array_t _Nonnull /* System.Char[] */ chars,
	int32_t /* System.Int32 */ charIndex,
	int32_t /* System.Int32 */ charCount,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ bytes,
	int32_t /* System.Int32 */ byteIndex,
	int32_t /* System.Int32 */ byteCount,
	bool /* System.Boolean */ flush,
	int32_t* /* System.Int32 */ charsUsed,
	int32_t* /* System.Int32 */ bytesUsed,
	bool* /* System.Boolean */ completed,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Text_EncoderFallback_t _Nullable /* System.Text.EncoderFallback */
System_Text_Encoder_Fallback_Get(
	System_Text_Encoder_t _Nullable /* System.Text.Encoder */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Text_Encoder_Fallback_Set(
	System_Text_Encoder_t _Nullable /* System.Text.Encoder */ self,
	System_Text_EncoderFallback_t _Nullable /* System.Text.EncoderFallback */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Text_EncoderFallbackBuffer_t _Nonnull /* System.Text.EncoderFallbackBuffer */
System_Text_Encoder_FallbackBuffer_Get(
	System_Text_Encoder_t _Nullable /* System.Text.Encoder */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Text_Encoder_TypeOf(
	void
);

void /* System.Void */
System_Text_Encoder_Destroy(
	System_Text_Encoder_t _Nullable /* System.Text.Encoder */ self
);

#pragma mark - END APIs of System.Text.Encoder

#pragma mark - BEGIN APIs of System.IO.Stream
void /* System.Void */
System_IO_Stream_CopyTo(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_IO_Stream_t _Nonnull /* System.IO.Stream */ destination,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_IO_Stream_CopyTo_1(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_IO_Stream_t _Nonnull /* System.IO.Stream */ destination,
	int32_t /* System.Int32 */ bufferSize,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_IO_Stream_CopyToAsync(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_IO_Stream_t _Nonnull /* System.IO.Stream */ destination,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_IO_Stream_CopyToAsync_1(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_IO_Stream_t _Nonnull /* System.IO.Stream */ destination,
	int32_t /* System.Int32 */ bufferSize,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_IO_Stream_CopyToAsync_2(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_IO_Stream_t _Nonnull /* System.IO.Stream */ destination,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_IO_Stream_CopyToAsync_3(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_IO_Stream_t _Nonnull /* System.IO.Stream */ destination,
	int32_t /* System.Int32 */ bufferSize,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_IO_Stream_Dispose(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_IO_Stream_Close(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */
System_IO_Stream_DisposeAsync(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_IO_Stream_Flush(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_IO_Stream_FlushAsync(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_IO_Stream_FlushAsync_1(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_IAsyncResult_t _Nonnull /* System.IAsyncResult */
System_IO_Stream_BeginRead(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ buffer,
	int32_t /* System.Int32 */ offset,
	int32_t /* System.Int32 */ count,
	System_AsyncCallback_t _Nullable /* System.AsyncCallback */ callback,
	System_Object_t _Nullable /* System.Object */ state,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_IO_Stream_EndRead(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_IAsyncResult_t _Nonnull /* System.IAsyncResult */ asyncResult,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_A1_t _Nonnull /* System.Threading.Tasks.Task<System.Int32> */
System_IO_Stream_ReadAsync(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ buffer,
	int32_t /* System.Int32 */ offset,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_A1_t _Nonnull /* System.Threading.Tasks.Task<System.Int32> */
System_IO_Stream_ReadAsync_1(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ buffer,
	int32_t /* System.Int32 */ offset,
	int32_t /* System.Int32 */ count,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */
System_IO_Stream_ReadExactlyAsync(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ buffer,
	int32_t /* System.Int32 */ offset,
	int32_t /* System.Int32 */ count,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_IAsyncResult_t _Nonnull /* System.IAsyncResult */
System_IO_Stream_BeginWrite(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ buffer,
	int32_t /* System.Int32 */ offset,
	int32_t /* System.Int32 */ count,
	System_AsyncCallback_t _Nullable /* System.AsyncCallback */ callback,
	System_Object_t _Nullable /* System.Object */ state,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_IO_Stream_EndWrite(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_IAsyncResult_t _Nonnull /* System.IAsyncResult */ asyncResult,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_IO_Stream_WriteAsync(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ buffer,
	int32_t /* System.Int32 */ offset,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_IO_Stream_WriteAsync_1(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ buffer,
	int32_t /* System.Int32 */ offset,
	int32_t /* System.Int32 */ count,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int64_t /* System.Int64 */
System_IO_Stream_Seek(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	int64_t /* System.Int64 */ offset,
	System_IO_SeekOrigin_t /* System.IO.SeekOrigin */ origin,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_IO_Stream_SetLength(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	int64_t /* System.Int64 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_IO_Stream_Read_1(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ buffer,
	int32_t /* System.Int32 */ offset,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_IO_Stream_ReadByte(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_IO_Stream_ReadExactly_1(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ buffer,
	int32_t /* System.Int32 */ offset,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_IO_Stream_Write_1(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Byte_Array_t _Nonnull /* System.Byte[] */ buffer,
	int32_t /* System.Int32 */ offset,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_IO_Stream_Write_2(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	DNReadOnlySpanOfByte /* System.ReadOnlySpan<System.Byte> */ buffer,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_IO_Stream_WriteByte(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	uint8_t /* System.Byte */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_IO_Stream_t _Nonnull /* System.IO.Stream */
System_IO_Stream_Synchronized(
	System_IO_Stream_t _Nonnull /* System.IO.Stream */ stream,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_IO_Stream_CanRead_Get(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_IO_Stream_CanWrite_Get(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_IO_Stream_CanSeek_Get(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_IO_Stream_CanTimeout_Get(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int64_t /* System.Int64 */
System_IO_Stream_Length_Get(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int64_t /* System.Int64 */
System_IO_Stream_Position_Get(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_IO_Stream_Position_Set(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	int64_t /* System.Int64 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_IO_Stream_ReadTimeout_Get(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_IO_Stream_ReadTimeout_Set(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_IO_Stream_WriteTimeout_Get(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_IO_Stream_WriteTimeout_Set(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_IO_Stream_t _Nonnull /* System.IO.Stream */
System_IO_Stream_Null_Get(
	void
);


System_Type_t _Nonnull /* System.Type */
System_IO_Stream_TypeOf(
	void
);

void /* System.Void */
System_IO_Stream_Destroy(
	System_IO_Stream_t _Nullable /* System.IO.Stream */ self
);

#pragma mark - END APIs of System.IO.Stream

#pragma mark - BEGIN APIs of System.IAsyncDisposable
System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */
System_IAsyncDisposable_DisposeAsync(
	System_IAsyncDisposable_t _Nullable /* System.IAsyncDisposable */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_IAsyncDisposable_TypeOf(
	void
);

void /* System.Void */
System_IAsyncDisposable_Destroy(
	System_IAsyncDisposable_t _Nullable /* System.IAsyncDisposable */ self
);

#pragma mark - END APIs of System.IAsyncDisposable

#pragma mark - BEGIN APIs of System.Threading.Tasks.ValueTask
System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */
System_Threading_Tasks_ValueTask_FromCanceled(
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */
System_Threading_Tasks_ValueTask_FromException(
	System_Exception_t _Nonnull /* System.Exception */ exception,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Threading_Tasks_ValueTask_GetHashCode(
	System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_Tasks_ValueTask_Equals(
	System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_Tasks_ValueTask_Equals_1(
	System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */ self,
	System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_Threading_Tasks_ValueTask_AsTask(
	System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */
System_Threading_Tasks_ValueTask_Preserve(
	System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */
System_Threading_Tasks_ValueTask_Create(
	System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */ task,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */
System_Threading_Tasks_ValueTask_CompletedTask_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Threading_Tasks_ValueTask_IsCompleted_Get(
	System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Threading_Tasks_ValueTask_IsCompletedSuccessfully_Get(
	System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Threading_Tasks_ValueTask_IsFaulted_Get(
	System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Threading_Tasks_ValueTask_IsCanceled_Get(
	System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */
System_Threading_Tasks_ValueTask_Create_1(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Threading_Tasks_ValueTask_TypeOf(
	void
);

void /* System.Void */
System_Threading_Tasks_ValueTask_Destroy(
	System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */ self
);

#pragma mark - END APIs of System.Threading.Tasks.ValueTask



#pragma mark - BEGIN APIs of System.Threading.CancellationToken
bool /* System.Boolean */
System_Threading_CancellationToken_Equals(
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ self,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_CancellationToken_Equals_1(
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ self,
	System_Object_t _Nullable /* System.Object */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Threading_CancellationToken_GetHashCode(
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Threading_CancellationToken_ThrowIfCancellationRequested(
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */
System_Threading_CancellationToken_Create(
	bool /* System.Boolean */ canceled,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */
System_Threading_CancellationToken_None_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Threading_CancellationToken_IsCancellationRequested_Get(
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Threading_CancellationToken_CanBeCanceled_Get(
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Threading_WaitHandle_t _Nonnull /* System.Threading.WaitHandle */
System_Threading_CancellationToken_WaitHandle_Get(
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */
System_Threading_CancellationToken_Create_1(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Threading_CancellationToken_TypeOf(
	void
);

void /* System.Void */
System_Threading_CancellationToken_Destroy(
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ self
);

#pragma mark - END APIs of System.Threading.CancellationToken


#pragma mark - BEGIN APIs of System.Threading.WaitHandle
void /* System.Void */
System_Threading_WaitHandle_Close(
	System_Threading_WaitHandle_t _Nullable /* System.Threading.WaitHandle */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Threading_WaitHandle_Dispose(
	System_Threading_WaitHandle_t _Nullable /* System.Threading.WaitHandle */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_WaitHandle_WaitOne(
	System_Threading_WaitHandle_t _Nullable /* System.Threading.WaitHandle */ self,
	int32_t /* System.Int32 */ millisecondsTimeout,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_WaitHandle_WaitOne_1(
	System_Threading_WaitHandle_t _Nullable /* System.Threading.WaitHandle */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_WaitHandle_WaitOne_2(
	System_Threading_WaitHandle_t _Nullable /* System.Threading.WaitHandle */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_WaitHandle_WaitOne_3(
	System_Threading_WaitHandle_t _Nullable /* System.Threading.WaitHandle */ self,
	int32_t /* System.Int32 */ millisecondsTimeout,
	bool /* System.Boolean */ exitContext,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_WaitHandle_WaitOne_4(
	System_Threading_WaitHandle_t _Nullable /* System.Threading.WaitHandle */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	bool /* System.Boolean */ exitContext,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_WaitHandle_WaitAll(
	System_Threading_WaitHandle_Array_t _Nonnull /* System.Threading.WaitHandle[] */ waitHandles,
	int32_t /* System.Int32 */ millisecondsTimeout,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_WaitHandle_WaitAll_1(
	System_Threading_WaitHandle_Array_t _Nonnull /* System.Threading.WaitHandle[] */ waitHandles,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_WaitHandle_WaitAll_2(
	System_Threading_WaitHandle_Array_t _Nonnull /* System.Threading.WaitHandle[] */ waitHandles,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_WaitHandle_WaitAll_3(
	System_Threading_WaitHandle_Array_t _Nonnull /* System.Threading.WaitHandle[] */ waitHandles,
	int32_t /* System.Int32 */ millisecondsTimeout,
	bool /* System.Boolean */ exitContext,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_WaitHandle_WaitAll_4(
	System_Threading_WaitHandle_Array_t _Nonnull /* System.Threading.WaitHandle[] */ waitHandles,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	bool /* System.Boolean */ exitContext,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Threading_WaitHandle_WaitAny(
	System_Threading_WaitHandle_Array_t _Nonnull /* System.Threading.WaitHandle[] */ waitHandles,
	int32_t /* System.Int32 */ millisecondsTimeout,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Threading_WaitHandle_WaitAny_1(
	System_Threading_WaitHandle_Array_t _Nonnull /* System.Threading.WaitHandle[] */ waitHandles,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Threading_WaitHandle_WaitAny_2(
	System_Threading_WaitHandle_Array_t _Nonnull /* System.Threading.WaitHandle[] */ waitHandles,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Threading_WaitHandle_WaitAny_3(
	System_Threading_WaitHandle_Array_t _Nonnull /* System.Threading.WaitHandle[] */ waitHandles,
	int32_t /* System.Int32 */ millisecondsTimeout,
	bool /* System.Boolean */ exitContext,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Threading_WaitHandle_WaitAny_4(
	System_Threading_WaitHandle_Array_t _Nonnull /* System.Threading.WaitHandle[] */ waitHandles,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	bool /* System.Boolean */ exitContext,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_WaitHandle_SignalAndWait(
	System_Threading_WaitHandle_t _Nonnull /* System.Threading.WaitHandle */ toSignal,
	System_Threading_WaitHandle_t _Nonnull /* System.Threading.WaitHandle */ toWaitOn,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_WaitHandle_SignalAndWait_1(
	System_Threading_WaitHandle_t _Nonnull /* System.Threading.WaitHandle */ toSignal,
	System_Threading_WaitHandle_t _Nonnull /* System.Threading.WaitHandle */ toWaitOn,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	bool /* System.Boolean */ exitContext,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_WaitHandle_SignalAndWait_2(
	System_Threading_WaitHandle_t _Nonnull /* System.Threading.WaitHandle */ toSignal,
	System_Threading_WaitHandle_t _Nonnull /* System.Threading.WaitHandle */ toWaitOn,
	int32_t /* System.Int32 */ millisecondsTimeout,
	bool /* System.Boolean */ exitContext,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void* /* System.IntPtr */
System_Threading_WaitHandle_Handle_Get(
	System_Threading_WaitHandle_t _Nullable /* System.Threading.WaitHandle */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Threading_WaitHandle_Handle_Set(
	System_Threading_WaitHandle_t _Nullable /* System.Threading.WaitHandle */ self,
	void* /* System.IntPtr */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Threading_WaitHandle_WaitTimeout_Get(
	void
);


System_Type_t _Nonnull /* System.Type */
System_Threading_WaitHandle_TypeOf(
	void
);

void /* System.Void */
System_Threading_WaitHandle_Destroy(
	System_Threading_WaitHandle_t _Nullable /* System.Threading.WaitHandle */ self
);

#pragma mark - END APIs of System.Threading.WaitHandle

#pragma mark - BEGIN APIs of System.IntPtr
System_Type_t _Nonnull /* System.Type */
System_IntPtr_TypeOf(
	void
);

#pragma mark - END APIs of System.IntPtr




























#pragma mark - BEGIN APIs of System.Threading.WaitHandle[]
#pragma mark - END APIs of System.Threading.WaitHandle[]








#pragma mark - BEGIN APIs of System.Threading.CancellationTokenRegistration
void /* System.Void */
System_Threading_CancellationTokenRegistration_Dispose(
	System_Threading_CancellationTokenRegistration_t _Nonnull /* System.Threading.CancellationTokenRegistration */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_ValueTask_t _Nonnull /* System.Threading.Tasks.ValueTask */
System_Threading_CancellationTokenRegistration_DisposeAsync(
	System_Threading_CancellationTokenRegistration_t _Nonnull /* System.Threading.CancellationTokenRegistration */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_CancellationTokenRegistration_Unregister(
	System_Threading_CancellationTokenRegistration_t _Nonnull /* System.Threading.CancellationTokenRegistration */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_CancellationTokenRegistration_Equals(
	System_Threading_CancellationTokenRegistration_t _Nonnull /* System.Threading.CancellationTokenRegistration */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_CancellationTokenRegistration_Equals_1(
	System_Threading_CancellationTokenRegistration_t _Nonnull /* System.Threading.CancellationTokenRegistration */ self,
	System_Threading_CancellationTokenRegistration_t _Nonnull /* System.Threading.CancellationTokenRegistration */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Threading_CancellationTokenRegistration_GetHashCode(
	System_Threading_CancellationTokenRegistration_t _Nonnull /* System.Threading.CancellationTokenRegistration */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */
System_Threading_CancellationTokenRegistration_Token_Get(
	System_Threading_CancellationTokenRegistration_t _Nonnull /* System.Threading.CancellationTokenRegistration */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Threading_CancellationTokenRegistration_t _Nonnull /* System.Threading.CancellationTokenRegistration */
System_Threading_CancellationTokenRegistration_Create(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Threading_CancellationTokenRegistration_TypeOf(
	void
);

void /* System.Void */
System_Threading_CancellationTokenRegistration_Destroy(
	System_Threading_CancellationTokenRegistration_t _Nonnull /* System.Threading.CancellationTokenRegistration */ self
);

#pragma mark - END APIs of System.Threading.CancellationTokenRegistration


#pragma mark - BEGIN APIs of System.Exception
System_Exception_t _Nonnull /* System.Exception */
System_Exception_GetBaseException(
	System_Exception_t _Nullable /* System.Exception */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Exception_ToString(
	System_Exception_t _Nullable /* System.Exception */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Exception_GetType(
	System_Exception_t _Nullable /* System.Exception */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Exception_t _Nonnull /* System.Exception */
System_Exception_Create(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Exception_t _Nonnull /* System.Exception */
System_Exception_Create_1(
	System_String_t _Nullable /* System.String */ message,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Exception_t _Nonnull /* System.Exception */
System_Exception_Create_2(
	System_String_t _Nullable /* System.String */ message,
	System_Exception_t _Nullable /* System.Exception */ innerException,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Exception_Message_Get(
	System_Exception_t _Nullable /* System.Exception */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Collections_IDictionary_t _Nonnull /* System.Collections.IDictionary */
System_Exception_Data_Get(
	System_Exception_t _Nullable /* System.Exception */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Exception_t _Nullable /* System.Exception */
System_Exception_InnerException_Get(
	System_Exception_t _Nullable /* System.Exception */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nullable /* System.String */
System_Exception_HelpLink_Get(
	System_Exception_t _Nullable /* System.Exception */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Exception_HelpLink_Set(
	System_Exception_t _Nullable /* System.Exception */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nullable /* System.String */
System_Exception_Source_Get(
	System_Exception_t _Nullable /* System.Exception */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Exception_Source_Set(
	System_Exception_t _Nullable /* System.Exception */ self,
	System_String_t _Nullable /* System.String */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Exception_HResult_Get(
	System_Exception_t _Nullable /* System.Exception */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Exception_HResult_Set(
	System_Exception_t _Nullable /* System.Exception */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nullable /* System.String */
System_Exception_StackTrace_Get(
	System_Exception_t _Nullable /* System.Exception */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Exception_TypeOf(
	void
);

void /* System.Void */
System_Exception_Destroy(
	System_Exception_t _Nullable /* System.Exception */ self
);

#pragma mark - END APIs of System.Exception

#pragma mark - BEGIN APIs of System.Collections.IDictionary
bool /* System.Boolean */
System_Collections_IDictionary_Contains(
	System_Collections_IDictionary_t _Nullable /* System.Collections.IDictionary */ self,
	System_Object_t _Nonnull /* System.Object */ key,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_IDictionary_Add(
	System_Collections_IDictionary_t _Nullable /* System.Collections.IDictionary */ self,
	System_Object_t _Nonnull /* System.Object */ key,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_IDictionary_Clear(
	System_Collections_IDictionary_t _Nullable /* System.Collections.IDictionary */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Collections_IDictionaryEnumerator_t _Nonnull /* System.Collections.IDictionaryEnumerator */
System_Collections_IDictionary_GetEnumerator(
	System_Collections_IDictionary_t _Nullable /* System.Collections.IDictionary */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_IDictionary_Remove(
	System_Collections_IDictionary_t _Nullable /* System.Collections.IDictionary */ self,
	System_Object_t _Nonnull /* System.Object */ key,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Collections_IDictionary_Item_Get(
	System_Collections_IDictionary_t _Nullable /* System.Collections.IDictionary */ self,
	System_Object_t _Nonnull /* System.Object */ key,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_IDictionary_Item_Set(
	System_Collections_IDictionary_t _Nullable /* System.Collections.IDictionary */ self,
	System_Object_t _Nonnull /* System.Object */ key,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Collections_ICollection_t _Nonnull /* System.Collections.ICollection */
System_Collections_IDictionary_Keys_Get(
	System_Collections_IDictionary_t _Nullable /* System.Collections.IDictionary */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Collections_ICollection_t _Nonnull /* System.Collections.ICollection */
System_Collections_IDictionary_Values_Get(
	System_Collections_IDictionary_t _Nullable /* System.Collections.IDictionary */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Collections_IDictionary_IsReadOnly_Get(
	System_Collections_IDictionary_t _Nullable /* System.Collections.IDictionary */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Collections_IDictionary_IsFixedSize_Get(
	System_Collections_IDictionary_t _Nullable /* System.Collections.IDictionary */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Collections_IDictionary_TypeOf(
	void
);

void /* System.Void */
System_Collections_IDictionary_Destroy(
	System_Collections_IDictionary_t _Nullable /* System.Collections.IDictionary */ self
);

#pragma mark - END APIs of System.Collections.IDictionary

#pragma mark - BEGIN APIs of System.Collections.IDictionaryEnumerator
System_Object_t _Nonnull /* System.Object */
System_Collections_IDictionaryEnumerator_Key_Get(
	System_Collections_IDictionaryEnumerator_t _Nullable /* System.Collections.IDictionaryEnumerator */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Object_t _Nullable /* System.Object */
System_Collections_IDictionaryEnumerator_Value_Get(
	System_Collections_IDictionaryEnumerator_t _Nullable /* System.Collections.IDictionaryEnumerator */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Collections_DictionaryEntry_t _Nonnull /* System.Collections.DictionaryEntry */
System_Collections_IDictionaryEnumerator_Entry_Get(
	System_Collections_IDictionaryEnumerator_t _Nullable /* System.Collections.IDictionaryEnumerator */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Collections_IDictionaryEnumerator_TypeOf(
	void
);

void /* System.Void */
System_Collections_IDictionaryEnumerator_Destroy(
	System_Collections_IDictionaryEnumerator_t _Nullable /* System.Collections.IDictionaryEnumerator */ self
);

#pragma mark - END APIs of System.Collections.IDictionaryEnumerator

#pragma mark - BEGIN APIs of System.Collections.DictionaryEntry
void /* System.Void */
System_Collections_DictionaryEntry_Deconstruct(
	System_Collections_DictionaryEntry_t _Nonnull /* System.Collections.DictionaryEntry */ self,
	System_Object_t _Nonnull* _Nonnull /* System.Object */ key,
	System_Object_t _Nullable* _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Collections_DictionaryEntry_ToString(
	System_Collections_DictionaryEntry_t _Nonnull /* System.Collections.DictionaryEntry */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Collections_DictionaryEntry_t _Nonnull /* System.Collections.DictionaryEntry */
System_Collections_DictionaryEntry_Create(
	System_Object_t _Nonnull /* System.Object */ key,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Collections_DictionaryEntry_Key_Get(
	System_Collections_DictionaryEntry_t _Nonnull /* System.Collections.DictionaryEntry */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_DictionaryEntry_Key_Set(
	System_Collections_DictionaryEntry_t _Nonnull /* System.Collections.DictionaryEntry */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Object_t _Nullable /* System.Object */
System_Collections_DictionaryEntry_Value_Get(
	System_Collections_DictionaryEntry_t _Nonnull /* System.Collections.DictionaryEntry */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_DictionaryEntry_Value_Set(
	System_Collections_DictionaryEntry_t _Nonnull /* System.Collections.DictionaryEntry */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Collections_DictionaryEntry_t _Nonnull /* System.Collections.DictionaryEntry */
System_Collections_DictionaryEntry_Create_1(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Collections_DictionaryEntry_TypeOf(
	void
);

void /* System.Void */
System_Collections_DictionaryEntry_Destroy(
	System_Collections_DictionaryEntry_t _Nonnull /* System.Collections.DictionaryEntry */ self
);

#pragma mark - END APIs of System.Collections.DictionaryEntry

#pragma mark - BEGIN APIs of System.Threading.Tasks.Task
void /* System.Void */
System_Threading_Tasks_Task_Start(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Threading_Tasks_Task_Start_1(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_Threading_Tasks_TaskScheduler_t _Nonnull /* System.Threading.Tasks.TaskScheduler */ scheduler,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Threading_Tasks_Task_RunSynchronously(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Threading_Tasks_Task_RunSynchronously_1(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_Threading_Tasks_TaskScheduler_t _Nonnull /* System.Threading.Tasks.TaskScheduler */ scheduler,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Threading_Tasks_Task_Dispose(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Threading_Tasks_Task_Wait(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_Tasks_Task_Wait_1(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_Tasks_Task_Wait_2(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Threading_Tasks_Task_Wait_3(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_Tasks_Task_Wait_4(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	int32_t /* System.Int32 */ millisecondsTimeout,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_Tasks_Task_Wait_5(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	int32_t /* System.Int32 */ millisecondsTimeout,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_Threading_Tasks_Task_WaitAsync(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_Threading_Tasks_Task_WaitAsync_1(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_Threading_Tasks_Task_WaitAsync_2(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	System_TimeProvider_t _Nonnull /* System.TimeProvider */ timeProvider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_Threading_Tasks_Task_WaitAsync_3(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_Threading_Tasks_Task_WaitAsync_4(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	System_TimeProvider_t _Nonnull /* System.TimeProvider */ timeProvider,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Threading_Tasks_Task_WaitAll(
	System_Threading_Tasks_Task_Array_t _Nonnull /* System.Threading.Tasks.Task[] */ tasks,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_Tasks_Task_WaitAll_1(
	System_Threading_Tasks_Task_Array_t _Nonnull /* System.Threading.Tasks.Task[] */ tasks,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_Tasks_Task_WaitAll_2(
	System_Threading_Tasks_Task_Array_t _Nonnull /* System.Threading.Tasks.Task[] */ tasks,
	int32_t /* System.Int32 */ millisecondsTimeout,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Threading_Tasks_Task_WaitAll_3(
	System_Threading_Tasks_Task_Array_t _Nonnull /* System.Threading.Tasks.Task[] */ tasks,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Threading_Tasks_Task_WaitAll_4(
	System_Threading_Tasks_Task_Array_t _Nonnull /* System.Threading.Tasks.Task[] */ tasks,
	int32_t /* System.Int32 */ millisecondsTimeout,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Threading_Tasks_Task_WaitAny(
	System_Threading_Tasks_Task_Array_t _Nonnull /* System.Threading.Tasks.Task[] */ tasks,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Threading_Tasks_Task_WaitAny_1(
	System_Threading_Tasks_Task_Array_t _Nonnull /* System.Threading.Tasks.Task[] */ tasks,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Threading_Tasks_Task_WaitAny_2(
	System_Threading_Tasks_Task_Array_t _Nonnull /* System.Threading.Tasks.Task[] */ tasks,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Threading_Tasks_Task_WaitAny_3(
	System_Threading_Tasks_Task_Array_t _Nonnull /* System.Threading.Tasks.Task[] */ tasks,
	int32_t /* System.Int32 */ millisecondsTimeout,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Threading_Tasks_Task_WaitAny_4(
	System_Threading_Tasks_Task_Array_t _Nonnull /* System.Threading.Tasks.Task[] */ tasks,
	int32_t /* System.Int32 */ millisecondsTimeout,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_Threading_Tasks_Task_FromException(
	System_Exception_t _Nonnull /* System.Exception */ exception,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_Threading_Tasks_Task_FromCanceled(
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_Threading_Tasks_Task_Delay(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ delay,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_Threading_Tasks_Task_Delay_1(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ delay,
	System_TimeProvider_t _Nonnull /* System.TimeProvider */ timeProvider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_Threading_Tasks_Task_Delay_2(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ delay,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_Threading_Tasks_Task_Delay_3(
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ delay,
	System_TimeProvider_t _Nonnull /* System.TimeProvider */ timeProvider,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_Threading_Tasks_Task_Delay_4(
	int32_t /* System.Int32 */ millisecondsDelay,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_Threading_Tasks_Task_Delay_5(
	int32_t /* System.Int32 */ millisecondsDelay,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_Threading_Tasks_Task_WhenAll(
	System_Collections_Generic_IEnumerable_A1_t _Nonnull /* System.Collections.Generic.IEnumerable<System.Threading.Tasks.Task> */ tasks,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_Threading_Tasks_Task_WhenAll_1(
	System_Threading_Tasks_Task_Array_t _Nonnull /* System.Threading.Tasks.Task[] */ tasks,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_A1_t _Nonnull /* System.Threading.Tasks.Task<System.Threading.Tasks.Task> */
System_Threading_Tasks_Task_WhenAny(
	System_Threading_Tasks_Task_Array_t _Nonnull /* System.Threading.Tasks.Task[] */ tasks,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_A1_t _Nonnull /* System.Threading.Tasks.Task<System.Threading.Tasks.Task> */
System_Threading_Tasks_Task_WhenAny_1(
	System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */ task1,
	System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */ task2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_Task_A1_t _Nonnull /* System.Threading.Tasks.Task<System.Threading.Tasks.Task> */
System_Threading_Tasks_Task_WhenAny_2(
	System_Collections_Generic_IEnumerable_A1_t _Nonnull /* System.Collections.Generic.IEnumerable<System.Threading.Tasks.Task> */ tasks,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Threading_Tasks_Task_Id_Get(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Threading_Tasks_TaskStatus_t /* System.Threading.Tasks.TaskStatus */
System_Threading_Tasks_Task_Status_Get(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Threading_Tasks_Task_IsCanceled_Get(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Threading_Tasks_Task_IsCompleted_Get(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Threading_Tasks_Task_IsCompletedSuccessfully_Get(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Threading_Tasks_TaskCreationOptions_t /* System.Threading.Tasks.TaskCreationOptions */
System_Threading_Tasks_Task_CreationOptions_Get(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Object_t _Nullable /* System.Object */
System_Threading_Tasks_Task_AsyncState_Get(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Threading_Tasks_TaskFactory_t _Nonnull /* System.Threading.Tasks.TaskFactory */
System_Threading_Tasks_Task_Factory_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Threading_Tasks_Task_t _Nonnull /* System.Threading.Tasks.Task */
System_Threading_Tasks_Task_CompletedTask_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Threading_Tasks_Task_IsFaulted_Get(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Threading_Tasks_Task_TypeOf(
	void
);

void /* System.Void */
System_Threading_Tasks_Task_Destroy(
	System_Threading_Tasks_Task_t _Nullable /* System.Threading.Tasks.Task */ self
);

#pragma mark - END APIs of System.Threading.Tasks.Task

#pragma mark - BEGIN APIs of System.IAsyncResult
bool /* System.Boolean */
System_IAsyncResult_IsCompleted_Get(
	System_IAsyncResult_t _Nullable /* System.IAsyncResult */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Threading_WaitHandle_t _Nonnull /* System.Threading.WaitHandle */
System_IAsyncResult_AsyncWaitHandle_Get(
	System_IAsyncResult_t _Nullable /* System.IAsyncResult */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Object_t _Nullable /* System.Object */
System_IAsyncResult_AsyncState_Get(
	System_IAsyncResult_t _Nullable /* System.IAsyncResult */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_IAsyncResult_CompletedSynchronously_Get(
	System_IAsyncResult_t _Nullable /* System.IAsyncResult */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_IAsyncResult_TypeOf(
	void
);

void /* System.Void */
System_IAsyncResult_Destroy(
	System_IAsyncResult_t _Nullable /* System.IAsyncResult */ self
);

#pragma mark - END APIs of System.IAsyncResult

#pragma mark - BEGIN APIs of System.Threading.Tasks.TaskScheduler
System_Threading_Tasks_TaskScheduler_t _Nonnull /* System.Threading.Tasks.TaskScheduler */
System_Threading_Tasks_TaskScheduler_FromCurrentSynchronizationContext(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Threading_Tasks_TaskScheduler_MaximumConcurrencyLevel_Get(
	System_Threading_Tasks_TaskScheduler_t _Nullable /* System.Threading.Tasks.TaskScheduler */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Threading_Tasks_TaskScheduler_t _Nonnull /* System.Threading.Tasks.TaskScheduler */
System_Threading_Tasks_TaskScheduler_Default_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Threading_Tasks_TaskScheduler_t _Nonnull /* System.Threading.Tasks.TaskScheduler */
System_Threading_Tasks_TaskScheduler_Current_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Threading_Tasks_TaskScheduler_Id_Get(
	System_Threading_Tasks_TaskScheduler_t _Nullable /* System.Threading.Tasks.TaskScheduler */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Threading_Tasks_TaskScheduler_TypeOf(
	void
);

void /* System.Void */
System_Threading_Tasks_TaskScheduler_Destroy(
	System_Threading_Tasks_TaskScheduler_t _Nullable /* System.Threading.Tasks.TaskScheduler */ self
);

#pragma mark - END APIs of System.Threading.Tasks.TaskScheduler

#pragma mark - BEGIN APIs of System.Threading.Tasks.TaskFactory
System_Threading_Tasks_TaskFactory_t _Nonnull /* System.Threading.Tasks.TaskFactory */
System_Threading_Tasks_TaskFactory_Create(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_TaskFactory_t _Nonnull /* System.Threading.Tasks.TaskFactory */
System_Threading_Tasks_TaskFactory_Create_1(
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_TaskFactory_t _Nonnull /* System.Threading.Tasks.TaskFactory */
System_Threading_Tasks_TaskFactory_Create_2(
	System_Threading_Tasks_TaskScheduler_t _Nullable /* System.Threading.Tasks.TaskScheduler */ scheduler,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_TaskFactory_t _Nonnull /* System.Threading.Tasks.TaskFactory */
System_Threading_Tasks_TaskFactory_Create_3(
	System_Threading_Tasks_TaskCreationOptions_t /* System.Threading.Tasks.TaskCreationOptions */ creationOptions,
	System_Threading_Tasks_TaskContinuationOptions_t /* System.Threading.Tasks.TaskContinuationOptions */ continuationOptions,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_Tasks_TaskFactory_t _Nonnull /* System.Threading.Tasks.TaskFactory */
System_Threading_Tasks_TaskFactory_Create_4(
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Threading_Tasks_TaskCreationOptions_t /* System.Threading.Tasks.TaskCreationOptions */ creationOptions,
	System_Threading_Tasks_TaskContinuationOptions_t /* System.Threading.Tasks.TaskContinuationOptions */ continuationOptions,
	System_Threading_Tasks_TaskScheduler_t _Nullable /* System.Threading.Tasks.TaskScheduler */ scheduler,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */
System_Threading_Tasks_TaskFactory_CancellationToken_Get(
	System_Threading_Tasks_TaskFactory_t _Nullable /* System.Threading.Tasks.TaskFactory */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Threading_Tasks_TaskScheduler_t _Nullable /* System.Threading.Tasks.TaskScheduler */
System_Threading_Tasks_TaskFactory_Scheduler_Get(
	System_Threading_Tasks_TaskFactory_t _Nullable /* System.Threading.Tasks.TaskFactory */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Threading_Tasks_TaskCreationOptions_t /* System.Threading.Tasks.TaskCreationOptions */
System_Threading_Tasks_TaskFactory_CreationOptions_Get(
	System_Threading_Tasks_TaskFactory_t _Nullable /* System.Threading.Tasks.TaskFactory */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Threading_Tasks_TaskContinuationOptions_t /* System.Threading.Tasks.TaskContinuationOptions */
System_Threading_Tasks_TaskFactory_ContinuationOptions_Get(
	System_Threading_Tasks_TaskFactory_t _Nullable /* System.Threading.Tasks.TaskFactory */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Threading_Tasks_TaskFactory_TypeOf(
	void
);

void /* System.Void */
System_Threading_Tasks_TaskFactory_Destroy(
	System_Threading_Tasks_TaskFactory_t _Nullable /* System.Threading.Tasks.TaskFactory */ self
);

#pragma mark - END APIs of System.Threading.Tasks.TaskFactory

























#pragma mark - BEGIN APIs of System.Threading.Tasks.Task[]
#pragma mark - END APIs of System.Threading.Tasks.Task[]








#pragma mark - BEGIN APIs of System.TimeProvider
System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_TimeProvider_GetUtcNow(
	System_TimeProvider_t _Nullable /* System.TimeProvider */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_TimeProvider_GetLocalNow(
	System_TimeProvider_t _Nullable /* System.TimeProvider */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int64_t /* System.Int64 */
System_TimeProvider_GetTimestamp(
	System_TimeProvider_t _Nullable /* System.TimeProvider */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeProvider_GetElapsedTime(
	System_TimeProvider_t _Nullable /* System.TimeProvider */ self,
	int64_t /* System.Int64 */ startingTimestamp,
	int64_t /* System.Int64 */ endingTimestamp,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeProvider_GetElapsedTime_1(
	System_TimeProvider_t _Nullable /* System.TimeProvider */ self,
	int64_t /* System.Int64 */ startingTimestamp,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_ITimer_t _Nonnull /* System.Threading.ITimer */
System_TimeProvider_CreateTimer(
	System_TimeProvider_t _Nullable /* System.TimeProvider */ self,
	System_Threading_TimerCallback_t _Nonnull /* System.Threading.TimerCallback */ callback,
	System_Object_t _Nullable /* System.Object */ state,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ dueTime,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ period,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeProvider_t _Nonnull /* System.TimeProvider */
System_TimeProvider_System_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_TimeZoneInfo_t _Nonnull /* System.TimeZoneInfo */
System_TimeProvider_LocalTimeZone_Get(
	System_TimeProvider_t _Nullable /* System.TimeProvider */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int64_t /* System.Int64 */
System_TimeProvider_TimestampFrequency_Get(
	System_TimeProvider_t _Nullable /* System.TimeProvider */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_TimeProvider_TypeOf(
	void
);

void /* System.Void */
System_TimeProvider_Destroy(
	System_TimeProvider_t _Nullable /* System.TimeProvider */ self
);

#pragma mark - END APIs of System.TimeProvider

#pragma mark - BEGIN APIs of System.DateTimeOffset
System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_ToOffset(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ offset,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_Add(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeSpan,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_AddDays(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	double /* System.Double */ days,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_AddHours(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	double /* System.Double */ hours,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_AddMilliseconds(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	double /* System.Double */ milliseconds,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_AddMicroseconds(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	double /* System.Double */ microseconds,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_AddMinutes(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	double /* System.Double */ minutes,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_AddMonths(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	int32_t /* System.Int32 */ months,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_AddSeconds(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	double /* System.Double */ seconds,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_AddTicks(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	int64_t /* System.Int64 */ ticks,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_AddYears(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	int32_t /* System.Int32 */ years,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_DateTimeOffset_Compare(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ first,
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ second,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_DateTimeOffset_CompareTo(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTimeOffset_Equals(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTimeOffset_Equals_1(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTimeOffset_EqualsExact(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTimeOffset_Equals_2(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ first,
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ second,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_FromFileTime(
	int64_t /* System.Int64 */ fileTime,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_FromUnixTimeSeconds(
	int64_t /* System.Int64 */ seconds,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_FromUnixTimeMilliseconds(
	int64_t /* System.Int64 */ milliseconds,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_DateTimeOffset_GetHashCode(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_Parse(
	System_String_t _Nonnull /* System.String */ input,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_Parse_1(
	System_String_t _Nonnull /* System.String */ input,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_Parse_2(
	System_String_t _Nonnull /* System.String */ input,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ styles,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_ParseExact(
	System_String_t _Nonnull /* System.String */ input,
	System_String_t _Nonnull /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_ParseExact_1(
	System_String_t _Nonnull /* System.String */ input,
	System_String_t _Nonnull /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ styles,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_ParseExact_2(
	System_String_t _Nonnull /* System.String */ input,
	System_String_Array_t _Nonnull /* System.String[] */ formats,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ styles,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_DateTimeOffset_Subtract(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_Subtract_1(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int64_t /* System.Int64 */
System_DateTimeOffset_ToFileTime(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int64_t /* System.Int64 */
System_DateTimeOffset_ToUnixTimeSeconds(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int64_t /* System.Int64 */
System_DateTimeOffset_ToUnixTimeMilliseconds(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_ToLocalTime(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateTimeOffset_ToString(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateTimeOffset_ToString_1(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_String_t _Nullable /* System.String */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateTimeOffset_ToString_2(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_DateTimeOffset_ToString_3(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_ToUniversalTime(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTimeOffset_TryParse(
	System_String_t _Nullable /* System.String */ input,
	System_DateTimeOffset_t _Nonnull* _Nonnull /* System.DateTimeOffset */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTimeOffset_TryParse_1(
	System_String_t _Nullable /* System.String */ input,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ styles,
	System_DateTimeOffset_t _Nonnull* _Nonnull /* System.DateTimeOffset */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTimeOffset_TryParseExact(
	System_String_t _Nullable /* System.String */ input,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ styles,
	System_DateTimeOffset_t _Nonnull* _Nonnull /* System.DateTimeOffset */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTimeOffset_TryParseExact_1(
	System_String_t _Nullable /* System.String */ input,
	System_String_Array_t _Nullable /* System.String[] */ formats,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Globalization_DateTimeStyles_t /* System.Globalization.DateTimeStyles */ styles,
	System_DateTimeOffset_t _Nonnull* _Nonnull /* System.DateTimeOffset */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_DateTimeOffset_Deconstruct(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_DateOnly_t _Nonnull* _Nonnull /* System.DateOnly */ date,
	System_TimeOnly_t _Nonnull* _Nonnull /* System.TimeOnly */ time,
	System_TimeSpan_t _Nonnull* _Nonnull /* System.TimeSpan */ offset,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_DateTimeOffset_TryParse_2(
	System_String_t _Nullable /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_DateTimeOffset_t _Nonnull* _Nonnull /* System.DateTimeOffset */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_Create(
	int64_t /* System.Int64 */ ticks,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ offset,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_Create_1(
	System_DateTime_t _Nonnull /* System.DateTime */ dateTime,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_Create_2(
	System_DateTime_t _Nonnull /* System.DateTime */ dateTime,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ offset,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_Create_3(
	System_DateOnly_t _Nonnull /* System.DateOnly */ date,
	System_TimeOnly_t _Nonnull /* System.TimeOnly */ time,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ offset,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_Create_4(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ offset,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_Create_5(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	int32_t /* System.Int32 */ millisecond,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ offset,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_Create_6(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	int32_t /* System.Int32 */ millisecond,
	System_Globalization_Calendar_t _Nonnull /* System.Globalization.Calendar */ calendar,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ offset,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_Create_7(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	int32_t /* System.Int32 */ millisecond,
	int32_t /* System.Int32 */ microsecond,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ offset,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_Create_8(
	int32_t /* System.Int32 */ year,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	int32_t /* System.Int32 */ hour,
	int32_t /* System.Int32 */ minute,
	int32_t /* System.Int32 */ second,
	int32_t /* System.Int32 */ millisecond,
	int32_t /* System.Int32 */ microsecond,
	System_Globalization_Calendar_t _Nonnull /* System.Globalization.Calendar */ calendar,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ offset,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_UtcNow_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DateTime_t _Nonnull /* System.DateTime */
System_DateTimeOffset_DateTime_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DateTime_t _Nonnull /* System.DateTime */
System_DateTimeOffset_UtcDateTime_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DateTime_t _Nonnull /* System.DateTime */
System_DateTimeOffset_LocalDateTime_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DateTime_t _Nonnull /* System.DateTime */
System_DateTimeOffset_Date_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTimeOffset_Day_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DayOfWeek_t /* System.DayOfWeek */
System_DateTimeOffset_DayOfWeek_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTimeOffset_DayOfYear_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTimeOffset_Hour_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTimeOffset_Millisecond_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTimeOffset_Microsecond_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTimeOffset_Nanosecond_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTimeOffset_Minute_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTimeOffset_Month_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_DateTimeOffset_Offset_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTimeOffset_TotalOffsetMinutes_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTimeOffset_Second_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int64_t /* System.Int64 */
System_DateTimeOffset_Ticks_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int64_t /* System.Int64 */
System_DateTimeOffset_UtcTicks_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_DateTimeOffset_TimeOfDay_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_DateTimeOffset_Year_Get(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_Now_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_MinValue_Get(
	void
);


System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_MaxValue_Get(
	void
);


System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_UnixEpoch_Get(
	void
);


System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_DateTimeOffset_Create_9(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_DateTimeOffset_TypeOf(
	void
);

void /* System.Void */
System_DateTimeOffset_Destroy(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ self
);

#pragma mark - END APIs of System.DateTimeOffset






#pragma mark - BEGIN APIs of System.TimeZoneInfo
System_TimeSpan_Array_t _Nonnull /* System.TimeSpan[] */
System_TimeZoneInfo_GetAmbiguousTimeOffsets(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ dateTimeOffset,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_Array_t _Nonnull /* System.TimeSpan[] */
System_TimeZoneInfo_GetAmbiguousTimeOffsets_1(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ dateTime,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeZoneInfo_GetUtcOffset(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ dateTimeOffset,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeZoneInfo_GetUtcOffset_1(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ dateTime,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeZoneInfo_IsAmbiguousTime(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ dateTimeOffset,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeZoneInfo_IsAmbiguousTime_1(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ dateTime,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeZoneInfo_IsDaylightSavingTime(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ dateTimeOffset,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeZoneInfo_IsDaylightSavingTime_1(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ dateTime,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeZoneInfo_IsInvalidTime(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_DateTime_t _Nonnull /* System.DateTime */ dateTime,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_TimeZoneInfo_ClearCachedData(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_TimeZoneInfo_ConvertTimeBySystemTimeZoneId(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ dateTimeOffset,
	System_String_t _Nonnull /* System.String */ destinationTimeZoneId,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_TimeZoneInfo_ConvertTimeBySystemTimeZoneId_1(
	System_DateTime_t _Nonnull /* System.DateTime */ dateTime,
	System_String_t _Nonnull /* System.String */ destinationTimeZoneId,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeZoneInfo_t _Nonnull /* System.TimeZoneInfo */
System_TimeZoneInfo_FindSystemTimeZoneById(
	System_String_t _Nonnull /* System.String */ id,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeZoneInfo_TryFindSystemTimeZoneById(
	System_String_t _Nonnull /* System.String */ id,
	System_TimeZoneInfo_t _Nullable* _Nullable /* System.TimeZoneInfo */ timeZoneInfo,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_TimeZoneInfo_ConvertTimeBySystemTimeZoneId_2(
	System_DateTime_t _Nonnull /* System.DateTime */ dateTime,
	System_String_t _Nonnull /* System.String */ sourceTimeZoneId,
	System_String_t _Nonnull /* System.String */ destinationTimeZoneId,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */
System_TimeZoneInfo_ConvertTime_1(
	System_DateTimeOffset_t _Nonnull /* System.DateTimeOffset */ dateTimeOffset,
	System_TimeZoneInfo_t _Nonnull /* System.TimeZoneInfo */ destinationTimeZone,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_TimeZoneInfo_ConvertTime_2(
	System_DateTime_t _Nonnull /* System.DateTime */ dateTime,
	System_TimeZoneInfo_t _Nonnull /* System.TimeZoneInfo */ destinationTimeZone,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_TimeZoneInfo_ConvertTime_3(
	System_DateTime_t _Nonnull /* System.DateTime */ dateTime,
	System_TimeZoneInfo_t _Nonnull /* System.TimeZoneInfo */ sourceTimeZone,
	System_TimeZoneInfo_t _Nonnull /* System.TimeZoneInfo */ destinationTimeZone,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_TimeZoneInfo_ConvertTimeFromUtc(
	System_DateTime_t _Nonnull /* System.DateTime */ dateTime,
	System_TimeZoneInfo_t _Nonnull /* System.TimeZoneInfo */ destinationTimeZone,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_TimeZoneInfo_ConvertTimeToUtc(
	System_DateTime_t _Nonnull /* System.DateTime */ dateTime,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_TimeZoneInfo_ConvertTimeToUtc_1(
	System_DateTime_t _Nonnull /* System.DateTime */ dateTime,
	System_TimeZoneInfo_t _Nonnull /* System.TimeZoneInfo */ sourceTimeZone,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeZoneInfo_Equals(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeZoneInfo_Equals_1(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeZoneInfo_t _Nonnull /* System.TimeZoneInfo */
System_TimeZoneInfo_FromSerializedString(
	System_String_t _Nonnull /* System.String */ source,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_TimeZoneInfo_GetHashCode(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Collections_ObjectModel_ReadOnlyCollection_A1_t _Nonnull /* System.Collections.ObjectModel.ReadOnlyCollection<System.TimeZoneInfo> */
System_TimeZoneInfo_GetSystemTimeZones(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Collections_ObjectModel_ReadOnlyCollection_A1_t _Nonnull /* System.Collections.ObjectModel.ReadOnlyCollection<System.TimeZoneInfo> */
System_TimeZoneInfo_GetSystemTimeZones_1(
	bool /* System.Boolean */ skipSorting,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeZoneInfo_HasSameRules(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_TimeZoneInfo_t _Nonnull /* System.TimeZoneInfo */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_TimeZoneInfo_ToSerializedString(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_TimeZoneInfo_ToString(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeZoneInfo_t _Nonnull /* System.TimeZoneInfo */
System_TimeZoneInfo_CreateCustomTimeZone(
	System_String_t _Nonnull /* System.String */ id,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ baseUtcOffset,
	System_String_t _Nullable /* System.String */ displayName,
	System_String_t _Nullable /* System.String */ standardDisplayName,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeZoneInfo_t _Nonnull /* System.TimeZoneInfo */
System_TimeZoneInfo_CreateCustomTimeZone_1(
	System_String_t _Nonnull /* System.String */ id,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ baseUtcOffset,
	System_String_t _Nullable /* System.String */ displayName,
	System_String_t _Nullable /* System.String */ standardDisplayName,
	System_String_t _Nullable /* System.String */ daylightDisplayName,
	System_TimeZoneInfo_AdjustmentRule_Array_t _Nullable /* System.TimeZoneInfo.AdjustmentRule[] */ adjustmentRules,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeZoneInfo_t _Nonnull /* System.TimeZoneInfo */
System_TimeZoneInfo_CreateCustomTimeZone_2(
	System_String_t _Nonnull /* System.String */ id,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ baseUtcOffset,
	System_String_t _Nullable /* System.String */ displayName,
	System_String_t _Nullable /* System.String */ standardDisplayName,
	System_String_t _Nullable /* System.String */ daylightDisplayName,
	System_TimeZoneInfo_AdjustmentRule_Array_t _Nullable /* System.TimeZoneInfo.AdjustmentRule[] */ adjustmentRules,
	bool /* System.Boolean */ disableDaylightSavingTime,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeZoneInfo_TryConvertIanaIdToWindowsId(
	System_String_t _Nonnull /* System.String */ ianaId,
	System_String_t _Nullable* _Nullable /* System.String */ windowsId,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeZoneInfo_TryConvertWindowsIdToIanaId(
	System_String_t _Nonnull /* System.String */ windowsId,
	System_String_t _Nullable* _Nullable /* System.String */ ianaId,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeZoneInfo_TryConvertWindowsIdToIanaId_1(
	System_String_t _Nonnull /* System.String */ windowsId,
	System_String_t _Nullable /* System.String */ region,
	System_String_t _Nullable* _Nullable /* System.String */ ianaId,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeZoneInfo_AdjustmentRule_Array_t _Nonnull /* System.TimeZoneInfo.AdjustmentRule[] */
System_TimeZoneInfo_GetAdjustmentRules(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_TimeZoneInfo_Id_Get(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_TimeZoneInfo_HasIanaId_Get(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_TimeZoneInfo_DisplayName_Get(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_TimeZoneInfo_StandardName_Get(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nonnull /* System.String */
System_TimeZoneInfo_DaylightName_Get(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeZoneInfo_BaseUtcOffset_Get(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_TimeZoneInfo_SupportsDaylightSavingTime_Get(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_TimeZoneInfo_t _Nonnull /* System.TimeZoneInfo */
System_TimeZoneInfo_Local_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_TimeZoneInfo_t _Nonnull /* System.TimeZoneInfo */
System_TimeZoneInfo_Utc_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_TimeZoneInfo_TypeOf(
	void
);

void /* System.Void */
System_TimeZoneInfo_Destroy(
	System_TimeZoneInfo_t _Nullable /* System.TimeZoneInfo */ self
);

#pragma mark - END APIs of System.TimeZoneInfo


#pragma mark - BEGIN APIs of System.TimeSpan[]
#pragma mark - END APIs of System.TimeSpan[]








#pragma mark - BEGIN APIs of System.Collections.ObjectModel.ReadOnlyCollection<>
bool /* System.Boolean */
System_Collections_ObjectModel_ReadOnlyCollection_A1_Contains(
	System_Collections_ObjectModel_ReadOnlyCollection_A1_t _Nullable /* System.Collections.ObjectModel.ReadOnlyCollection<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_ObjectModel_ReadOnlyCollection_A1_CopyTo(
	System_Collections_ObjectModel_ReadOnlyCollection_A1_t _Nullable /* System.Collections.ObjectModel.ReadOnlyCollection<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Collections_ObjectModel_ReadOnlyCollection_A1_IndexOf(
	System_Collections_ObjectModel_ReadOnlyCollection_A1_t _Nullable /* System.Collections.ObjectModel.ReadOnlyCollection<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Collections_ObjectModel_ReadOnlyCollection_A1_Empty_Get(
	System_Type_t _Nullable /* System.Type */ T,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Collections_ObjectModel_ReadOnlyCollection_A1_Count_Get(
	System_Collections_ObjectModel_ReadOnlyCollection_A1_t _Nullable /* System.Collections.ObjectModel.ReadOnlyCollection<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Object_t _Nullable /* System.Object */
System_Collections_ObjectModel_ReadOnlyCollection_A1_Item_Get(
	System_Collections_ObjectModel_ReadOnlyCollection_A1_t _Nullable /* System.Collections.ObjectModel.ReadOnlyCollection<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Collections_ObjectModel_ReadOnlyCollection_A1_TypeOf(
	void
);

void /* System.Void */
System_Collections_ObjectModel_ReadOnlyCollection_A1_Destroy(
	System_Collections_ObjectModel_ReadOnlyCollection_A1_t _Nullable /* System.Collections.ObjectModel.ReadOnlyCollection<> */ self
);

#pragma mark - END APIs of System.Collections.ObjectModel.ReadOnlyCollection<>


#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]







#pragma mark - BEGIN APIs of System.TimeZoneInfo[]
#pragma mark - END APIs of System.TimeZoneInfo[]



#pragma mark - BEGIN APIs of System.TimeZoneInfo.AdjustmentRule[]
#pragma mark - END APIs of System.TimeZoneInfo.AdjustmentRule[]





#pragma mark - BEGIN APIs of System.TimeZoneInfo.AdjustmentRule
bool /* System.Boolean */
System_TimeZoneInfo_AdjustmentRule_Equals(
	System_TimeZoneInfo_AdjustmentRule_t _Nullable /* System.TimeZoneInfo.AdjustmentRule */ self,
	System_TimeZoneInfo_AdjustmentRule_t _Nullable /* System.TimeZoneInfo.AdjustmentRule */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeZoneInfo_AdjustmentRule_Equals_1(
	System_TimeZoneInfo_AdjustmentRule_t _Nullable /* System.TimeZoneInfo.AdjustmentRule */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_TimeZoneInfo_AdjustmentRule_GetHashCode(
	System_TimeZoneInfo_AdjustmentRule_t _Nullable /* System.TimeZoneInfo.AdjustmentRule */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeZoneInfo_AdjustmentRule_t _Nonnull /* System.TimeZoneInfo.AdjustmentRule */
System_TimeZoneInfo_AdjustmentRule_CreateAdjustmentRule(
	System_DateTime_t _Nonnull /* System.DateTime */ dateStart,
	System_DateTime_t _Nonnull /* System.DateTime */ dateEnd,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ daylightDelta,
	System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */ daylightTransitionStart,
	System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */ daylightTransitionEnd,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ baseUtcOffsetDelta,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeZoneInfo_AdjustmentRule_t _Nonnull /* System.TimeZoneInfo.AdjustmentRule */
System_TimeZoneInfo_AdjustmentRule_CreateAdjustmentRule_1(
	System_DateTime_t _Nonnull /* System.DateTime */ dateStart,
	System_DateTime_t _Nonnull /* System.DateTime */ dateEnd,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ daylightDelta,
	System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */ daylightTransitionStart,
	System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */ daylightTransitionEnd,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_TimeZoneInfo_AdjustmentRule_DateStart_Get(
	System_TimeZoneInfo_AdjustmentRule_t _Nullable /* System.TimeZoneInfo.AdjustmentRule */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DateTime_t _Nonnull /* System.DateTime */
System_TimeZoneInfo_AdjustmentRule_DateEnd_Get(
	System_TimeZoneInfo_AdjustmentRule_t _Nullable /* System.TimeZoneInfo.AdjustmentRule */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeZoneInfo_AdjustmentRule_DaylightDelta_Get(
	System_TimeZoneInfo_AdjustmentRule_t _Nullable /* System.TimeZoneInfo.AdjustmentRule */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */
System_TimeZoneInfo_AdjustmentRule_DaylightTransitionStart_Get(
	System_TimeZoneInfo_AdjustmentRule_t _Nullable /* System.TimeZoneInfo.AdjustmentRule */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */
System_TimeZoneInfo_AdjustmentRule_DaylightTransitionEnd_Get(
	System_TimeZoneInfo_AdjustmentRule_t _Nullable /* System.TimeZoneInfo.AdjustmentRule */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_TimeSpan_t _Nonnull /* System.TimeSpan */
System_TimeZoneInfo_AdjustmentRule_BaseUtcOffsetDelta_Get(
	System_TimeZoneInfo_AdjustmentRule_t _Nullable /* System.TimeZoneInfo.AdjustmentRule */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_TimeZoneInfo_AdjustmentRule_TypeOf(
	void
);

void /* System.Void */
System_TimeZoneInfo_AdjustmentRule_Destroy(
	System_TimeZoneInfo_AdjustmentRule_t _Nullable /* System.TimeZoneInfo.AdjustmentRule */ self
);

#pragma mark - END APIs of System.TimeZoneInfo.AdjustmentRule


#pragma mark - BEGIN APIs of System.TimeZoneInfo.TransitionTime
bool /* System.Boolean */
System_TimeZoneInfo_TransitionTime_Equals(
	System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_TimeZoneInfo_TransitionTime_Equals_1(
	System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */ self,
	System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_TimeZoneInfo_TransitionTime_GetHashCode(
	System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */
System_TimeZoneInfo_TransitionTime_CreateFixedDateRule(
	System_DateTime_t _Nonnull /* System.DateTime */ timeOfDay,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ day,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */
System_TimeZoneInfo_TransitionTime_CreateFloatingDateRule(
	System_DateTime_t _Nonnull /* System.DateTime */ timeOfDay,
	int32_t /* System.Int32 */ month,
	int32_t /* System.Int32 */ week,
	System_DayOfWeek_t /* System.DayOfWeek */ dayOfWeek,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_DateTime_t _Nonnull /* System.DateTime */
System_TimeZoneInfo_TransitionTime_TimeOfDay_Get(
	System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_TimeZoneInfo_TransitionTime_Month_Get(
	System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_TimeZoneInfo_TransitionTime_Week_Get(
	System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_TimeZoneInfo_TransitionTime_Day_Get(
	System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_DayOfWeek_t /* System.DayOfWeek */
System_TimeZoneInfo_TransitionTime_DayOfWeek_Get(
	System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_TimeZoneInfo_TransitionTime_IsFixedDateRule_Get(
	System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */
System_TimeZoneInfo_TransitionTime_Create_1(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_TimeZoneInfo_TransitionTime_TypeOf(
	void
);

void /* System.Void */
System_TimeZoneInfo_TransitionTime_Destroy(
	System_TimeZoneInfo_TransitionTime_t _Nonnull /* System.TimeZoneInfo.TransitionTime */ self
);

#pragma mark - END APIs of System.TimeZoneInfo.TransitionTime





#pragma mark - BEGIN APIs of System.Threading.ITimer
bool /* System.Boolean */
System_Threading_ITimer_Change(
	System_Threading_ITimer_t _Nullable /* System.Threading.ITimer */ self,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ dueTime,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ period,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Threading_ITimer_TypeOf(
	void
);

void /* System.Void */
System_Threading_ITimer_Destroy(
	System_Threading_ITimer_t _Nullable /* System.Threading.ITimer */ self
);

#pragma mark - END APIs of System.Threading.ITimer


#pragma mark - BEGIN APIs of System.Threading.Tasks.Task<>
System_Object_t _Nonnull /* System.Object */
System_Threading_Tasks_Task_A1_WaitAsync(
	System_Threading_Tasks_Task_A1_t _Nullable /* System.Threading.Tasks.Task<> */ self,
	System_Type_t _Nullable /* System.Type */ TResult,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Threading_Tasks_Task_A1_WaitAsync_1(
	System_Threading_Tasks_Task_A1_t _Nullable /* System.Threading.Tasks.Task<> */ self,
	System_Type_t _Nullable /* System.Type */ TResult,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Threading_Tasks_Task_A1_WaitAsync_2(
	System_Threading_Tasks_Task_A1_t _Nullable /* System.Threading.Tasks.Task<> */ self,
	System_Type_t _Nullable /* System.Type */ TResult,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	System_TimeProvider_t _Nullable /* System.TimeProvider */ timeProvider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Threading_Tasks_Task_A1_WaitAsync_3(
	System_Threading_Tasks_Task_A1_t _Nullable /* System.Threading.Tasks.Task<> */ self,
	System_Type_t _Nullable /* System.Type */ TResult,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Threading_Tasks_Task_A1_WaitAsync_4(
	System_Threading_Tasks_Task_A1_t _Nullable /* System.Threading.Tasks.Task<> */ self,
	System_Type_t _Nullable /* System.Type */ TResult,
	System_TimeSpan_t _Nonnull /* System.TimeSpan */ timeout,
	System_TimeProvider_t _Nullable /* System.TimeProvider */ timeProvider,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Threading_Tasks_Task_A1_Result_Get(
	System_Threading_Tasks_Task_A1_t _Nullable /* System.Threading.Tasks.Task<> */ self,
	System_Type_t _Nullable /* System.Type */ TResult,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Threading_Tasks_Task_A1_TypeOf(
	void
);

void /* System.Void */
System_Threading_Tasks_Task_A1_Destroy(
	System_Threading_Tasks_Task_A1_t _Nullable /* System.Threading.Tasks.Task<> */ self
);

#pragma mark - END APIs of System.Threading.Tasks.Task<>



#pragma mark - BEGIN APIs of TResult[]
#pragma mark - END APIs of TResult[]



#pragma mark - BEGIN APIs of System.Threading.Tasks.TaskFactory<>
System_Object_t _Nonnull /* System.Object */
System_Threading_Tasks_TaskFactory_A1_Create(
	System_Type_t _Nullable /* System.Type */ TResult,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Threading_Tasks_TaskFactory_A1_Create_1(
	System_Type_t _Nullable /* System.Type */ TResult,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Threading_Tasks_TaskFactory_A1_Create_2(
	System_Type_t _Nullable /* System.Type */ TResult,
	System_Threading_Tasks_TaskScheduler_t _Nullable /* System.Threading.Tasks.TaskScheduler */ scheduler,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Threading_Tasks_TaskFactory_A1_Create_3(
	System_Type_t _Nullable /* System.Type */ TResult,
	System_Threading_Tasks_TaskCreationOptions_t /* System.Threading.Tasks.TaskCreationOptions */ creationOptions,
	System_Threading_Tasks_TaskContinuationOptions_t /* System.Threading.Tasks.TaskContinuationOptions */ continuationOptions,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Threading_Tasks_TaskFactory_A1_Create_4(
	System_Type_t _Nullable /* System.Type */ TResult,
	System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */ cancellationToken,
	System_Threading_Tasks_TaskCreationOptions_t /* System.Threading.Tasks.TaskCreationOptions */ creationOptions,
	System_Threading_Tasks_TaskContinuationOptions_t /* System.Threading.Tasks.TaskContinuationOptions */ continuationOptions,
	System_Threading_Tasks_TaskScheduler_t _Nullable /* System.Threading.Tasks.TaskScheduler */ scheduler,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Threading_CancellationToken_t _Nonnull /* System.Threading.CancellationToken */
System_Threading_Tasks_TaskFactory_A1_CancellationToken_Get(
	System_Threading_Tasks_TaskFactory_A1_t _Nullable /* System.Threading.Tasks.TaskFactory<> */ self,
	System_Type_t _Nullable /* System.Type */ TResult,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Threading_Tasks_TaskScheduler_t _Nullable /* System.Threading.Tasks.TaskScheduler */
System_Threading_Tasks_TaskFactory_A1_Scheduler_Get(
	System_Threading_Tasks_TaskFactory_A1_t _Nullable /* System.Threading.Tasks.TaskFactory<> */ self,
	System_Type_t _Nullable /* System.Type */ TResult,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Threading_Tasks_TaskCreationOptions_t /* System.Threading.Tasks.TaskCreationOptions */
System_Threading_Tasks_TaskFactory_A1_CreationOptions_Get(
	System_Threading_Tasks_TaskFactory_A1_t _Nullable /* System.Threading.Tasks.TaskFactory<> */ self,
	System_Type_t _Nullable /* System.Type */ TResult,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Threading_Tasks_TaskContinuationOptions_t /* System.Threading.Tasks.TaskContinuationOptions */
System_Threading_Tasks_TaskFactory_A1_ContinuationOptions_Get(
	System_Threading_Tasks_TaskFactory_A1_t _Nullable /* System.Threading.Tasks.TaskFactory<> */ self,
	System_Type_t _Nullable /* System.Type */ TResult,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Threading_Tasks_TaskFactory_A1_TypeOf(
	void
);

void /* System.Void */
System_Threading_Tasks_TaskFactory_A1_Destroy(
	System_Threading_Tasks_TaskFactory_A1_t _Nullable /* System.Threading.Tasks.TaskFactory<> */ self
);

#pragma mark - END APIs of System.Threading.Tasks.TaskFactory<>














#pragma mark - BEGIN APIs of System.Runtime.CompilerServices.TaskAwaiter<>
System_Object_t _Nullable /* System.Object */
System_Runtime_CompilerServices_TaskAwaiter_A1_GetResult(
	System_Runtime_CompilerServices_TaskAwaiter_A1_t _Nonnull /* System.Runtime.CompilerServices.TaskAwaiter<> */ self,
	System_Type_t _Nullable /* System.Type */ TResult,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Runtime_CompilerServices_TaskAwaiter_A1_IsCompleted_Get(
	System_Runtime_CompilerServices_TaskAwaiter_A1_t _Nonnull /* System.Runtime.CompilerServices.TaskAwaiter<> */ self,
	System_Type_t _Nullable /* System.Type */ TResult,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Object_t _Nonnull /* System.Object */
System_Runtime_CompilerServices_TaskAwaiter_A1_Create(
	System_Type_t _Nullable /* System.Type */ TResult,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Runtime_CompilerServices_TaskAwaiter_A1_TypeOf(
	void
);

void /* System.Void */
System_Runtime_CompilerServices_TaskAwaiter_A1_Destroy(
	System_Runtime_CompilerServices_TaskAwaiter_A1_t _Nonnull /* System.Runtime.CompilerServices.TaskAwaiter<> */ self
);

#pragma mark - END APIs of System.Runtime.CompilerServices.TaskAwaiter<>



#pragma mark - BEGIN APIs of System.Runtime.CompilerServices.ConfiguredTaskAwaitable<>
System_Object_t _Nonnull /* System.Object */
System_Runtime_CompilerServices_ConfiguredTaskAwaitable_A1_Create(
	System_Type_t _Nullable /* System.Type */ TResult,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Runtime_CompilerServices_ConfiguredTaskAwaitable_A1_TypeOf(
	void
);

void /* System.Void */
System_Runtime_CompilerServices_ConfiguredTaskAwaitable_A1_Destroy(
	System_Runtime_CompilerServices_ConfiguredTaskAwaitable_A1_t _Nonnull /* System.Runtime.CompilerServices.ConfiguredTaskAwaitable<> */ self
);

#pragma mark - END APIs of System.Runtime.CompilerServices.ConfiguredTaskAwaitable<>



#pragma mark - BEGIN APIs of TResult[]
#pragma mark - END APIs of TResult[]















#pragma mark - BEGIN APIs of TEnum[]
#pragma mark - END APIs of TEnum[]

















#pragma mark - BEGIN APIs of System.SByte
System_Type_t _Nonnull /* System.Type */
System_SByte_TypeOf(
	void
);

#pragma mark - END APIs of System.SByte




























#pragma mark - BEGIN APIs of System.UInt64
System_Type_t _Nonnull /* System.Type */
System_UInt64_TypeOf(
	void
);

#pragma mark - END APIs of System.UInt64




























#pragma mark - BEGIN APIs of System.Single
System_Type_t _Nonnull /* System.Type */
System_Single_TypeOf(
	void
);

#pragma mark - END APIs of System.Single





































#pragma mark - BEGIN APIs of System.Decimal
System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_FromOACurrency(
	int64_t /* System.Int64 */ cy,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int64_t /* System.Int64 */
System_Decimal_ToOACurrency(
	System_Decimal_t _Nonnull /* System.Decimal */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Add(
	System_Decimal_t _Nonnull /* System.Decimal */ d1,
	System_Decimal_t _Nonnull /* System.Decimal */ d2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Ceiling(
	System_Decimal_t _Nonnull /* System.Decimal */ d,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Decimal_Compare(
	System_Decimal_t _Nonnull /* System.Decimal */ d1,
	System_Decimal_t _Nonnull /* System.Decimal */ d2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Decimal_CompareTo(
	System_Decimal_t _Nonnull /* System.Decimal */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Decimal_CompareTo_1(
	System_Decimal_t _Nonnull /* System.Decimal */ self,
	System_Decimal_t _Nonnull /* System.Decimal */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Divide(
	System_Decimal_t _Nonnull /* System.Decimal */ d1,
	System_Decimal_t _Nonnull /* System.Decimal */ d2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Decimal_Equals(
	System_Decimal_t _Nonnull /* System.Decimal */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Decimal_Equals_1(
	System_Decimal_t _Nonnull /* System.Decimal */ self,
	System_Decimal_t _Nonnull /* System.Decimal */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Decimal_GetHashCode(
	System_Decimal_t _Nonnull /* System.Decimal */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Decimal_Equals_2(
	System_Decimal_t _Nonnull /* System.Decimal */ d1,
	System_Decimal_t _Nonnull /* System.Decimal */ d2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Floor(
	System_Decimal_t _Nonnull /* System.Decimal */ d,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Decimal_ToString(
	System_Decimal_t _Nonnull /* System.Decimal */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Decimal_ToString_1(
	System_Decimal_t _Nonnull /* System.Decimal */ self,
	System_String_t _Nullable /* System.String */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Decimal_ToString_2(
	System_Decimal_t _Nonnull /* System.Decimal */ self,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Decimal_ToString_3(
	System_Decimal_t _Nonnull /* System.Decimal */ self,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Parse(
	System_String_t _Nonnull /* System.String */ s,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Parse_1(
	System_String_t _Nonnull /* System.String */ s,
	System_Globalization_NumberStyles_t /* System.Globalization.NumberStyles */ style,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Parse_2(
	System_String_t _Nonnull /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Parse_3(
	System_String_t _Nonnull /* System.String */ s,
	System_Globalization_NumberStyles_t /* System.Globalization.NumberStyles */ style,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Decimal_TryParse(
	System_String_t _Nullable /* System.String */ s,
	System_Decimal_t _Nonnull* _Nonnull /* System.Decimal */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Decimal_TryParse_1(
	DNReadOnlySpanOfByte /* System.ReadOnlySpan<System.Byte> */ utf8Text,
	System_Decimal_t _Nonnull* _Nonnull /* System.Decimal */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Decimal_TryParse_2(
	System_String_t _Nullable /* System.String */ s,
	System_Globalization_NumberStyles_t /* System.Globalization.NumberStyles */ style,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Decimal_t _Nonnull* _Nonnull /* System.Decimal */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Int32_Array_t _Nonnull /* System.Int32[] */
System_Decimal_GetBits(
	System_Decimal_t _Nonnull /* System.Decimal */ d,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Remainder(
	System_Decimal_t _Nonnull /* System.Decimal */ d1,
	System_Decimal_t _Nonnull /* System.Decimal */ d2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Multiply(
	System_Decimal_t _Nonnull /* System.Decimal */ d1,
	System_Decimal_t _Nonnull /* System.Decimal */ d2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Negate(
	System_Decimal_t _Nonnull /* System.Decimal */ d,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Round(
	System_Decimal_t _Nonnull /* System.Decimal */ d,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Round_1(
	System_Decimal_t _Nonnull /* System.Decimal */ d,
	int32_t /* System.Int32 */ decimals,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Round_2(
	System_Decimal_t _Nonnull /* System.Decimal */ d,
	System_MidpointRounding_t /* System.MidpointRounding */ mode,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Round_3(
	System_Decimal_t _Nonnull /* System.Decimal */ d,
	int32_t /* System.Int32 */ decimals,
	System_MidpointRounding_t /* System.MidpointRounding */ mode,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Subtract(
	System_Decimal_t _Nonnull /* System.Decimal */ d1,
	System_Decimal_t _Nonnull /* System.Decimal */ d2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

uint8_t /* System.Byte */
System_Decimal_ToByte(
	System_Decimal_t _Nonnull /* System.Decimal */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int8_t /* System.SByte */
System_Decimal_ToSByte(
	System_Decimal_t _Nonnull /* System.Decimal */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int16_t /* System.Int16 */
System_Decimal_ToInt16(
	System_Decimal_t _Nonnull /* System.Decimal */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

double /* System.Double */
System_Decimal_ToDouble(
	System_Decimal_t _Nonnull /* System.Decimal */ d,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Decimal_ToInt32(
	System_Decimal_t _Nonnull /* System.Decimal */ d,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int64_t /* System.Int64 */
System_Decimal_ToInt64(
	System_Decimal_t _Nonnull /* System.Decimal */ d,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

uint16_t /* System.UInt16 */
System_Decimal_ToUInt16(
	System_Decimal_t _Nonnull /* System.Decimal */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

uint32_t /* System.UInt32 */
System_Decimal_ToUInt32(
	System_Decimal_t _Nonnull /* System.Decimal */ d,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

uint64_t /* System.UInt64 */
System_Decimal_ToUInt64(
	System_Decimal_t _Nonnull /* System.Decimal */ d,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Decimal_ToSingle(
	System_Decimal_t _Nonnull /* System.Decimal */ d,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Truncate(
	System_Decimal_t _Nonnull /* System.Decimal */ d,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_TypeCode_t /* System.TypeCode */
System_Decimal_GetTypeCode(
	System_Decimal_t _Nonnull /* System.Decimal */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Clamp(
	System_Decimal_t _Nonnull /* System.Decimal */ value,
	System_Decimal_t _Nonnull /* System.Decimal */ min,
	System_Decimal_t _Nonnull /* System.Decimal */ max,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_CopySign(
	System_Decimal_t _Nonnull /* System.Decimal */ value,
	System_Decimal_t _Nonnull /* System.Decimal */ sign,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Max(
	System_Decimal_t _Nonnull /* System.Decimal */ x,
	System_Decimal_t _Nonnull /* System.Decimal */ y,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Min(
	System_Decimal_t _Nonnull /* System.Decimal */ x,
	System_Decimal_t _Nonnull /* System.Decimal */ y,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Decimal_Sign(
	System_Decimal_t _Nonnull /* System.Decimal */ d,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Abs(
	System_Decimal_t _Nonnull /* System.Decimal */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_CreateChecked_A1(
	System_Type_t _Nullable /* System.Type */ TOther,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_CreateSaturating_A1(
	System_Type_t _Nullable /* System.Type */ TOther,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_CreateTruncating_A1(
	System_Type_t _Nullable /* System.Type */ TOther,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Decimal_IsCanonical(
	System_Decimal_t _Nonnull /* System.Decimal */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Decimal_IsEvenInteger(
	System_Decimal_t _Nonnull /* System.Decimal */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Decimal_IsInteger(
	System_Decimal_t _Nonnull /* System.Decimal */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Decimal_IsNegative(
	System_Decimal_t _Nonnull /* System.Decimal */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Decimal_IsOddInteger(
	System_Decimal_t _Nonnull /* System.Decimal */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Decimal_IsPositive(
	System_Decimal_t _Nonnull /* System.Decimal */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_MaxMagnitude(
	System_Decimal_t _Nonnull /* System.Decimal */ x,
	System_Decimal_t _Nonnull /* System.Decimal */ y,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_MinMagnitude(
	System_Decimal_t _Nonnull /* System.Decimal */ x,
	System_Decimal_t _Nonnull /* System.Decimal */ y,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Decimal_TryParse_3(
	System_String_t _Nullable /* System.String */ s,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Decimal_t _Nonnull* _Nonnull /* System.Decimal */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Parse_4(
	DNReadOnlySpanOfByte /* System.ReadOnlySpan<System.Byte> */ utf8Text,
	System_Globalization_NumberStyles_t /* System.Globalization.NumberStyles */ style,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Decimal_TryParse_4(
	DNReadOnlySpanOfByte /* System.ReadOnlySpan<System.Byte> */ utf8Text,
	System_Globalization_NumberStyles_t /* System.Globalization.NumberStyles */ style,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Decimal_t _Nonnull* _Nonnull /* System.Decimal */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Parse_5(
	DNReadOnlySpanOfByte /* System.ReadOnlySpan<System.Byte> */ utf8Text,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Decimal_TryParse_5(
	DNReadOnlySpanOfByte /* System.ReadOnlySpan<System.Byte> */ utf8Text,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ provider,
	System_Decimal_t _Nonnull* _Nonnull /* System.Decimal */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Create_1(
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Create_2(
	uint32_t /* System.UInt32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Create_3(
	int64_t /* System.Int64 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Create_4(
	uint64_t /* System.UInt64 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Create_5(
	float /* System.Single */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Create_6(
	double /* System.Double */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Create_7(
	System_Int32_Array_t _Nonnull /* System.Int32[] */ bits,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Create_8(
	int32_t /* System.Int32 */ lo,
	int32_t /* System.Int32 */ mid,
	int32_t /* System.Int32 */ hi,
	bool /* System.Boolean */ isNegative,
	uint8_t /* System.Byte */ scale,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

uint8_t /* System.Byte */
System_Decimal_Scale_Get(
	System_Decimal_t _Nonnull /* System.Decimal */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Zero_Get(
	void
);


System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_One_Get(
	void
);


System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_MinusOne_Get(
	void
);


System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_MaxValue_Get(
	void
);


System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_MinValue_Get(
	void
);


System_Decimal_t _Nonnull /* System.Decimal */
System_Decimal_Create_9(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Decimal_TypeOf(
	void
);

void /* System.Void */
System_Decimal_Destroy(
	System_Decimal_t _Nonnull /* System.Decimal */ self
);

#pragma mark - END APIs of System.Decimal

























































#pragma mark - BEGIN APIs of System.Type[]
#pragma mark - END APIs of System.Type[]








#pragma mark - BEGIN APIs of System.Reflection.ParameterModifier[]
#pragma mark - END APIs of System.Reflection.ParameterModifier[]







#pragma mark - BEGIN APIs of System.Reflection.ConstructorInfo[]
#pragma mark - END APIs of System.Reflection.ConstructorInfo[]







#pragma mark - BEGIN APIs of System.Reflection.EventInfo[]
#pragma mark - END APIs of System.Reflection.EventInfo[]







#pragma mark - BEGIN APIs of System.Reflection.FieldInfo[]
#pragma mark - END APIs of System.Reflection.FieldInfo[]







#pragma mark - BEGIN APIs of System.Reflection.MemberInfo[]
#pragma mark - END APIs of System.Reflection.MemberInfo[]







#pragma mark - BEGIN APIs of System.Reflection.MethodInfo[]
#pragma mark - END APIs of System.Reflection.MethodInfo[]







#pragma mark - BEGIN APIs of System.Reflection.PropertyInfo[]
#pragma mark - END APIs of System.Reflection.PropertyInfo[]







#pragma mark - BEGIN APIs of System.UIntPtr
System_Type_t _Nonnull /* System.Type */
System_UIntPtr_TypeOf(
	void
);

#pragma mark - END APIs of System.UIntPtr




























#pragma mark - BEGIN APIs of System.AppContext
System_Object_t _Nullable /* System.Object */
System_AppContext_GetData(
	System_String_t _Nonnull /* System.String */ name,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_AppContext_SetData(
	System_String_t _Nonnull /* System.String */ name,
	System_Object_t _Nullable /* System.Object */ data,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_AppContext_TryGetSwitch(
	System_String_t _Nonnull /* System.String */ switchName,
	bool* /* System.Boolean */ isEnabled,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_AppContext_SetSwitch(
	System_String_t _Nonnull /* System.String */ switchName,
	bool /* System.Boolean */ isEnabled,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_AppContext_BaseDirectory_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_String_t _Nullable /* System.String */
System_AppContext_TargetFrameworkName_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_AppContext_TypeOf(
	void
);

void /* System.Void */
System_AppContext_Destroy(
	System_AppContext_t _Nullable /* System.AppContext */ self
);

#pragma mark - END APIs of System.AppContext

#pragma mark - BEGIN APIs of System.Runtime.InteropServices.GCHandle
System_Runtime_InteropServices_GCHandle_t _Nonnull /* System.Runtime.InteropServices.GCHandle */
System_Runtime_InteropServices_GCHandle_Alloc(
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Runtime_InteropServices_GCHandle_t _Nonnull /* System.Runtime.InteropServices.GCHandle */
System_Runtime_InteropServices_GCHandle_Alloc_1(
	System_Object_t _Nullable /* System.Object */ value,
	System_Runtime_InteropServices_GCHandleType_t /* System.Runtime.InteropServices.GCHandleType */ type,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Runtime_InteropServices_GCHandle_Free(
	System_Runtime_InteropServices_GCHandle_t _Nonnull /* System.Runtime.InteropServices.GCHandle */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void* /* System.IntPtr */
System_Runtime_InteropServices_GCHandle_AddrOfPinnedObject(
	System_Runtime_InteropServices_GCHandle_t _Nonnull /* System.Runtime.InteropServices.GCHandle */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Runtime_InteropServices_GCHandle_t _Nonnull /* System.Runtime.InteropServices.GCHandle */
System_Runtime_InteropServices_GCHandle_FromIntPtr(
	void* /* System.IntPtr */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void* /* System.IntPtr */
System_Runtime_InteropServices_GCHandle_ToIntPtr(
	System_Runtime_InteropServices_GCHandle_t _Nonnull /* System.Runtime.InteropServices.GCHandle */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Runtime_InteropServices_GCHandle_GetHashCode(
	System_Runtime_InteropServices_GCHandle_t _Nonnull /* System.Runtime.InteropServices.GCHandle */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Runtime_InteropServices_GCHandle_Equals(
	System_Runtime_InteropServices_GCHandle_t _Nonnull /* System.Runtime.InteropServices.GCHandle */ self,
	System_Object_t _Nullable /* System.Object */ o,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Runtime_InteropServices_GCHandle_Equals_1(
	System_Runtime_InteropServices_GCHandle_t _Nonnull /* System.Runtime.InteropServices.GCHandle */ self,
	System_Runtime_InteropServices_GCHandle_t _Nonnull /* System.Runtime.InteropServices.GCHandle */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nullable /* System.Object */
System_Runtime_InteropServices_GCHandle_Target_Get(
	System_Runtime_InteropServices_GCHandle_t _Nonnull /* System.Runtime.InteropServices.GCHandle */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Runtime_InteropServices_GCHandle_Target_Set(
	System_Runtime_InteropServices_GCHandle_t _Nonnull /* System.Runtime.InteropServices.GCHandle */ self,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Runtime_InteropServices_GCHandle_IsAllocated_Get(
	System_Runtime_InteropServices_GCHandle_t _Nonnull /* System.Runtime.InteropServices.GCHandle */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Runtime_InteropServices_GCHandle_t _Nonnull /* System.Runtime.InteropServices.GCHandle */
System_Runtime_InteropServices_GCHandle_Create(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Runtime_InteropServices_GCHandle_TypeOf(
	void
);

void /* System.Void */
System_Runtime_InteropServices_GCHandle_Destroy(
	System_Runtime_InteropServices_GCHandle_t _Nonnull /* System.Runtime.InteropServices.GCHandle */ self
);

#pragma mark - END APIs of System.Runtime.InteropServices.GCHandle


#pragma mark - BEGIN APIs of MyLib.Hello
MathLib_Math_t _Nonnull /* MathLib.Math */
MyLib_Hello_GetMath(
	MyLib_Hello_t _Nullable /* MyLib.Hello */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

MyLib_Hello_t _Nonnull /* MyLib.Hello */
MyLib_Hello_Create(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
MyLib_Hello_TypeOf(
	void
);

void /* System.Void */
MyLib_Hello_Destroy(
	MyLib_Hello_t _Nullable /* MyLib.Hello */ self
);

#pragma mark - END APIs of MyLib.Hello

#pragma mark - BEGIN APIs of MathLib.Math
float /* System.Single */
MathLib_Math_Reccursive(
	float /* System.Single */ n,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
MathLib_Math_Substract(
	MathLib_Math_t _Nullable /* MathLib.Math */ self,
	float /* System.Single */ a,
	float /* System.Single */ b,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
MathLib_Math_Multiply(
	MathLib_Math_t _Nullable /* MathLib.Math */ self,
	float /* System.Single */ a,
	float /* System.Single */ b,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
MathLib_Math_Divide(
	MathLib_Math_t _Nullable /* MathLib.Math */ self,
	float /* System.Single */ a,
	float /* System.Single */ b,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
MathLib_Math_Power(
	MathLib_Math_t _Nullable /* MathLib.Math */ self,
	float /* System.Single */ a,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
MathLib_Math_Add(
	MathLib_Math_t _Nullable /* MathLib.Math */ self,
	float /* System.Single */ a,
	float /* System.Single */ b,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Collections_Generic_List_A1_t _Nonnull /* System.Collections.Generic.List<System.Single> */
MathLib_Math_Iterate(
	MathLib_Math_t _Nullable /* MathLib.Math */ self,
	float /* System.Single */ a,
	float /* System.Single */ b,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
MathLib_Math_Sum(
	MathLib_Math_t _Nullable /* MathLib.Math */ self,
	System_Collections_Generic_List_A1_t _Nonnull /* System.Collections.Generic.List<System.Single> */ list,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_Point_t _Nonnull /* System.Drawing.Point */
MathLib_Math_SumPoints(
	MathLib_Math_t _Nullable /* MathLib.Math */ self,
	System_Collections_Generic_List_A1_t _Nonnull /* System.Collections.Generic.List<System.Drawing.Point> */ list,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

MathLib_Math_t _Nonnull /* MathLib.Math */
MathLib_Math_Create(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
MathLib_Math_TypeOf(
	void
);

void /* System.Void */
MathLib_Math_Destroy(
	MathLib_Math_t _Nullable /* MathLib.Math */ self
);

#pragma mark - END APIs of MathLib.Math

#pragma mark - BEGIN APIs of System.Collections.Generic.List<>
void /* System.Void */
System_Collections_Generic_List_A1_Add(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ item,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Collections_Generic_List_A1_BinarySearch(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ item,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_List_A1_Clear(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Collections_Generic_List_A1_Contains(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ item,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_List_A1_CopyTo(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_List_A1_CopyTo_1(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ index,
	System_Array_t _Nullable /* System.Array */ array,
	int32_t /* System.Int32 */ arrayIndex,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_List_A1_CopyTo_2(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Array_t _Nullable /* System.Array */ array,
	int32_t /* System.Int32 */ arrayIndex,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Collections_Generic_List_A1_EnsureCapacity(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ capacity,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Collections_Generic_List_A1_GetRange(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Collections_Generic_List_A1_Slice(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ start,
	int32_t /* System.Int32 */ length,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Collections_Generic_List_A1_IndexOf(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ item,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Collections_Generic_List_A1_IndexOf_1(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ item,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Collections_Generic_List_A1_IndexOf_2(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ item,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_List_A1_Insert(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ index,
	System_Object_t _Nullable /* System.Object */ item,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Collections_Generic_List_A1_LastIndexOf(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ item,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Collections_Generic_List_A1_LastIndexOf_1(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ item,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Collections_Generic_List_A1_LastIndexOf_2(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ item,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Collections_Generic_List_A1_Remove(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ item,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_List_A1_RemoveAt(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_List_A1_RemoveRange(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_List_A1_Reverse(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_List_A1_Reverse_1(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ index,
	int32_t /* System.Int32 */ count,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_List_A1_Sort(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Array_t _Nonnull /* System.Array */
System_Collections_Generic_List_A1_ToArray(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_List_A1_TrimExcess(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Collections_Generic_List_A1_Create(
	System_Type_t _Nullable /* System.Type */ T,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Object_t _Nonnull /* System.Object */
System_Collections_Generic_List_A1_Create_1(
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ capacity,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Collections_Generic_List_A1_Capacity_Get(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_List_A1_Capacity_Set(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Collections_Generic_List_A1_Count_Get(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Object_t _Nullable /* System.Object */
System_Collections_Generic_List_A1_Item_Get(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Collections_Generic_List_A1_Item_Set(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	int32_t /* System.Int32 */ index,
	System_Object_t _Nullable /* System.Object */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Type_t _Nonnull /* System.Type */
System_Collections_Generic_List_A1_TypeOf(
	void
);

void /* System.Void */
System_Collections_Generic_List_A1_Destroy(
	System_Collections_Generic_List_A1_t _Nullable /* System.Collections.Generic.List<> */ self
);

#pragma mark - END APIs of System.Collections.Generic.List<>


#pragma mark - BEGIN APIs of T[]
#pragma mark - END APIs of T[]







#pragma mark - BEGIN APIs of System.Single[]
#pragma mark - END APIs of System.Single[]




#pragma mark - BEGIN APIs of System.Collections.Generic.IComparer<>
int32_t /* System.Int32 */
System_Collections_Generic_IComparer_A1_Compare(
	System_Collections_Generic_IComparer_A1_t _Nullable /* System.Collections.Generic.IComparer<> */ self,
	System_Type_t _Nullable /* System.Type */ T,
	System_Object_t _Nullable /* System.Object */ x,
	System_Object_t _Nullable /* System.Object */ y,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Collections_Generic_IComparer_A1_TypeOf(
	void
);

void /* System.Void */
System_Collections_Generic_IComparer_A1_Destroy(
	System_Collections_Generic_IComparer_A1_t _Nullable /* System.Collections.Generic.IComparer<> */ self
);

#pragma mark - END APIs of System.Collections.Generic.IComparer<>



#pragma mark - BEGIN APIs of System.Drawing.Point
System_Drawing_Point_t _Nonnull /* System.Drawing.Point */
System_Drawing_Point_Add(
	System_Drawing_Point_t _Nonnull /* System.Drawing.Point */ pt,
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ sz,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_Point_t _Nonnull /* System.Drawing.Point */
System_Drawing_Point_Subtract(
	System_Drawing_Point_t _Nonnull /* System.Drawing.Point */ pt,
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ sz,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_Point_t _Nonnull /* System.Drawing.Point */
System_Drawing_Point_Ceiling(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_Point_t _Nonnull /* System.Drawing.Point */
System_Drawing_Point_Truncate(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_Point_t _Nonnull /* System.Drawing.Point */
System_Drawing_Point_Round(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Drawing_Point_Equals(
	System_Drawing_Point_t _Nonnull /* System.Drawing.Point */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Drawing_Point_Equals_1(
	System_Drawing_Point_t _Nonnull /* System.Drawing.Point */ self,
	System_Drawing_Point_t _Nonnull /* System.Drawing.Point */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Drawing_Point_GetHashCode(
	System_Drawing_Point_t _Nonnull /* System.Drawing.Point */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Drawing_Point_Offset(
	System_Drawing_Point_t _Nonnull /* System.Drawing.Point */ self,
	int32_t /* System.Int32 */ dx,
	int32_t /* System.Int32 */ dy,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Drawing_Point_Offset_1(
	System_Drawing_Point_t _Nonnull /* System.Drawing.Point */ self,
	System_Drawing_Point_t _Nonnull /* System.Drawing.Point */ p,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Drawing_Point_ToString(
	System_Drawing_Point_t _Nonnull /* System.Drawing.Point */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_Point_t _Nonnull /* System.Drawing.Point */
System_Drawing_Point_Create(
	int32_t /* System.Int32 */ x,
	int32_t /* System.Int32 */ y,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_Point_t _Nonnull /* System.Drawing.Point */
System_Drawing_Point_Create_1(
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ sz,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_Point_t _Nonnull /* System.Drawing.Point */
System_Drawing_Point_Create_2(
	int32_t /* System.Int32 */ dw,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Drawing_Point_IsEmpty_Get(
	System_Drawing_Point_t _Nonnull /* System.Drawing.Point */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Drawing_Point_X_Get(
	System_Drawing_Point_t _Nonnull /* System.Drawing.Point */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Drawing_Point_X_Set(
	System_Drawing_Point_t _Nonnull /* System.Drawing.Point */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Drawing_Point_Y_Get(
	System_Drawing_Point_t _Nonnull /* System.Drawing.Point */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Drawing_Point_Y_Set(
	System_Drawing_Point_t _Nonnull /* System.Drawing.Point */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Drawing_Point_t _Nonnull /* System.Drawing.Point */
System_Drawing_Point_Empty_Get(
	void
);


System_Drawing_Point_t _Nonnull /* System.Drawing.Point */
System_Drawing_Point_Create_3(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Drawing_Point_TypeOf(
	void
);

void /* System.Void */
System_Drawing_Point_Destroy(
	System_Drawing_Point_t _Nonnull /* System.Drawing.Point */ self
);

#pragma mark - END APIs of System.Drawing.Point


#pragma mark - BEGIN APIs of System.Drawing.PointF
System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Drawing_PointF_ToVector2(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */
System_Drawing_PointF_Add(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ pt,
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ sz,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */
System_Drawing_PointF_Subtract(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ pt,
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ sz,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */
System_Drawing_PointF_Add_1(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ pt,
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ sz,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */
System_Drawing_PointF_Subtract_1(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ pt,
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ sz,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Drawing_PointF_Equals(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Drawing_PointF_Equals_1(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ self,
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Drawing_PointF_GetHashCode(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Drawing_PointF_ToString(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */
System_Drawing_PointF_Create(
	float /* System.Single */ x,
	float /* System.Single */ y,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */
System_Drawing_PointF_Create_1(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ vector,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Drawing_PointF_IsEmpty_Get(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


float /* System.Single */
System_Drawing_PointF_X_Get(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Drawing_PointF_X_Set(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ self,
	float /* System.Single */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


float /* System.Single */
System_Drawing_PointF_Y_Get(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Drawing_PointF_Y_Set(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ self,
	float /* System.Single */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */
System_Drawing_PointF_Empty_Get(
	void
);


System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */
System_Drawing_PointF_Create_2(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Drawing_PointF_TypeOf(
	void
);

void /* System.Void */
System_Drawing_PointF_Destroy(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ self
);

#pragma mark - END APIs of System.Drawing.PointF


#pragma mark - BEGIN APIs of System.Numerics.Vector2
System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Abs(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Add(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ left,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Clamp(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value1,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ min,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ max,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Vector2_Distance(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value1,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Vector2_DistanceSquared(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value1,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Divide(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ left,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Divide_1(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ left,
	float /* System.Single */ divisor,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Vector2_Dot(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value1,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Lerp(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value1,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value2,
	float /* System.Single */ amount,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Max(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value1,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Min(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value1,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Multiply(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ left,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Multiply_1(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ left,
	float /* System.Single */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Multiply_2(
	float /* System.Single */ left,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Negate(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Normalize(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Reflect(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ vector,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ normal,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_SquareRoot(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Subtract(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ left,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Transform(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ position,
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ matrix,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Transform_1(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ position,
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ matrix,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Transform_2(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value,
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ rotation,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_TransformNormal(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ normal,
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ matrix,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_TransformNormal_1(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ normal,
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ matrix,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Numerics_Vector2_CopyTo(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ self,
	System_Single_Array_t _Nonnull /* System.Single[] */ array,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Numerics_Vector2_CopyTo_1(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ self,
	System_Single_Array_t _Nonnull /* System.Single[] */ array,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Numerics_Vector2_Equals(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Numerics_Vector2_Equals_1(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ self,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_Vector2_GetHashCode(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Vector2_Length(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Vector2_LengthSquared(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Numerics_Vector2_ToString(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Numerics_Vector2_ToString_1(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ self,
	System_String_t _Nullable /* System.String */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Numerics_Vector2_ToString_2(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ self,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Create(
	float /* System.Single */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Create_1(
	float /* System.Single */ x,
	float /* System.Single */ y,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Zero_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_One_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_UnitX_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_UnitY_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


float /* System.Single */
System_Numerics_Vector2_Item_Get(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ self,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Numerics_Vector2_Item_Set(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ self,
	int32_t /* System.Int32 */ index,
	float /* System.Single */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


float /* System.Single */
System_Numerics_Vector2_X_Get(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ self
);

void /* System.Void */
System_Numerics_Vector2_X_Set(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Vector2_Y_Get(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ self
);

void /* System.Void */
System_Numerics_Vector2_Y_Set(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ self,
	float /* System.Single */ value
);


System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Vector2_Create_2(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Numerics_Vector2_TypeOf(
	void
);

void /* System.Void */
System_Numerics_Vector2_Destroy(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ self
);

#pragma mark - END APIs of System.Numerics.Vector2


#pragma mark - BEGIN APIs of System.Numerics.Matrix3x2
System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_Add(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ value1,
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_CreateRotation(
	float /* System.Single */ radians,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_CreateRotation_1(
	float /* System.Single */ radians,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ centerPoint,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_CreateScale(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ scales,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_CreateScale_1(
	float /* System.Single */ xScale,
	float /* System.Single */ yScale,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_CreateScale_2(
	float /* System.Single */ xScale,
	float /* System.Single */ yScale,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ centerPoint,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_CreateScale_3(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ scales,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ centerPoint,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_CreateScale_4(
	float /* System.Single */ scale,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_CreateScale_5(
	float /* System.Single */ scale,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ centerPoint,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_CreateSkew(
	float /* System.Single */ radiansX,
	float /* System.Single */ radiansY,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_CreateSkew_1(
	float /* System.Single */ radiansX,
	float /* System.Single */ radiansY,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ centerPoint,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_CreateTranslation(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ position,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_CreateTranslation_1(
	float /* System.Single */ xPosition,
	float /* System.Single */ yPosition,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Numerics_Matrix3x2_Invert(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ matrix,
	System_Numerics_Matrix3x2_t _Nonnull* _Nonnull /* System.Numerics.Matrix3x2 */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_Lerp(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ matrix1,
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ matrix2,
	float /* System.Single */ amount,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_Multiply(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ value1,
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_Multiply_1(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ value1,
	float /* System.Single */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_Negate(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_Subtract(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ value1,
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Numerics_Matrix3x2_Equals(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Numerics_Matrix3x2_Equals_1(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self,
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Matrix3x2_GetDeterminant(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_Matrix3x2_GetHashCode(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Numerics_Matrix3x2_ToString(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_Create_1(
	float /* System.Single */ m11,
	float /* System.Single */ m12,
	float /* System.Single */ m21,
	float /* System.Single */ m22,
	float /* System.Single */ m31,
	float /* System.Single */ m32,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_Identity_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


float /* System.Single */
System_Numerics_Matrix3x2_Item_Get(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self,
	int32_t /* System.Int32 */ row,
	int32_t /* System.Int32 */ column,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Numerics_Matrix3x2_Item_Set(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self,
	int32_t /* System.Int32 */ row,
	int32_t /* System.Int32 */ column,
	float /* System.Single */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Numerics_Matrix3x2_IsIdentity_Get(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Numerics_Matrix3x2_Translation_Get(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Numerics_Matrix3x2_Translation_Set(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self,
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


float /* System.Single */
System_Numerics_Matrix3x2_M11_Get(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self
);

void /* System.Void */
System_Numerics_Matrix3x2_M11_Set(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix3x2_M12_Get(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self
);

void /* System.Void */
System_Numerics_Matrix3x2_M12_Set(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix3x2_M21_Get(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self
);

void /* System.Void */
System_Numerics_Matrix3x2_M21_Set(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix3x2_M22_Get(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self
);

void /* System.Void */
System_Numerics_Matrix3x2_M22_Set(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix3x2_M31_Get(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self
);

void /* System.Void */
System_Numerics_Matrix3x2_M31_Set(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix3x2_M32_Get(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self
);

void /* System.Void */
System_Numerics_Matrix3x2_M32_Set(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self,
	float /* System.Single */ value
);


System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */
System_Numerics_Matrix3x2_Create_2(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Numerics_Matrix3x2_TypeOf(
	void
);

void /* System.Void */
System_Numerics_Matrix3x2_Destroy(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ self
);

#pragma mark - END APIs of System.Numerics.Matrix3x2



#pragma mark - BEGIN APIs of System.Numerics.Matrix4x4
System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_Add(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ value1,
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateBillboard(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ objectPosition,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ cameraPosition,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ cameraUpVector,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ cameraForwardVector,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateConstrainedBillboard(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ objectPosition,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ cameraPosition,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ rotateAxis,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ cameraForwardVector,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ objectForwardVector,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateFromAxisAngle(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ axis,
	float /* System.Single */ angle,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateFromQuaternion(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ quaternion,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateFromYawPitchRoll(
	float /* System.Single */ yaw,
	float /* System.Single */ pitch,
	float /* System.Single */ roll,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateLookAt(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ cameraPosition,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ cameraTarget,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ cameraUpVector,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateLookAtLeftHanded(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ cameraPosition,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ cameraTarget,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ cameraUpVector,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateLookTo(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ cameraPosition,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ cameraDirection,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ cameraUpVector,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateLookToLeftHanded(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ cameraPosition,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ cameraDirection,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ cameraUpVector,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateOrthographic(
	float /* System.Single */ width,
	float /* System.Single */ height,
	float /* System.Single */ zNearPlane,
	float /* System.Single */ zFarPlane,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateOrthographicLeftHanded(
	float /* System.Single */ width,
	float /* System.Single */ height,
	float /* System.Single */ zNearPlane,
	float /* System.Single */ zFarPlane,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateOrthographicOffCenter(
	float /* System.Single */ left,
	float /* System.Single */ right,
	float /* System.Single */ bottom,
	float /* System.Single */ top,
	float /* System.Single */ zNearPlane,
	float /* System.Single */ zFarPlane,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateOrthographicOffCenterLeftHanded(
	float /* System.Single */ left,
	float /* System.Single */ right,
	float /* System.Single */ bottom,
	float /* System.Single */ top,
	float /* System.Single */ zNearPlane,
	float /* System.Single */ zFarPlane,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreatePerspective(
	float /* System.Single */ width,
	float /* System.Single */ height,
	float /* System.Single */ nearPlaneDistance,
	float /* System.Single */ farPlaneDistance,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreatePerspectiveLeftHanded(
	float /* System.Single */ width,
	float /* System.Single */ height,
	float /* System.Single */ nearPlaneDistance,
	float /* System.Single */ farPlaneDistance,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreatePerspectiveFieldOfView(
	float /* System.Single */ fieldOfView,
	float /* System.Single */ aspectRatio,
	float /* System.Single */ nearPlaneDistance,
	float /* System.Single */ farPlaneDistance,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreatePerspectiveFieldOfViewLeftHanded(
	float /* System.Single */ fieldOfView,
	float /* System.Single */ aspectRatio,
	float /* System.Single */ nearPlaneDistance,
	float /* System.Single */ farPlaneDistance,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreatePerspectiveOffCenter(
	float /* System.Single */ left,
	float /* System.Single */ right,
	float /* System.Single */ bottom,
	float /* System.Single */ top,
	float /* System.Single */ nearPlaneDistance,
	float /* System.Single */ farPlaneDistance,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreatePerspectiveOffCenterLeftHanded(
	float /* System.Single */ left,
	float /* System.Single */ right,
	float /* System.Single */ bottom,
	float /* System.Single */ top,
	float /* System.Single */ nearPlaneDistance,
	float /* System.Single */ farPlaneDistance,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateReflection(
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateRotationX(
	float /* System.Single */ radians,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateRotationX_1(
	float /* System.Single */ radians,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ centerPoint,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateRotationY(
	float /* System.Single */ radians,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateRotationY_1(
	float /* System.Single */ radians,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ centerPoint,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateRotationZ(
	float /* System.Single */ radians,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateRotationZ_1(
	float /* System.Single */ radians,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ centerPoint,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateScale(
	float /* System.Single */ xScale,
	float /* System.Single */ yScale,
	float /* System.Single */ zScale,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateScale_1(
	float /* System.Single */ xScale,
	float /* System.Single */ yScale,
	float /* System.Single */ zScale,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ centerPoint,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateScale_2(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ scales,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateScale_3(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ scales,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ centerPoint,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateScale_4(
	float /* System.Single */ scale,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateScale_5(
	float /* System.Single */ scale,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ centerPoint,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateShadow(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ lightDirection,
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ plane,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateTranslation(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ position,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateTranslation_1(
	float /* System.Single */ xPosition,
	float /* System.Single */ yPosition,
	float /* System.Single */ zPosition,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateViewport(
	float /* System.Single */ x,
	float /* System.Single */ y,
	float /* System.Single */ width,
	float /* System.Single */ height,
	float /* System.Single */ minDepth,
	float /* System.Single */ maxDepth,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateViewportLeftHanded(
	float /* System.Single */ x,
	float /* System.Single */ y,
	float /* System.Single */ width,
	float /* System.Single */ height,
	float /* System.Single */ minDepth,
	float /* System.Single */ maxDepth,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_CreateWorld(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ position,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ forward,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ up,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Numerics_Matrix4x4_Decompose(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ matrix,
	System_Numerics_Vector3_t _Nonnull* _Nonnull /* System.Numerics.Vector3 */ scale,
	System_Numerics_Quaternion_t _Nonnull* _Nonnull /* System.Numerics.Quaternion */ rotation,
	System_Numerics_Vector3_t _Nonnull* _Nonnull /* System.Numerics.Vector3 */ translation,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Numerics_Matrix4x4_Invert(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ matrix,
	System_Numerics_Matrix4x4_t _Nonnull* _Nonnull /* System.Numerics.Matrix4x4 */ result,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_Lerp(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ matrix1,
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ matrix2,
	float /* System.Single */ amount,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_Multiply(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ value1,
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_Multiply_1(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ value1,
	float /* System.Single */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_Negate(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_Subtract(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ value1,
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_Transform(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ value,
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ rotation,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_Transpose(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ matrix,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Numerics_Matrix4x4_Equals(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Numerics_Matrix4x4_Equals_1(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Matrix4x4_GetDeterminant(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_Matrix4x4_GetHashCode(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Numerics_Matrix4x4_ToString(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_Create_1(
	float /* System.Single */ m11,
	float /* System.Single */ m12,
	float /* System.Single */ m13,
	float /* System.Single */ m14,
	float /* System.Single */ m21,
	float /* System.Single */ m22,
	float /* System.Single */ m23,
	float /* System.Single */ m24,
	float /* System.Single */ m31,
	float /* System.Single */ m32,
	float /* System.Single */ m33,
	float /* System.Single */ m34,
	float /* System.Single */ m41,
	float /* System.Single */ m42,
	float /* System.Single */ m43,
	float /* System.Single */ m44,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_Create_2(
	System_Numerics_Matrix3x2_t _Nonnull /* System.Numerics.Matrix3x2 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_Identity_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


float /* System.Single */
System_Numerics_Matrix4x4_Item_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	int32_t /* System.Int32 */ row,
	int32_t /* System.Int32 */ column,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Numerics_Matrix4x4_Item_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	int32_t /* System.Int32 */ row,
	int32_t /* System.Int32 */ column,
	float /* System.Single */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Numerics_Matrix4x4_IsIdentity_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Matrix4x4_Translation_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Numerics_Matrix4x4_Translation_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


float /* System.Single */
System_Numerics_Matrix4x4_M11_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self
);

void /* System.Void */
System_Numerics_Matrix4x4_M11_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix4x4_M12_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self
);

void /* System.Void */
System_Numerics_Matrix4x4_M12_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix4x4_M13_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self
);

void /* System.Void */
System_Numerics_Matrix4x4_M13_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix4x4_M14_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self
);

void /* System.Void */
System_Numerics_Matrix4x4_M14_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix4x4_M21_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self
);

void /* System.Void */
System_Numerics_Matrix4x4_M21_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix4x4_M22_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self
);

void /* System.Void */
System_Numerics_Matrix4x4_M22_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix4x4_M23_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self
);

void /* System.Void */
System_Numerics_Matrix4x4_M23_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix4x4_M24_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self
);

void /* System.Void */
System_Numerics_Matrix4x4_M24_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix4x4_M31_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self
);

void /* System.Void */
System_Numerics_Matrix4x4_M31_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix4x4_M32_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self
);

void /* System.Void */
System_Numerics_Matrix4x4_M32_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix4x4_M33_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self
);

void /* System.Void */
System_Numerics_Matrix4x4_M33_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix4x4_M34_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self
);

void /* System.Void */
System_Numerics_Matrix4x4_M34_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix4x4_M41_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self
);

void /* System.Void */
System_Numerics_Matrix4x4_M41_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix4x4_M42_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self
);

void /* System.Void */
System_Numerics_Matrix4x4_M42_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix4x4_M43_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self
);

void /* System.Void */
System_Numerics_Matrix4x4_M43_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Matrix4x4_M44_Get(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self
);

void /* System.Void */
System_Numerics_Matrix4x4_M44_Set(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self,
	float /* System.Single */ value
);


System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */
System_Numerics_Matrix4x4_Create_3(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Numerics_Matrix4x4_TypeOf(
	void
);

void /* System.Void */
System_Numerics_Matrix4x4_Destroy(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ self
);

#pragma mark - END APIs of System.Numerics.Matrix4x4


#pragma mark - BEGIN APIs of System.Numerics.Vector3
System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Abs(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Add(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ left,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Clamp(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value1,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ min,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ max,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Cross(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ vector1,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ vector2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Vector3_Distance(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value1,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Vector3_DistanceSquared(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value1,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Divide(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ left,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Divide_1(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ left,
	float /* System.Single */ divisor,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Vector3_Dot(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ vector1,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ vector2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Lerp(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value1,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value2,
	float /* System.Single */ amount,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Max(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value1,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Min(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value1,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Multiply(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ left,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Multiply_1(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ left,
	float /* System.Single */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Multiply_2(
	float /* System.Single */ left,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Negate(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Normalize(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Reflect(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ vector,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ normal,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_SquareRoot(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Subtract(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ left,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Transform(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ position,
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ matrix,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Transform_1(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value,
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ rotation,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_TransformNormal(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ normal,
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ matrix,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Numerics_Vector3_CopyTo(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self,
	System_Single_Array_t _Nonnull /* System.Single[] */ array,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Numerics_Vector3_CopyTo_1(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self,
	System_Single_Array_t _Nonnull /* System.Single[] */ array,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Numerics_Vector3_Equals(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Numerics_Vector3_Equals_1(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_Vector3_GetHashCode(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Vector3_Length(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Vector3_LengthSquared(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Numerics_Vector3_ToString(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Numerics_Vector3_ToString_1(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self,
	System_String_t _Nullable /* System.String */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Numerics_Vector3_ToString_2(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Create(
	float /* System.Single */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Create_1(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value,
	float /* System.Single */ z,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Create_2(
	float /* System.Single */ x,
	float /* System.Single */ y,
	float /* System.Single */ z,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Zero_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_One_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_UnitX_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_UnitY_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_UnitZ_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


float /* System.Single */
System_Numerics_Vector3_Item_Get(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Numerics_Vector3_Item_Set(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self,
	int32_t /* System.Int32 */ index,
	float /* System.Single */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


float /* System.Single */
System_Numerics_Vector3_X_Get(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self
);

void /* System.Void */
System_Numerics_Vector3_X_Set(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Vector3_Y_Get(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self
);

void /* System.Void */
System_Numerics_Vector3_Y_Set(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Vector3_Z_Get(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self
);

void /* System.Void */
System_Numerics_Vector3_Z_Set(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self,
	float /* System.Single */ value
);


System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Vector3_Create_3(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Numerics_Vector3_TypeOf(
	void
);

void /* System.Void */
System_Numerics_Vector3_Destroy(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ self
);

#pragma mark - END APIs of System.Numerics.Vector3


#pragma mark - BEGIN APIs of System.Numerics.Quaternion
System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_Add(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ value1,
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_Concatenate(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ value1,
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_Conjugate(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_CreateFromAxisAngle(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ axis,
	float /* System.Single */ angle,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_CreateFromRotationMatrix(
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ matrix,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_CreateFromYawPitchRoll(
	float /* System.Single */ yaw,
	float /* System.Single */ pitch,
	float /* System.Single */ roll,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_Divide(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ value1,
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Quaternion_Dot(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ quaternion1,
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ quaternion2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_Inverse(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_Lerp(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ quaternion1,
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ quaternion2,
	float /* System.Single */ amount,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_Multiply(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ value1,
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_Multiply_1(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ value1,
	float /* System.Single */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_Negate(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_Normalize(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_Slerp(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ quaternion1,
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ quaternion2,
	float /* System.Single */ amount,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_Subtract(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ value1,
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Numerics_Quaternion_Equals(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Numerics_Quaternion_Equals_1(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self,
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_Quaternion_GetHashCode(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Quaternion_Length(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Quaternion_LengthSquared(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Numerics_Quaternion_ToString(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_Create_1(
	float /* System.Single */ x,
	float /* System.Single */ y,
	float /* System.Single */ z,
	float /* System.Single */ w,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_Create_2(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ vectorPart,
	float /* System.Single */ scalarPart,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_Zero_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_Identity_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


float /* System.Single */
System_Numerics_Quaternion_Item_Get(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Numerics_Quaternion_Item_Set(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self,
	int32_t /* System.Int32 */ index,
	float /* System.Single */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


bool /* System.Boolean */
System_Numerics_Quaternion_IsIdentity_Get(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


float /* System.Single */
System_Numerics_Quaternion_X_Get(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self
);

void /* System.Void */
System_Numerics_Quaternion_X_Set(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Quaternion_Y_Get(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self
);

void /* System.Void */
System_Numerics_Quaternion_Y_Set(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Quaternion_Z_Get(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self
);

void /* System.Void */
System_Numerics_Quaternion_Z_Set(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Quaternion_W_Get(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self
);

void /* System.Void */
System_Numerics_Quaternion_W_Set(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self,
	float /* System.Single */ value
);


System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */
System_Numerics_Quaternion_Create_3(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Numerics_Quaternion_TypeOf(
	void
);

void /* System.Void */
System_Numerics_Quaternion_Destroy(
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ self
);

#pragma mark - END APIs of System.Numerics.Quaternion


#pragma mark - BEGIN APIs of System.Numerics.Plane
System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */
System_Numerics_Plane_CreateFromVertices(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ point1,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ point2,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ point3,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Plane_Dot(
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ plane,
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Plane_DotCoordinate(
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ plane,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Plane_DotNormal(
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ plane,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */
System_Numerics_Plane_Normalize(
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */
System_Numerics_Plane_Transform(
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ plane,
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ matrix,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */
System_Numerics_Plane_Transform_1(
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ plane,
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ rotation,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Numerics_Plane_Equals(
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Numerics_Plane_Equals_1(
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ self,
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_Plane_GetHashCode(
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Numerics_Plane_ToString(
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */
System_Numerics_Plane_Create_1(
	float /* System.Single */ x,
	float /* System.Single */ y,
	float /* System.Single */ z,
	float /* System.Single */ d,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */
System_Numerics_Plane_Create_2(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ normal,
	float /* System.Single */ d,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */
System_Numerics_Plane_Create_3(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */
System_Numerics_Plane_Normal_Get(
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ self
);

void /* System.Void */
System_Numerics_Plane_Normal_Set(
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ self,
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value
);


float /* System.Single */
System_Numerics_Plane_D_Get(
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ self
);

void /* System.Void */
System_Numerics_Plane_D_Set(
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ self,
	float /* System.Single */ value
);


System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */
System_Numerics_Plane_Create_4(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Numerics_Plane_TypeOf(
	void
);

void /* System.Void */
System_Numerics_Plane_Destroy(
	System_Numerics_Plane_t _Nonnull /* System.Numerics.Plane */ self
);

#pragma mark - END APIs of System.Numerics.Plane


#pragma mark - BEGIN APIs of System.Numerics.Vector4
System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Abs(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Add(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ left,
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Clamp(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ value1,
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ min,
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ max,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Vector4_Distance(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ value1,
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Vector4_DistanceSquared(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ value1,
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Divide(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ left,
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Divide_1(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ left,
	float /* System.Single */ divisor,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Vector4_Dot(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ vector1,
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ vector2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Lerp(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ value1,
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ value2,
	float /* System.Single */ amount,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Max(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ value1,
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Min(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ value1,
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ value2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Multiply(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ left,
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Multiply_1(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ left,
	float /* System.Single */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Multiply_2(
	float /* System.Single */ left,
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Negate(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Normalize(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ vector,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_SquareRoot(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Subtract(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ left,
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ right,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Transform(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ position,
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ matrix,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Transform_1(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value,
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ rotation,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Transform_2(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ position,
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ matrix,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Transform_3(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value,
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ rotation,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Transform_4(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ vector,
	System_Numerics_Matrix4x4_t _Nonnull /* System.Numerics.Matrix4x4 */ matrix,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Transform_5(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ value,
	System_Numerics_Quaternion_t _Nonnull /* System.Numerics.Quaternion */ rotation,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Numerics_Vector4_CopyTo(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self,
	System_Single_Array_t _Nonnull /* System.Single[] */ array,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Numerics_Vector4_CopyTo_1(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self,
	System_Single_Array_t _Nonnull /* System.Single[] */ array,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Numerics_Vector4_Equals(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self,
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Numerics_Vector4_Equals_1(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Numerics_Vector4_GetHashCode(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Vector4_Length(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

float /* System.Single */
System_Numerics_Vector4_LengthSquared(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Numerics_Vector4_ToString(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Numerics_Vector4_ToString_1(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self,
	System_String_t _Nullable /* System.String */ format,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Numerics_Vector4_ToString_2(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self,
	System_String_t _Nullable /* System.String */ format,
	System_IFormatProvider_t _Nullable /* System.IFormatProvider */ formatProvider,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Create(
	float /* System.Single */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Create_1(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ value,
	float /* System.Single */ z,
	float /* System.Single */ w,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Create_2(
	System_Numerics_Vector3_t _Nonnull /* System.Numerics.Vector3 */ value,
	float /* System.Single */ w,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Create_3(
	float /* System.Single */ x,
	float /* System.Single */ y,
	float /* System.Single */ z,
	float /* System.Single */ w,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Zero_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_One_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_UnitX_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_UnitY_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_UnitZ_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_UnitW_Get(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


float /* System.Single */
System_Numerics_Vector4_Item_Get(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self,
	int32_t /* System.Int32 */ index,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Numerics_Vector4_Item_Set(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self,
	int32_t /* System.Int32 */ index,
	float /* System.Single */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


float /* System.Single */
System_Numerics_Vector4_X_Get(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self
);

void /* System.Void */
System_Numerics_Vector4_X_Set(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Vector4_Y_Get(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self
);

void /* System.Void */
System_Numerics_Vector4_Y_Set(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Vector4_Z_Get(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self
);

void /* System.Void */
System_Numerics_Vector4_Z_Set(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self,
	float /* System.Single */ value
);


float /* System.Single */
System_Numerics_Vector4_W_Get(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self
);

void /* System.Void */
System_Numerics_Vector4_W_Set(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self,
	float /* System.Single */ value
);


System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */
System_Numerics_Vector4_Create_4(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Numerics_Vector4_TypeOf(
	void
);

void /* System.Void */
System_Numerics_Vector4_Destroy(
	System_Numerics_Vector4_t _Nonnull /* System.Numerics.Vector4 */ self
);

#pragma mark - END APIs of System.Numerics.Vector4





#pragma mark - BEGIN APIs of System.Drawing.Size
System_Drawing_Size_t _Nonnull /* System.Drawing.Size */
System_Drawing_Size_Add(
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ sz1,
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ sz2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_Size_t _Nonnull /* System.Drawing.Size */
System_Drawing_Size_Ceiling(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_Size_t _Nonnull /* System.Drawing.Size */
System_Drawing_Size_Subtract(
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ sz1,
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ sz2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_Size_t _Nonnull /* System.Drawing.Size */
System_Drawing_Size_Truncate(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_Size_t _Nonnull /* System.Drawing.Size */
System_Drawing_Size_Round(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Drawing_Size_Equals(
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Drawing_Size_Equals_1(
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ self,
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Drawing_Size_GetHashCode(
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Drawing_Size_ToString(
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_Size_t _Nonnull /* System.Drawing.Size */
System_Drawing_Size_Create(
	System_Drawing_Point_t _Nonnull /* System.Drawing.Point */ pt,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_Size_t _Nonnull /* System.Drawing.Size */
System_Drawing_Size_Create_1(
	int32_t /* System.Int32 */ width,
	int32_t /* System.Int32 */ height,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Drawing_Size_IsEmpty_Get(
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Drawing_Size_Width_Get(
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Drawing_Size_Width_Set(
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


int32_t /* System.Int32 */
System_Drawing_Size_Height_Get(
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Drawing_Size_Height_Set(
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ self,
	int32_t /* System.Int32 */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Drawing_Size_t _Nonnull /* System.Drawing.Size */
System_Drawing_Size_Empty_Get(
	void
);


System_Drawing_Size_t _Nonnull /* System.Drawing.Size */
System_Drawing_Size_Create_2(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Drawing_Size_TypeOf(
	void
);

void /* System.Void */
System_Drawing_Size_Destroy(
	System_Drawing_Size_t _Nonnull /* System.Drawing.Size */ self
);

#pragma mark - END APIs of System.Drawing.Size


#pragma mark - BEGIN APIs of System.Drawing.SizeF
System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */
System_Drawing_SizeF_ToVector2(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */
System_Drawing_SizeF_Add(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ sz1,
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ sz2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */
System_Drawing_SizeF_Subtract(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ sz1,
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ sz2,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Drawing_SizeF_Equals(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ self,
	System_Object_t _Nullable /* System.Object */ obj,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Drawing_SizeF_Equals_1(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ self,
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ other,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

int32_t /* System.Int32 */
System_Drawing_SizeF_GetHashCode(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */
System_Drawing_SizeF_ToPointF(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_Size_t _Nonnull /* System.Drawing.Size */
System_Drawing_SizeF_ToSize(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_String_t _Nonnull /* System.String */
System_Drawing_SizeF_ToString(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */
System_Drawing_SizeF_Create(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ size,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */
System_Drawing_SizeF_Create_1(
	System_Drawing_PointF_t _Nonnull /* System.Drawing.PointF */ pt,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */
System_Drawing_SizeF_Create_2(
	System_Numerics_Vector2_t _Nonnull /* System.Numerics.Vector2 */ vector,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */
System_Drawing_SizeF_Create_3(
	float /* System.Single */ width,
	float /* System.Single */ height,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

bool /* System.Boolean */
System_Drawing_SizeF_IsEmpty_Get(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


float /* System.Single */
System_Drawing_SizeF_Width_Get(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Drawing_SizeF_Width_Set(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ self,
	float /* System.Single */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


float /* System.Single */
System_Drawing_SizeF_Height_Get(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ self,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

void /* System.Void */
System_Drawing_SizeF_Height_Set(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ self,
	float /* System.Single */ value,
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);


System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */
System_Drawing_SizeF_Empty_Get(
	void
);


System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */
System_Drawing_SizeF_Create_4(
	System_Exception_t _Nullable* _Nullable /* System.Exception */ outException
);

System_Type_t _Nonnull /* System.Type */
System_Drawing_SizeF_TypeOf(
	void
);

void /* System.Void */
System_Drawing_SizeF_Destroy(
	System_Drawing_SizeF_t _Nonnull /* System.Drawing.SizeF */ self
);

#pragma mark - END APIs of System.Drawing.SizeF







#pragma mark - BEGIN APIs of System.Drawing.Point[]
#pragma mark - END APIs of System.Drawing.Point[]






#pragma mark - BEGIN APIs of System.Threading.TimerCallback
System_Threading_TimerCallback_t _Nonnull /* System.Threading.TimerCallback */
System_Threading_TimerCallback_Create(
	const void* context,
	System_Threading_TimerCallback_CFunction_t function,
	System_Threading_TimerCallback_CDestructorFunction_t destructorFunction
);

void
System_Threading_TimerCallback_Invoke(
	System_Threading_TimerCallback_t /* System.Threading.TimerCallback */ self, System_Object_t _Nullable /* System.Object */ state, System_Exception_t* /* System.Exception */ outException
);

const void*
System_Threading_TimerCallback_Context_Get(
	System_Threading_TimerCallback_t /* System.Threading.TimerCallback */ self
);

System_Threading_TimerCallback_CFunction_t
System_Threading_TimerCallback_CFunction_Get(
	System_Threading_TimerCallback_t /* System.Threading.TimerCallback */ self
);

System_Threading_TimerCallback_CDestructorFunction_t
System_Threading_TimerCallback_CDestructorFunction_Get(
	System_Threading_TimerCallback_t /* System.Threading.TimerCallback */ self
);

System_Type_t _Nonnull /* System.Type */
System_Threading_TimerCallback_TypeOf(
	void
);

void /* System.Void */
System_Threading_TimerCallback_Destroy(
	System_Threading_TimerCallback_t _Nullable /* System.Threading.TimerCallback */ self
);

#pragma mark - END APIs of System.Threading.TimerCallback

#pragma mark - BEGIN APIs of System.AsyncCallback
System_AsyncCallback_t _Nonnull /* System.AsyncCallback */
System_AsyncCallback_Create(
	const void* context,
	System_AsyncCallback_CFunction_t function,
	System_AsyncCallback_CDestructorFunction_t destructorFunction
);

void
System_AsyncCallback_Invoke(
	System_AsyncCallback_t /* System.AsyncCallback */ self, System_IAsyncResult_t _Nonnull /* System.IAsyncResult */ ar, System_Exception_t* /* System.Exception */ outException
);

const void*
System_AsyncCallback_Context_Get(
	System_AsyncCallback_t /* System.AsyncCallback */ self
);

System_AsyncCallback_CFunction_t
System_AsyncCallback_CFunction_Get(
	System_AsyncCallback_t /* System.AsyncCallback */ self
);

System_AsyncCallback_CDestructorFunction_t
System_AsyncCallback_CDestructorFunction_Get(
	System_AsyncCallback_t /* System.AsyncCallback */ self
);

System_Type_t _Nonnull /* System.Type */
System_AsyncCallback_TypeOf(
	void
);

void /* System.Void */
System_AsyncCallback_Destroy(
	System_AsyncCallback_t _Nullable /* System.AsyncCallback */ self
);

#pragma mark - END APIs of System.AsyncCallback


#pragma mark - END APIs

#pragma mark - BEGIN Utils
_Nonnull CString
DNStringToC(_Nonnull System_String_t systemString);

_Nonnull System_String_t
DNStringFromC(_Nonnull CString cString);

_Nullable System_Object_t
DNObjectCastTo(_Nonnull System_Object_t object, _Nonnull System_Type_t type, _Nullable System_Exception_t* outException);

_Nullable System_Object_t
DNObjectCastAs(_Nonnull System_Object_t object, _Nonnull System_Type_t type);

bool
DNObjectIs(_Nonnull System_Object_t object, _Nonnull System_Type_t type);

bool
DNObjectCastToBool(_Nonnull System_Object_t object, _Nullable System_Exception_t* outException);

_Nonnull System_Object_t
DNObjectFromBool(bool value);

float
DNObjectCastToFloat(_Nonnull System_Object_t object, _Nullable System_Exception_t* outException);

_Nonnull System_Object_t
DNObjectFromFloat(float value);

double
DNObjectCastToDouble(_Nonnull System_Object_t object, _Nullable System_Exception_t* outException);

_Nonnull System_Object_t
DNObjectFromDouble(double value);

int8_t
DNObjectCastToInt8(_Nonnull System_Object_t object, _Nullable System_Exception_t* outException);

_Nonnull System_Object_t
DNObjectFromInt8(int8_t number);

uint8_t
DNObjectCastToUInt8(_Nonnull System_Object_t object, _Nullable System_Exception_t* outException);

_Nonnull System_Object_t
DNObjectFromUInt8(uint8_t number);

int16_t
DNObjectCastToInt16(_Nonnull System_Object_t object, _Nullable System_Exception_t* outException);

_Nonnull System_Object_t
DNObjectFromInt16(int16_t number);

uint16_t
DNObjectCastToUInt16(_Nonnull System_Object_t object, _Nullable System_Exception_t* outException);

_Nonnull System_Object_t
DNObjectFromUInt16(uint16_t number);

int32_t
DNObjectCastToInt32(_Nonnull System_Object_t object, _Nullable System_Exception_t* outException);

_Nonnull System_Object_t
DNObjectFromInt32(int32_t number);

uint32_t
DNObjectCastToUInt32(_Nonnull System_Object_t object, _Nullable System_Exception_t* outException);

_Nonnull System_Object_t
DNObjectFromUInt32(uint32_t number);

int64_t
DNObjectCastToInt64(_Nonnull System_Object_t object, _Nullable System_Exception_t* outException);

_Nonnull System_Object_t
DNObjectFromInt64(int64_t number);

uint64_t
DNObjectCastToUInt64(_Nonnull System_Object_t object, _Nullable System_Exception_t* outException);

_Nonnull System_Object_t
DNObjectFromUInt64(uint64_t number);

void*
DNGetPinnedPointerToByteArray(_Nonnull System_Byte_Array_t byteArray, _Nullable System_Runtime_InteropServices_GCHandle_t* outGCHandle, _Nullable System_Exception_t* outException);

#pragma mark - END Utils

#pragma mark - BEGIN Footer
#pragma clang diagnostic pop

#endif /* TypeDefinitions_h */

#pragma mark - END Footer

